commit f49084fe1e46f262eaeb5401f6b503fe52edfbe6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 17 16:11:41 2015 +0100

    3.15.92

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 32bcfd0311798933b570d071a4ddbb20b1be97c7
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Mar 17 12:47:17 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 261 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 140 insertions(+), 121 deletions(-)

commit 9ef2d53be57195e120441e41b347bc02931bc970
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Tue Mar 17 11:38:35 2015 +0000

    Updated Scottish Gaelic translation

 po/gd.po | 532 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 273 insertions(+), 259 deletions(-)

commit 664df05476894beb172821a4d6e18183b23fa310
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Mon Mar 16 14:03:07 2015 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 131 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 67 insertions(+), 64 deletions(-)

commit 1a1c591326cc7a4264daa7cdae1d2c57313751a7
Author: Josef Andersson <josef.andersson@gmail.com>
Date:   Sun Mar 15 21:33:23 2015 +0000

    Updated Swedish translation

 po/sv.po | 56 ++++++++++++++++++++++++++++----------------------------
 1 file changed, 28 insertions(+), 28 deletions(-)

commit 7eadb7fa0f5629b179e4962fd960698237579435
Author: Josef Andersson <josef.andersson@gmail.com>
Date:   Sun Mar 15 21:05:22 2015 +0000

    Updated Swedish translation

 help/sv/sv.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit f7d46d1318f3dbf5bf8c5e09bc0b2179d895bc7b
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Mar 15 14:53:06 2015 +0100

    Updated Danish translation

 po/da.po | 299 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 159 insertions(+), 140 deletions(-)

commit 93c55ca5fbd2d5178acbc0c20a37cc5d99946cc9
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Mar 15 10:26:56 2015 +0100

    Updated Slovenian translation

 po/sl.po | 116 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 64 insertions(+), 52 deletions(-)

commit 0ec9b0f7e0fbf3920b4560f6aa937a4ea093e4fe
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Mar 14 03:03:16 2015 +0000

    Updated Kazakh translation

 po/kk.po | 403 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 214 insertions(+), 189 deletions(-)

commit 97d1d17d6ee81c6fd99bc91ed62761470968fcae
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:   Fri Mar 13 20:30:07 2015 +0000

    Added Bosnian translation

 po/LINGUAS |    1 +
 po/bs.po   | 1858 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1859 insertions(+)

commit b8ebe5244e425769dfad9a5dd610deeb23024427
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 13 10:30:16 2015 +0100

    main: Disable popover transitions for video menus
    
    The underlying clutter-gst/clutter-gtk widget doesn't like transparent
    widgets on top of it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745819

 src/backend/bacon-video-controls-actor.c | 13 +++++++++++++
 src/totem-object.c                       |  5 +++++
 2 files changed, 18 insertions(+)

commit 85ece5ecc32862db82af8045eb29df09343f284b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 13 10:10:40 2015 +0100

    main: Always use a popover for menu buttons

 src/totem-interface.c | 2 ++
 src/totem-object.c    | 3 ---
 2 files changed, 2 insertions(+), 3 deletions(-)

commit a8b5b91071f8e891806a0fba791e33376c8a451e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 13 10:02:29 2015 +0100

    main: Fix Videos icon not showing in volume control
    
    Forcefully set PulseAudio icon property. Seems that PulseAudio's client
    libraries aren't quite working things out in some cases.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745874

 src/totem.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ef02c5b1470d4dd78360ccb3ef9a5a2fc72107f3
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Mar 12 21:59:49 2015 +0200

    Updated Latvian translation

 po/lv.po | 315 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 161 insertions(+), 154 deletions(-)

commit ee7a402900733d19fec281c87fe57015608acd00
Author: Stas Solovey <whats_up@tut.by>
Date:   Wed Mar 11 22:14:24 2015 +0000

    Updated Russian translation

 po/ru.po | 98 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 51 insertions(+), 47 deletions(-)

commit 64d20bbcb342bacb9e8f3e91ab668bf2fed56372
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:   Wed Mar 11 17:04:41 2015 +0200

    Finnish translation update

 po/fi.po | 285 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 149 insertions(+), 136 deletions(-)

commit 27d2400ad0e43558abf2e40055b8b70dc6f28ec0
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Wed Mar 11 13:15:02 2015 +0000

    Updated Greek translation

 po/el.po | 105 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 54 insertions(+), 51 deletions(-)

commit eef513650074c320c82d021702bf5cc96a89da80
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   Tue Mar 10 12:42:08 2015 +0000

    Updated Swedish translation

 po/sv.po | 196 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 111 insertions(+), 85 deletions(-)

commit 2250522b4b6b10e49737ded61668fb0bb2091590
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 10 12:59:16 2015 +0100

    backend: Fix crash on exit
    
    When unrealizing the video widget, we weren't chaining up to the parent
    type. So GtkClutterOffscreen was left realized, and still attached to
    the clock frame, making it crash later when the clock frame tries to
    render another frame.

 src/backend/bacon-video-widget.c | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 8c8667670f4bf9d4e6714074368e14db79c41b9a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 10 12:37:58 2015 +0100

    opensubtitles: Fix another run-time deprecation
    
    opensubtitles.py:377: PyGIDeprecationWarning: GObject.property is deprecated; use GObject.Property instead

 src/plugins/opensubtitles/opensubtitles.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 331b05709a25f26e3c5cd1c0a04f75abccbbf9ce
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Mon Mar 9 22:04:43 2015 +0000

    Updated German translation

 po/de.po | 114 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 69 insertions(+), 45 deletions(-)

commit 179aed9e9ddee278ad625db3d77e321c99308e8b
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Mon Mar 9 21:16:02 2015 +0200

    Updated Bulgarian translation

 po/bg.po | 277 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 142 insertions(+), 135 deletions(-)

commit 8a970787c1da9b5f06fa2e6be5d5af0656206222
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Mar 9 20:15:24 2015 +0100

    Updated Norwegian bokmål translation from Åka Sikrom.

 po/nb.po | 232 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 127 insertions(+), 105 deletions(-)

commit 155ffb3cfe9acd2bf0f1caa9bcc481e1623c5ea8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Mar 8 23:01:48 2015 +0100

    opensubtitles: Fix run-time deprecation warnings

 src/plugins/opensubtitles/opensubtitles.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c76e276b415c458e38966d3ec58cd750452c9b15
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Mar 8 23:01:04 2015 +0100

    opensubtitles: Fix downloading subtitles with newer Python
    
    Fix error:
    UnboundLocalError: local variable 'result' referenced before assignment
    by initialising result to None.

 src/plugins/opensubtitles/opensubtitles.py | 1 +
 1 file changed, 1 insertion(+)

commit 6c42a68429e739655840a0175fea4ffbce6b721c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Mar 8 21:27:31 2015 +0100

    Updated Spanish translation

 po/es.po | 46 +++++++++++++++++++++++++---------------------
 1 file changed, 25 insertions(+), 21 deletions(-)

commit b079c844b31ad277e489ef267ed75055c06f68c5
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Mar 8 19:37:45 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 514 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 262 insertions(+), 252 deletions(-)

commit 0507ef0938e08b9b380ecbba6ecabc9cb6e6ffdd
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sun Mar 8 13:28:38 2015 +0200

    Updated Ukrainian translation

 po/uk.po | 43 +++++++++++++++++++++++--------------------
 1 file changed, 23 insertions(+), 20 deletions(-)

commit d98bc2528b064e744d5722f1569077fb0c675529
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Mar 8 02:37:44 2015 +0900

    Updated Korean translation

 po/ko.po | 299 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 162 insertions(+), 137 deletions(-)

commit 26519e231e8426b8b6141270bc9656cf3e1ecad4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 6 17:10:29 2015 +0100

    grilo: Load large Apple trailers covers
    
    The small ones are about 130 pixels wide, and our icons 256x256.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743247

 src/totem-grilo.conf | 3 +++
 1 file changed, 3 insertions(+)

commit 748c0aa799d196daec371c35b98bfe793ace5fab
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 6 17:09:57 2015 +0100

    icon-helpers: Add test application for thumbnail changes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743247

 src/Makefile.am  |   9 +++
 src/test-icons.c | 176 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 185 insertions(+)

commit 5a789a8780d61b08ea011271c9b9fa61d36030cb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 6 17:09:07 2015 +0100

    icon-helpers: Add guard in totem_grilo_get_icon()
    
    To avoid crashing when we use the API badly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743247

 src/icon-helpers.c | 2 ++
 1 file changed, 2 insertions(+)

commit edd088bf217d2ab8ea84cf2f2dd6089541089dde
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 6 17:08:17 2015 +0100

    icon-helpers: Don't require a GApplication
    
    We won't need it in our test application.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743247

 src/icon-helpers.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 58f16072997f027805f7473ebd763bdacd2a8702
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 6 17:05:54 2015 +0100

    icon-helpers: Improve thumbnailing style
    
    Thumbnails are now square to avoid reflow when loading new items which
    might have mixed types of media (vertical videos, covers vs. horizontal
    TV/cinema videos).
    
    Mockup is at:
    https://raw.githubusercontent.com/gnome-design-team/gnome-mockups/master/videos/thumbnails-square.png
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743247

 src/icon-helpers.c | 108 ++++++++++++++++++++++++++++++-----------------------
 src/icon-helpers.h |   5 ++-
 src/totem-grilo.c  |   6 +--
 3 files changed, 67 insertions(+), 52 deletions(-)

commit bb3d99b9724ee83b1469d1ce26159ecd68bc6b27
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Thu Mar 5 23:19:01 2015 +0000

    Updated Hungarian translation

 po/hu.po | 44 +++++++++++++++++++++++---------------------
 1 file changed, 23 insertions(+), 21 deletions(-)

commit 003012aa9065cfb5677528b4376257c19d1ab309
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Thu Mar 5 14:56:57 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 52 ++++++++++++++++++++++++++++------------------------
 1 file changed, 28 insertions(+), 24 deletions(-)

commit f1eae60cbe71389591d659bbd49853c26b18e749
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Mar 4 21:14:56 2015 +0100

    Updated Polish translation

 po/pl.po | 279 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 142 insertions(+), 137 deletions(-)

commit 8f9372d78e713eee11aabb2c20c53006b98c8372
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Mar 4 18:30:15 2015 +0100

    Updated Serbian translation

 po/sr.po       | 312 ++++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po | 312 ++++++++++++++++++++++++++++++---------------------------
 2 files changed, 324 insertions(+), 300 deletions(-)

commit 64fc07250776653424b30ccebc83d95086109541
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Wed Mar 4 16:59:20 2015 +0200

    Updated Hebrew translation

 po/he.po | 42 ++++++++++++++++++++++--------------------
 1 file changed, 22 insertions(+), 20 deletions(-)

commit d61df87f795174bad03508850acec8864f3e77c9
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Mar 4 12:52:30 2015 +0100

    Updated Czech translation

 po/cs.po | 21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)

commit 8dc9eb86daedf8484a1743fb470db8d0a011c303
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Wed Mar 4 11:47:29 2015 +0000

    Updated French translation

 po/fr.po | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 9acce097338ddf9d7e6c617273794f6fd0d6b4f1
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed Mar 4 11:37:19 2015 +0000

    Updated Slovak translation

 po/sk.po | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit a54dfab47251a611e6244162a6104038a44259ce
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 4 09:24:23 2015 +0100

    3.15.91

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit cf43a3f753cf947ce5964b5651e7001ac34be94e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 4 09:34:05 2015 +0100

    data: Update appdata for latest format changes

 data/appdata/org.gnome.Totem.appdata.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit df0843ea203d02280a8cc43235a0da3579934285
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Mar 3 15:48:30 2015 -0500

    missing-plugins: Fix erroneous ngettext usage
    
    No need to wrap strings in ngettext calls in N_().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745480

 src/backend/bacon-video-widget-gst-missing-plugins.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8dacc557b958f7039e7736d7bf74637a71148cb9
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Mar 2 22:24:48 2015 +0100

    Updated Czech translation

 po/cs.po | 87 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 48 insertions(+), 39 deletions(-)

commit 9d935fcd7f951d5dd41bc8c88f1675306612f909
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Mon Mar 2 19:07:24 2015 +0000

    Updated Swedish translation

 po/sv.po | 597 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 288 insertions(+), 309 deletions(-)

commit 1a079d15fd9b693be004b762b977d818c5356164
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Mon Mar 2 00:01:26 2015 +0100

    Updated Galician translations

 po/gl.po | 76 ++++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 48 insertions(+), 28 deletions(-)

commit e2dcffb9d0ea5506f6ba4f5d684597cfa11ffc26
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sun Mar 1 11:02:35 2015 +0000

    Updated Hungarian translation

 po/hu.po | 72 +++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 46 insertions(+), 26 deletions(-)

commit 1c930385d7be8b2ea8d8cc45a665e1e7703196cc
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Feb 27 12:04:21 2015 +0200

    Updated Ukrainian translation

 po/uk.po | 286 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 145 insertions(+), 141 deletions(-)

commit be4222dce553fce7dfccfed537035f4276844f1b
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Fri Feb 27 09:22:23 2015 +0100

    build: Bump required grilo for grl_operation_options_set_resolution_flags

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 84903e9594e280d5d101bcd94544e30d70622112
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Thu Feb 26 20:28:07 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 72 ++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 47 insertions(+), 25 deletions(-)

commit 5fb8a072d68c018d11611bb41301f4be58ec2df3
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Thu Feb 26 08:07:28 2015 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 228 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 128 insertions(+), 100 deletions(-)

commit 6b07c5a43165406dcc55d08b39e06259a5fff363
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Wed Feb 25 12:42:06 2015 +0000

    Updated Greek translation

 help/el/el.po | 151 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 76 insertions(+), 75 deletions(-)

commit 06cdc2f6d662160bae82b65530807e518bf2441e
Author: Stas Solovey <whats_up@tut.by>
Date:   Tue Feb 24 11:33:14 2015 +0000

    Updated Russian translation

 po/ru.po | 75 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 49 insertions(+), 26 deletions(-)

commit d60f82a011cbffd5b611ecdbe665b0b80e27a179
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Tue Feb 24 13:06:48 2015 +0200

    Updated Hebrew translation

 po/he.po | 71 ++++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 45 insertions(+), 26 deletions(-)

commit 068d557226459da64ceccb215444ed1dcb8fcf5c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 23 19:16:10 2015 +0100

    Updated Spanish translation

 po/es.po | 73 ++++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 46 insertions(+), 27 deletions(-)

commit 2d67687df4ad610507bdf56cd572a1d071ea4826
Author: Guillaume Bernard <translate@filorin.fr>
Date:   Mon Feb 23 00:53:36 2015 +0000

    Updated French translation

 po/fr.po | 75 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 49 insertions(+), 26 deletions(-)

commit dee54f8e16f0cd8b61ac9cecd4f84669f75b6693
Author: Efstathios Iosifidis <iefstathios@gmail.com>
Date:   Sun Feb 22 23:35:49 2015 +0000

    Updated Greek translation

 po/el.po | 74 +++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 48 insertions(+), 26 deletions(-)

commit 5dc52d67b2d425fc78f1617aebc3c8e830b5bda5
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Feb 21 21:47:28 2015 +0100

    Updated Slovenian translation

 po/sl.po | 71 ++++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 45 insertions(+), 26 deletions(-)

commit 3e8fa9dad44ab7373942e7daca50d68902b5f999
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Sat Feb 21 17:43:37 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 230 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 117 insertions(+), 113 deletions(-)

commit d1a20a6c62dc70c7278f5aeb79395ae8dedd0582
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   Sat Feb 21 12:46:50 2015 +0000

    Updated Swedish translation

 help/sv/sv.po | 2966 ++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 2073 insertions(+), 893 deletions(-)

commit 465b220a6a3adcef6cbe6a6dffe8b42a3a371f01
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Feb 21 12:19:40 2015 +0000

    Updated Slovak translation

 po/sk.po | 66 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 44 insertions(+), 22 deletions(-)

commit 029f35959f9dd36028b890469065a98c63a986a1
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Feb 21 10:51:17 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 476 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 237 insertions(+), 239 deletions(-)

commit 48fe9fa00650a4828bb77088404607b3aeb3d897
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 21 01:44:50 2015 +0100

    backend: Mark strings as translatable
    
    A few missing strings in dd42ebd45cf39bbdd8b1d5dd0fb0682c00d46b41
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744868

 src/backend/bacon-video-widget-gst-missing-plugins.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d8aa084fb5dbd6eb4caa518ba002b410c8f06424
Author: Efstathios Iosifidis <iefstathios@gmail.com>
Date:   Fri Feb 20 21:01:52 2015 +0000

    Updated Greek translation

 po/el.po | 486 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 243 insertions(+), 243 deletions(-)

commit 4114ce0f8f6d8673258413ae0f6bce0ac7fa4767
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 20 19:08:55 2015 +0100

    3.15.90

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit ed0d46705a44162869bd92ef2a047e4d20b1e7f0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 20 19:14:04 2015 +0100

    grilo: Use new _set_resolution_flags() function
    
    Instead of the deprecated version.

 src/totem-grilo.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4b3fa91b404958f810e194175ae2c7ffb5ae6243
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 20 19:11:45 2015 +0100

    po: Add -missing-plugins.c to POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit dd42ebd45cf39bbdd8b1d5dd0fb0682c00d46b41
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Fri Feb 13 16:30:13 2015 +0100

    missing plugins: Ask the user before spawning a plugin search
    
    Previously, the PackageKit session service implementation would use
    Totem's window xid to attach its own dialogs. This however no longer
    works in Wayland world.
    
    Instead of attaching a dialog to Totem's window, gnome-software by
    default now pops up a Shell notification asking for confirmation before
    launching the codec search. This is however just a fallback and the
    preferred way is for an app to pop up its own dialog / in-app
    notification before starting the codec installation.
    
    This commit implements the confirmation dialog within Totem and passes
    down necessary flags to supress the Shell notification in that case.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744610

 .../bacon-video-widget-gst-missing-plugins.c       | 156 ++++++++++++++++++++-
 src/backend/bacon-video-widget.c                   |  14 ++
 2 files changed, 164 insertions(+), 6 deletions(-)

commit da91464344277299902c6a1227d4d2b53e57b8b4
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Fri Feb 13 15:54:39 2015 +0100

    missing plugins: Break out a function
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744610

 .../bacon-video-widget-gst-missing-plugins.c       | 94 ++++++++++++----------
 1 file changed, 52 insertions(+), 42 deletions(-)

commit 628c254e9004b67f9028f2970462ba9d4b472c5e
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Mon Feb 2 16:40:27 2015 +0100

    missing plugins: Pass in Totem's desktop file ID
    
    It's passed down to the PK session service implemention in
    gnome-software, which needs to know the ID of the application requesting
    codec installation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744610

 src/backend/bacon-video-widget-gst-missing-plugins.c | 3 +++
 1 file changed, 3 insertions(+)

commit dca23ad51bfdb32822f24bf9d09656d38a45fa0a
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Thu Feb 19 16:03:29 2015 +0300

    Updated Russian translation

 po/ru.po | 243 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 113 insertions(+), 130 deletions(-)

commit ad10ca6c315afccfc1a3f0c616b4218cf11d182b
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Thu Feb 19 11:09:51 2015 +0000

    Updated French translation

 help/fr/fr.po | 175 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 88 insertions(+), 87 deletions(-)

commit 4e3b3a3a57ed1aa906e03b14205df0cc6f65f3b9
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Thu Feb 19 10:40:14 2015 +0100

    Updated Galician translations

 po/gl.po | 260 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 129 insertions(+), 131 deletions(-)

commit 2c50fbbaa0a65b6f5e72c785ef9330cbfe73614a
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed Feb 18 21:25:14 2015 +0000

    Updated Slovak translation

 po/sk.po | 521 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 208 insertions(+), 313 deletions(-)

commit c36121418b09b36634965b6dc08f046b50cb8cf0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 17 12:36:27 2015 +0100

    data: Remove outdated bug report helper script
    
    It uses Python2, and GStreamer 0.10. Both are obsolete.

 data/Makefile.am                      |  5 -----
 data/org.gnome.Totem.desktop.in.in.in |  1 -
 data/totem-bugreport.py               | 21 ---------------------
 3 files changed, 27 deletions(-)

commit 855ca9accc4b18125a4c6e0e9cb4396271c4e698
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Tue Feb 17 01:29:17 2015 +0200

    Updated Hebrew translation

 po/he.po | 162 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 82 insertions(+), 80 deletions(-)

commit 26cea1f5824a21dd5919ce5031b6e9561d1df2ad
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Feb 15 21:14:32 2015 +0100

    Updated Slovenian translation

 po/sl.po | 240 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 120 insertions(+), 120 deletions(-)

commit 7899c5b49246421a347d6c0118a766d6ccf06096
Author: Bernd Homuth <dev@hmt.im>
Date:   Fri Feb 13 18:45:58 2015 +0000

    Updated German translation

 po/de.po | 245 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 122 insertions(+), 123 deletions(-)

commit 2623daef7494706ac00d87f41ca43d1b5c4b68f4
Author: Diogo Campos <diogocamposwd@gmail.com>
Date:   Thu Feb 12 14:13:55 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 482 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 240 insertions(+), 242 deletions(-)

commit 2fd69651470536e5f95a0c81f3385c8bacb8e1cd
Author: Luis Menina <liberforce@freeside.fr>
Date:   Wed Feb 11 12:03:59 2015 +0000

    Updated French translation

 po/fr.po | 266 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 135 insertions(+), 131 deletions(-)

commit a69762f0a3bc2417d8e157cae240066a7e7c6b5f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 11 12:47:15 2015 +0100

    data: Better translator comment for subtitle-encoding
    
    It wasn't clear from the message that the simple quotes were required
    against the string, possibly leading to bugs and errors.
    
    Spotted by Alexandre Franke

 data/org.gnome.totem.gschema.xml.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 116e3851ed36966998b37dfaa0238913bac2e5ba
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 11 11:49:47 2015 +0100

    build: Bump required grilo for GRL_METADATA_KEY_TITLE_FROM_FILENAME
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744315

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 721ee7bae694625c5c487934e68f6f7f2c0b92db
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Feb 11 08:28:16 2015 +0000

    Updated Indonesian translation

 po/id.po | 374 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 177 insertions(+), 197 deletions(-)

commit 62cc94798d2b23b930a9f9d4bf59680d40564319
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Feb 9 19:19:31 2015 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 228 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 105 insertions(+), 123 deletions(-)

commit 2a5b20c0a7b9fbba9864da06828691078e2b142f
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Thu Feb 5 08:37:45 2015 +0000

    Updated Turkish translation

 po/tr.po | 361 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 147 insertions(+), 214 deletions(-)

commit d36632a7a5503e5db600809b60b47432a5a06509
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Wed Feb 4 18:01:49 2015 +0000

    Updated Icelandic translation

 po/is.po | 112 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 46 insertions(+), 66 deletions(-)

commit 3859ad4f045814b1bd5855583c7629b41c371feb
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Feb 3 19:53:29 2015 +0100

    Updated Czech translation

 po/cs.po | 480 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 240 insertions(+), 240 deletions(-)

commit 4a30e16ce67035e33ec2ff08003fa12d62b78b09
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 2 12:00:27 2015 +0100

    Updated Spanish translation

 po/es.po | 488 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 242 insertions(+), 246 deletions(-)

commit 114e3128b6d5ce0b75ce8a9be81444bd1cb185da
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Mon Feb 2 09:11:42 2015 +0000

    Updated Icelandic translation

 po/is.po | 3518 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 2308 insertions(+), 1210 deletions(-)

commit 97c998cd71cd4fd960ddcc509526a5ca98032111
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Fri Jan 30 21:03:05 2015 +0000

    Updated Hungarian translation

 po/hu.po | 254 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 122 insertions(+), 132 deletions(-)

commit b1e65c525df146873698e7ebce9c8ab6197e9fdb
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 22:30:29 2014 +0000

    build: Use intltool to translate GSettings schema files directly
    
    Instead of using intltool’s XML rules, use its specific GSettings schema
    rules to simplify translation of the schema files.
    
    This bumps the intltool dependency to 0.50.1.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741794

 configure.ac                                       |  8 +-
 data/Makefile.am                                   |  3 -
 data/org.gnome.totem.gschema.xml.in                | 89 ++++++++++++++++++++++
 data/org.gnome.totem.gschema.xml.in.in             | 89 ----------------------
 po/POTFILES.in                                     |  6 +-
 src/plugins/opensubtitles/Makefile.am              |  5 +-
 ...nome.totem.plugins.opensubtitles.gschema.xml.in | 10 +++
 ...e.totem.plugins.opensubtitles.gschema.xml.in.in | 10 ---
 src/plugins/pythonconsole/Makefile.am              |  5 +-
 ...nome.totem.plugins.pythonconsole.gschema.xml.in | 10 +++
 ...e.totem.plugins.pythonconsole.gschema.xml.in.in | 10 ---
 11 files changed, 118 insertions(+), 127 deletions(-)

commit 5724ec6722afac0bdb7e1133090dd66a6a9902de
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 20 11:45:48 2015 +0100

    grilo: Make view switcher homogeneous
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743190

 src/totem-grilo.c | 1 +
 1 file changed, 1 insertion(+)

commit 542079d35d59b57c4753793fcfb7a04c351a979c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 20 11:09:59 2015 +0100

    grilo: Modify appearance of source icons
    
    In the channels view, modify the source channels icons to have a
    slightly transparent background, and frame the icon, allowing us to
    avoid having to create grilo specific icons.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=736548

 src/icon-helpers.c | 144 ++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 104 insertions(+), 40 deletions(-)

commit 754679c6f0d58ee1e93a6b923d9eb8b20d8f2d9f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jan 19 15:40:45 2015 +0100

    3.15.4

 NEWS         | 14 ++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 16 insertions(+), 2 deletions(-)

commit e6c93469ed1cc758cc3300cd06a4b0756c446daf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 13 21:39:39 2015 +0100

    thumbnailer: Fix missing translation support
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742881

 src/totem-video-thumbnailer.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 751c1daa0c5bdd24e0ed67f2b235c46f2f1c1956
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 6 23:26:50 2015 +0100

    main: Fix Totem doubling files added on the cmd line
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740995

 src/totem-object.c | 3 +++
 1 file changed, 3 insertions(+)

commit 5264ed6a4d82fc267e5bf36e1338e0276f415ef8
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:   Sat Jan 3 09:44:50 2015 +0700

    main: Remove preference dialog's border
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742247

 data/preferences.ui | 1 +
 1 file changed, 1 insertion(+)

commit 9a9bbe9df3d37200d220ef2c37fc33acf6b29e7e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Dec 18 13:22:00 2014 +0100

    Updated Spanish translation

 help/es/es.po | 138 +++++++++++++++++++++++++++++++---------------------------
 1 file changed, 73 insertions(+), 65 deletions(-)

commit f71767677c4fc35622805677eff0685c2189835c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 10 17:01:12 2014 +0100

    build: Require newer cairo for hi-dpi support
    
    Require cairo 1.14.0 so as to get hi-dpi support. A number of
    distributions shipped older versions of cairo with hi-dpi support
    builtin, but we have no way to detect those.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741328

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e014cc429ba3642d13c8320fe4539cdc1d973379
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 10 14:58:37 2014 +0100

    main: Remove use of xpad/ypad properties in preferences
    
    They were at the default value of 0 anyway.

 data/preferences.ui | 30 ------------------------------
 1 file changed, 30 deletions(-)

commit 07ead9b6ed2fb18017be8344e51df59ba89f881c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 10 14:58:09 2014 +0100

    skipto: Remove use of xpad/ypad properties
    
    They were at the default value of 0 anyway.

 src/plugins/skipto/skipto.ui | 4 ----
 1 file changed, 4 deletions(-)

commit 0f127d2b16440e588c2df9c6209f86d1fd092520
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Mon Dec 8 20:23:19 2014 +0100

    Updated Romanian Translation

 help/ro/ro.po | 2093 ++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 1345 insertions(+), 748 deletions(-)

commit f9e5ef0740c02286cc4e2952c3a41074a7e33a6a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 3 13:00:13 2014 +0100

    main: Hide source which provide torrent URLs
    
    As we don't have GStreamer support for them yet.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=741063

 src/totem-grilo.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit f93cf2e5903955079791b97eb7df92b11ce9c182
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 2 13:33:39 2014 +0100

    main: Only show videos longer than 5 seconds
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737469

 src/totem-grilo.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit f7fa3c96fe6f802d163239c3cbd9aabd01e8e4ce
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 2 13:33:06 2014 +0100

    main: Always request title-from-filename
    
    Just in case the source doesn't want to give us that.

 src/totem-grilo.c | 1 +
 1 file changed, 1 insertion(+)

commit fd9b1d9d0c6f02a4c4868c8f227c3d4f97ccaf3c
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed Nov 26 20:28:29 2014 +0100

    icon-helpers: Use the theme's foreground color to render the symbolics
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740776

 src/icon-helpers.c | 27 +++++++++++++++++++++------
 1 file changed, 21 insertions(+), 6 deletions(-)

commit 45787e05710674fd8c96873204cb464ce84067f3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 26 13:26:25 2014 +0100

    main: Show popup when seeking with the keyboard
    
    So that we can know where in the film we are.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728735

 src/totem-object.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 8b3664bd8d21c122778872081e3a5e2f786f4c65
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 26 00:50:59 2014 +0100

    main: Add API keys for TheTVDB and TMDB

 src/totem-grilo.conf | 6 ++++++
 1 file changed, 6 insertions(+)

commit 361f76ce9636d3123273b912398b77d29715cf94
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sun Dec 7 00:02:42 2014 +0000

    backend: port to clutter-gst 3.0

 configure.ac                     |  4 ++--
 src/backend/bacon-video-widget.c | 13 +++++++------
 2 files changed, 9 insertions(+), 8 deletions(-)

commit 483a926789adac641e242effccaeb0b5e7668baf
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Thu Dec 4 20:02:07 2014 +0000

    Updated Turkish translation

 po/tr.po | 2129 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1086 insertions(+), 1043 deletions(-)

commit c33c18d1bb8815818e1f327c368688d60ce89cc5
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Nov 27 08:36:54 2014 +0100

    Updated Czech translation

 help/cs/cs.po | 120 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 61 insertions(+), 59 deletions(-)

commit 3c8758c9cc21a6f37de3e249e83b09cf7e1291db
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Nov 27 07:20:42 2014 +0100

    Updated Czech translation

 help/cs/cs.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 16ab0f6b5e931ea6f0b83ef2f14b671dd96f16d3
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Nov 27 06:41:38 2014 +0100

    Updated Czech translation

 help/cs/cs.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2cbb9585099b9e55a9ede2f306c5e1e860b127b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 25 22:01:48 2014 +0100

    main: Keep the controls visible when seeking with the slider
    
    When seeking with the handle, mark the popup as busy so it's not
    hidden, remove the business when releasing the slider handle, or
    when an error occurs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732711

 src/totem-object.c | 3 +++
 1 file changed, 3 insertions(+)

commit 7b8ce358a3761e1058c54f9aefc963300e32d938
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 25 22:01:32 2014 +0100

    backend: Remove mention of the browser plugin

 src/backend/bacon-video-controls-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3a0a07c8a068adb3f3e32cdaed5ad739cf687677
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 25 21:33:46 2014 +0100

    Revert "backend: Request next track when swiping with 2 fingers"
    
    This reverts commit 99dcbf8e9a97c261aa9620e038e5958dc1a9e975.
    
    We'll need to implement our own ClutterGestureAction for this to work.

 src/backend/bacon-video-widget.c | 30 ++++++------------------------
 1 file changed, 6 insertions(+), 24 deletions(-)

commit 2706ca99dee84e394d3e82310bfcb5a856c0c799
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 24 00:08:00 2013 +0200

    main: Handle "Powerpoint" buttons on remotes
    
    Some remotes, including the Logitech Presenter R800:
    http://www.logitech.com/en-us/product/professional-presenter-r800-business
    have a number of buttons bound to make it easier to use Powerpoint
    presentations.
    
    We bind some of the buttons used on those presenters to functions
    in Totem to allow starting/stopping playback and seeking.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704608

 src/totem-object.c | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit 078fa92d446b4a2ba38eaf3affa40c2ecc1fdea2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 25 17:50:29 2014 +0100

    main: Skip tracks when using 2-finger swipes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697896

 src/totem-object.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 99dcbf8e9a97c261aa9620e038e5958dc1a9e975
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 25 17:49:50 2014 +0100

    backend: Request next track when swiping with 2 fingers
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697896

 src/backend/bacon-video-widget.c | 30 ++++++++++++++++++++++++------
 1 file changed, 24 insertions(+), 6 deletions(-)

commit ebcee7db419fd85945321db004534b1768eaa7ea
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 25 17:48:47 2014 +0100

    backend: Fix object type in signal handler
    
    It's a ClutterSwipeAction, not a ClutterTapAction.

 src/backend/bacon-video-widget.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 177958c39fe8cce16d45f04a222706dd17a57aee
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 25 17:48:06 2014 +0100

    backend: Add track-skip-requested signal
    
    So that the video playback can request skipping tracks.

 src/backend/bacon-video-widget.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 38b03784eede89df510b0092d77d86eb5c837f3a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 25 17:25:39 2014 +0100

    main: Pause thumbnailing when playback starts

 src/totem-object.c | 4 ++++
 1 file changed, 4 insertions(+)

commit b3785e01e7414111feec1dd245f360d2d9500ca4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 25 17:24:06 2014 +0100

    main: Add helper to pause thumbnailing in grilo widget

 src/totem-grilo.c | 8 ++++++++
 src/totem-grilo.h | 1 +
 2 files changed, 9 insertions(+)

commit 8bb0a36a6a09eb95464a622da589d472cda02fb8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 25 17:05:55 2014 +0100

    main: Make it possible to pause icon thumbnailing
    
    Using g_thread_pool_set_max_threads() with 0 max threads, to freeze
    further processing until we reset the max threads count.

 src/icon-helpers.c | 17 ++++++++++++++++-
 src/icon-helpers.h |  3 +++
 2 files changed, 19 insertions(+), 1 deletion(-)

commit 605005d657b3df0847f9841871cdef3524b08cb5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 25 16:42:41 2014 +0100

    main: Cancel thumbnailing on destroy
    
    Stop thumbnailing when TotemGrilo object is destroyed.

 src/totem-grilo.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit de8c9b56039f3b3fe230b480dc9ddc60e1d1a16e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 25 16:17:45 2014 +0100

    main: Remove spacing around preferences tabs
    
    With help from Ignacio Casal Quinteiro
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740677

 data/preferences.ui | 1 -
 1 file changed, 1 deletion(-)

commit f7cd93a3cbee12a8a1e460e62a0dc0cc4803c01a
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Tue Nov 25 09:23:02 2014 +0700

    Updated Vietnamse translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 2779 ++++++++++++++++++--------------------------------------------
 1 file changed, 779 insertions(+), 2000 deletions(-)

commit 7c521518b3f2ecaf1cf4af8bcf3fa7dd1da3aaf5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 20 17:18:43 2014 +0100

    3.14.1

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 1dcd91d9f292c581fc8fd9e830ec2918e345a9c1
Author: Mathieu Bridon <bochecha@daitauha.fr>
Date:   Thu Nov 13 21:58:20 2014 +0100

    opensubtitles: Add a keyboard shortcut
    
    This allows opening the subtitle download dialog with ctrl+shift+s
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740082

 help/C/index.docbook                       | 7 +++++--
 src/plugins/opensubtitles/opensubtitles.py | 2 ++
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 504c84a3bef61b1870e75b46739a5fff3e333461
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Tue Nov 4 19:12:27 2014 +0200

    Updated Hebrew translation

 po/he.po | 207 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 101 insertions(+), 106 deletions(-)

commit 99f985784d2fad8633fae07422d4101e83c01962
Author: Timo Jyrinki <timo@debian.org>
Date:   Mon Nov 3 19:04:26 2014 +0200

    Change Finnish translation team web page to l10n.gnome.org

 po/fi.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7daca82b15562c12b2bb53c37d536479c9c5bf9f
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Mon Nov 3 16:19:56 2014 +0700

    Updated Thai translation

 po/th.po | 435 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 215 insertions(+), 220 deletions(-)

commit cfd1b748e47cf66b7d7921fe9eeae743b9ab8f84
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Oct 30 17:54:46 2014 +0000

    build: Port from appdata-tools to appstream-glib
    
    https://bugzilla.gnome.org/show_bug.cgi?id=739406

 Makefile.am              |  2 +-
 configure.ac             |  2 +-
 data/appdata/Makefile.am | 10 +++++-----
 git.mk                   |  6 +++---
 4 files changed, 10 insertions(+), 10 deletions(-)

commit a95d7c21a0de5b2c544cfd7c3f5aa158fd080674
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Tue Oct 28 03:03:47 2014 +0000

    Updated Kazakh translation

 po/kk.po | 3758 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 1498 insertions(+), 2260 deletions(-)

commit 43950a743c6aa69d23863968a06f1633f697c116
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 27 21:31:18 2014 +0100

    help: Fix Indonesian translation

 help/id/id.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 52ab17221e5af06dbd5629c62ae34ca2f599fe52
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 21 10:23:35 2014 +0200

    main: Factor out thumbnail code for sources/media

 src/totem-grilo.c | 33 +++++++--------------------------
 1 file changed, 7 insertions(+), 26 deletions(-)

commit bb41c073eefca450276a59450ba5d4316419b22a
Author: Andika Triwidada <andika@gmail.com>
Date:   Sun Oct 26 06:13:21 2014 +0000

    Updated Indonesian translation

 help/id/id.po | 451 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 443 insertions(+), 8 deletions(-)

commit 87f40d02b14f7683544fb661015dec5f6fef911c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 18:51:47 2014 +0200

    main: Remove unused totem_options_process_late() prototype
    
    Declared but not actually implemented.

 src/totem-options.h | 2 --
 1 file changed, 2 deletions(-)

commit e2139482fc0edc13f6be2fb6a83eb9b7e2f885c5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 18:51:14 2014 +0200

    main: Remove totem_options_process_early()

 src/totem-options.c | 10 ----------
 src/totem-options.h |  2 --
 2 files changed, 12 deletions(-)

commit 85c1c14715a64c281cda3a50a41e2845ad637a53
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 18:47:51 2014 +0200

    main: Move GApplication signal handlers to TotemObject
    
    Instead of doing this inside the main() file.

 src/totem-object.c | 118 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/totem.c        | 119 -----------------------------------------------------
 2 files changed, 118 insertions(+), 119 deletions(-)

commit c0a46d58623be6ae182bca8b694364c3e2de1ef5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 18:37:47 2014 +0200

    main: Re-implement command-line handling
    
    Instead of implementing command-line parsing ourselves, use
    the "handle-local-options" signal along with
    g_application_add_main_option_entries() to parse command-line options.
    
    Command-line options that work with a remote primary instance will be
    passed over D-Bus with the "remote-command" action.

 src/totem-menu.c   |  3 +++
 src/totem-object.c | 62 +++++---------------------------------------------
 src/totem.c        | 66 +++++++++++-------------------------------------------
 3 files changed, 21 insertions(+), 110 deletions(-)

commit 7618d6fb27d9e4ed870169b96c81a2243df2348b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 18:36:40 2014 +0200

    main: Make it possible to call app_init multiple times
    
    This avoids us having to look inside the app's implementation to
    know whether a window had been shown or not.

 src/totem.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 03cf464b38fc110621d38435ddf74cee35b9bbb5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 18:32:19 2014 +0200

    main: Register GActions early
    
    Register the GActions early, so that they are available even when
    the main window isn't. This is necessary to make remote commands
    available on D-Bus.

 src/totem-menu.c   | 8 ++++++--
 src/totem-menu.h   | 1 +
 src/totem-object.c | 2 ++
 3 files changed, 9 insertions(+), 2 deletions(-)

commit dd6049bbcaf2d5e09c178639c51d2572bd6f0909
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 18:30:20 2014 +0200

    main: Remove unused totem_options_get_context()

 src/totem-options.c | 22 ----------------------
 src/totem-options.h |  1 -
 2 files changed, 23 deletions(-)

commit ad724cb1a9956b67adb30ec0482ae2d0b4524dd0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 17:27:04 2014 +0200

    main: Pass remote commands through D-Bus
    
    Instead of expecting us to be called from the primary instance.

 src/totem-options.c | 22 +++++++++++++++++-----
 1 file changed, 17 insertions(+), 5 deletions(-)

commit 187158d2fc7e0a3c2d11e0032aa431f9e7d21916
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 17:16:36 2014 +0200

    main: Add "remote-command" GAction
    
    Which will be available on the bus for us to use.

 src/totem-menu.c | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit d67c0d16bc1ff1406a08090e1f1ad73c6f5a9b46
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 14:51:59 2014 +0200

    main: When D-Bus activated, makes sure totem is a service
    
    As per:
    https://wiki.gnome.org/HowDoI/DBusApplicationLaunching

 data/org.gnome.Totem.service.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 64af8b16c7c3c5fb461895061baf040487eaf060
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 12:28:56 2014 +0200

    main: Move some app init code to totem_object_init()

 src/totem-object.c | 10 +++++++++-
 src/totem.c        |  9 ---------
 2 files changed, 9 insertions(+), 10 deletions(-)

commit 72e0a496e953ebc5d9c397894e01f1b1a6a6741b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 14:14:42 2014 +0200

    main: Fix spacing in version option

 src/totem-options.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c676f893322d2a7e751dca3900ddb0387238f69d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 13:08:03 2014 +0200

    chapters: Remove "stock" icon usage

 src/plugins/chapters/chapters-list.ui | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit a05fe460313ff91cb048ae50a323b4c79a3b37c9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 12:27:32 2014 +0200

    main: Remove debug option
    
    Using G_MESSAGES_DEBUG=... or GStreamer's logging facilities yields
    better results.

 README                                 |  8 ++------
 data/org.gnome.totem.gschema.xml.in.in |  4 ----
 src/totem-options.c                    |  3 ---
 src/totem-options.h                    |  1 -
 src/totem.c                            | 20 --------------------
 5 files changed, 2 insertions(+), 34 deletions(-)

commit 18bf7a4d3a6955362137e7a3e1746ae3403d1b86
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 17 16:17:39 2014 +0200

    main: Remove obsolete rules-hint property usage

 data/playlist.ui  | 1 -
 src/totem-grilo.c | 1 -
 2 files changed, 2 deletions(-)

commit 5650bef1bc740fd53e51ef7ca6a28f23afcd82f7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 17 16:14:35 2014 +0200

    main: Remove obsolete add_tearoffs properties

 data/preferences.ui | 2 --
 1 file changed, 2 deletions(-)

commit 9904f402dc2bd53f3d5a9360f013e15cd40cbce2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 14 19:42:08 2014 +0200

    main: Save the thumbnail URL to the bookmarks DB
    
    So we don't need to thumbnail it again and again.

 src/icon-helpers.c | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 701dfeea1b13c89099b8e2b20790d9a334e4c282
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 14 19:37:41 2014 +0200

    main: Load bookmark-time if mtime isn't available
    
    So we don't fail to load thumbnails for bookmarks because of the lack of
    modification time property.

 src/icon-helpers.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit e280006708b0acbccc70d965c7a1d1d82dd1e9f2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 14 19:36:41 2014 +0200

    main: Move media_is_local() earlier in the file

 src/icon-helpers.c | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit 57d18095753c1dac55e653b0400f87cef393a36a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 14 19:35:55 2014 +0200

    main: Thumbnail bookmarked movies as well

 src/icon-helpers.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7cef0067894aac27d73911890b43c2a0f4b526de
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 14 17:02:08 2014 +0200

    main: Fix lingering white line in fullscreen
    
    Hide the revealer when the animation has finished, so as to avoid
    the 1-line gray-ish background when in fullscreen.
    
    This also fixes what looked like a shadow underneath the toolbar in
    windowed mode.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723775

 data/totem.ui      |  2 ++
 src/totem-object.c | 20 +++++++++++++++++++-
 2 files changed, 21 insertions(+), 1 deletion(-)

commit 22ff1a7584c19efb5944c538bb3c7518694f1285
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 14 17:01:14 2014 +0200

    main: Move overlay creation to GtkBuilder

 data/totem.ui      |  6 ++++++
 src/totem-object.c | 11 +----------
 2 files changed, 7 insertions(+), 10 deletions(-)

commit ee79b35efb15571760f1b3360f4bdb2d69b012a7
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Sat Oct 11 15:26:09 2014 +0330

    Updates Persian Translations

 po/fa.po | 2239 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1156 insertions(+), 1083 deletions(-)

commit 32bbce0f133af4c7d1ea15b05a06a7c92789320d
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Sun Oct 5 11:10:39 2014 +0000

    Updated Italian translation

 po/it.po | 740 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 299 insertions(+), 441 deletions(-)

commit 3f48c7aa83bb26da8f8421209cddfd0be342cb81
Author: Jens Georg <mail@jensge.org>
Date:   Sat Sep 27 13:24:00 2014 +0200

    dbusservice: Force Position to be int64
    
    Fixes type mismatch issue with Rygel/GIO:
    
    (lt-rygel:21424): GLib-GIO-WARNING **: Received property Position with type i
    does not match expected type x in the expected interface
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737476

 src/plugins/dbusservice/dbusservice.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 66905856cb3974c2e236228374194983053d82e3
Author: Saibal Ray <sray@redhat.com>
Date:   Mon Sep 29 06:12:50 2014 +0000

    Updated Bengali (India) translation

 po/bn_IN.po | 2563 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 1267 insertions(+), 1296 deletions(-)

commit 2adf7ab63f07b96122c8b2d8dfaf5885713e92f8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Sep 28 10:56:25 2014 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 65 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 33 insertions(+), 32 deletions(-)

commit 63869d92e63203c24adecb4651629dc8f85212d8
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sat Sep 27 17:21:34 2014 +0300

    Updated Bulgarian translation

 po/bg.po | 1680 +++++++++++++++++++++-----------------------------------------
 1 file changed, 551 insertions(+), 1129 deletions(-)

commit 5f3dca225c4a6d9a430c306f7268192367670a94
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Sep 24 12:05:11 2014 +0200

    Updated Serbian translation

 po/sr.po       | 827 +++++++++++++++++++++++++++------------------------------
 po/sr@latin.po | 827 +++++++++++++++++++++++++++------------------------------
 2 files changed, 778 insertions(+), 876 deletions(-)

commit 11346a7b2a90213ff4c84ad09fbda7c162dc2bda
Author: Krishnababu Krothapalli <k.meetme@gmail.com>
Date:   Tue Sep 23 19:32:36 2014 +0000

    Updated Telugu translation

 po/te.po | 1633 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 846 insertions(+), 787 deletions(-)

commit 206a0f3921d6b432751b526b7799d55602f4a02c
Author: Tong Hui <tonghuix@gmail.com>
Date:   Tue Sep 23 11:04:46 2014 +0800

    update zh_CN translation

 po/zh_CN.po | 765 +++++++++++++++++++++++++++++-------------------------------
 1 file changed, 366 insertions(+), 399 deletions(-)

commit f48662599c173d64a817b8daee8e7c7059f5885c
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:   Mon Sep 22 17:31:31 2014 +0000

    Updated Kannada translation

 po/kn.po | 2411 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1192 insertions(+), 1219 deletions(-)

commit be51781c34cf84dcdea0f3580ac3b1956b8a93cb
Author: Rajesh Ranjan <rajeshkajha@yahoo.com>
Date:   Mon Sep 22 10:41:24 2014 +0000

    Updated Hindi translation

 po/hi.po | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit befb0edde9a0745535761c27e8400b983ef6f8e5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 22 06:23:21 2014 +0200

    3.14.0

 NEWS         | 8 +++++++-
 configure.ac | 4 ++--
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 61d1ddb7a46b926a14934294f1973f1e20ed0a7f
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Sep 21 08:25:50 2014 -0500

    update Punjabi Translation for 3.14 release

 po/pa.po | 822 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 385 insertions(+), 437 deletions(-)

commit fffaa47297e6d7552cadd5cba3e42762a47368c0
Author: Rajesh Ranjan <rajeshkajha@yahoo.com>
Date:   Sun Sep 21 04:27:18 2014 +0000

    Updated Hindi translation

 po/hi.po | 2311 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1149 insertions(+), 1162 deletions(-)

commit f6a19ee418b0758ffb1b801fb1b512ee36fbd52a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Sep 21 04:20:58 2014 +0200

    build: Require clutter-gtk 1.5.5
    
    So that we can pick up the Wayland fixes in that version, in
    particular:
    https://bugzilla.gnome.org/show_bug.cgi?id=736564

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ef95a92cd2bc8f2e57ff2ce28f7a130d51c3c5e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Sep 21 04:19:10 2014 +0200

    build: Require gst-plugins-base 1.4.2
    
    So we can pick up the fix for
    https://bugzilla.gnome.org/show_bug.cgi?id=735748

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 77e4bb72a68e0c635af62279a22b47525dbce62e
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sat Sep 20 19:56:11 2014 +0300

    Added uk translation

 po/uk.po | 793 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 388 insertions(+), 405 deletions(-)

commit be523a05729d6f24ad6adc4a296ce556eece1681
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Sat Sep 20 09:58:07 2014 +0200

    Minor update to Danish translation

 po/da.po | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit dd749060217aaf596270c0fed98db31061ec85e8
Author: Kris Thomsen <lakristho@gmail.com>
Date:   Sat Sep 20 09:54:54 2014 +0200

    Updated Danish translation

 po/da.po | 784 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 380 insertions(+), 404 deletions(-)

commit 3916895614b993bd3cf5f839c0b5f0f6d80f2e3e
Author: Saibal Ray <sray@redhat.com>
Date:   Wed Sep 17 07:58:14 2014 +0000

    Updated Bengali (India) translation

 po/bn_IN.po | 3737 +++++++++++++++++++++++++++--------------------------------
 1 file changed, 1692 insertions(+), 2045 deletions(-)

commit 891921b1c97174058444894f0958a6e52e16022c
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Mon Sep 15 21:25:58 2014 +0000

    Updated German translation

 po/de.po | 346 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 174 insertions(+), 172 deletions(-)

commit f9edb71d6accdf107a2dad5c6f9a1ced65f04528
Author: Shantha kumar <shantha.thamizh@gmail.com>
Date:   Sun Sep 14 19:28:13 2014 +0000

    Updated Tamil translation

 po/ta.po | 2009 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1014 insertions(+), 995 deletions(-)

commit 31f23d565475db928c4d55969238a864995459bb
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Sep 14 20:34:49 2014 +0200

    Updated Slovenian translation

 po/sl.po | 776 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 375 insertions(+), 401 deletions(-)

commit 4cf6079c2dc12ccd210a287574b6db4efc6e896a
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sun Sep 14 16:47:59 2014 +0000

    Updated Hungarian translation

 po/hu.po | 808 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 384 insertions(+), 424 deletions(-)

commit 96b681584acf9f8e02e911d25bb5a677786423dd
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Sun Sep 14 20:48:26 2014 +0530

    Updated Marathi Translations

 po/mr.po | 1467 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 759 insertions(+), 708 deletions(-)

commit 4fb10734c8defad03f22e164c2154bd12859a5ed
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 12 14:53:28 2014 +0200

    main: Remove border from error dialogue
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736547

 src/totem-interface.c | 1 -
 1 file changed, 1 deletion(-)

commit 73ef944e31e171d7631ed66a1980d379a74ce65b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 12 14:16:35 2014 +0200

    backend: Always cancel popup timeout when marking popup as busy
    
    So as to avoid the popup hiding when it's busy.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736439

 src/backend/bacon-video-widget.c | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit fae24983d5cd7740baf0c55510107bbce27a7f6e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 12 14:15:36 2014 +0200

    backend: Don't always hide popup when cursor leaves window
    
    But only if the popup isn't busy. Otherwise we end up overriding
    the "mark busy" inhibitor and we'd be in a weird state.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736439

 src/backend/bacon-video-widget.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 8549e37207c5066118ca0ba3efb95c8e7be6735c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 12 14:14:16 2014 +0200

    backend: Only schedule hiding the popup if we're showing it
    
    We don't need a timeout to hide the popup if we're hiding the popup
    already.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736439

 src/backend/bacon-video-widget.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f9d64af951cfd65beff51b842eb7a7e2c82bd5fe
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 12 14:13:05 2014 +0200

    main: Rename widget to match reality
    
    We're not checking whether the volume button is visible, but if the
    volume button's popover is visible.

 src/totem-object.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2b677b7963baa62c4a0f537b6efaff1a233d3c95
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   Wed Sep 10 17:35:13 2014 +0200

    Remove unused totem_mozilla_scripting.idl file

 src/totem_mozilla_scripting.idl | 29 -----------------------------
 1 file changed, 29 deletions(-)

commit ab0ccbf5cad9f71615843f8ab925c7b25c527451
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Tue Sep 9 16:52:06 2014 +0000

    Updated Slovak translation

 po/sk.po | 1891 ++++++++++++++++++++------------------------------------------
 1 file changed, 599 insertions(+), 1292 deletions(-)

commit 69a8ea106683f7b389a26d844088bb20fb1eefe6
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   Sun Sep 7 21:21:20 2014 +0300

    Finnish translation update by Jiri Grönroos

 po/fi.po | 326 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 162 insertions(+), 164 deletions(-)

commit f4273a34c0ec14afaeca539879c8a575d8c29a15
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Sep 7 17:25:04 2014 +0200

    save-file: Handle an unset Videos directory
    
    This also fixes ~/Videos being used instead of the path to the real
    videos directory.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736231

 src/plugins/save-file/totem-save-file.c | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit d473659cebaa8110f71601228bc07b81a8437c9b
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Sep 7 18:12:54 2014 +0300

    Updated Latvian translation

 po/lv.po | 810 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 379 insertions(+), 431 deletions(-)

commit 8468a3692eb6e91a70fdf4fbd04d087ad1791f85
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Sun Sep 7 10:50:22 2014 +0400

    Updated Russian translation

 po/ru.po | 910 ++++++++++-----------------------------------------------------
 1 file changed, 146 insertions(+), 764 deletions(-)

commit 8e3eb42000c2fa226ad74fdc935cf4bf9036451a
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sat Sep 6 23:27:30 2014 +0200

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 341 +++++++++++++++++++-----------------------------------
 1 file changed, 122 insertions(+), 219 deletions(-)

commit 9ebec9a64d2289564b5961caefb969c31d9f92f5
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Sep 6 23:27:26 2014 +0200

    [l10n] Update Catalan translation

 po/ca.po | 684 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 285 insertions(+), 399 deletions(-)

commit 3ada650be70228177a332ad51b0c89496232b559
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Sep 6 21:19:38 2014 +0200

    main: Also thumbnail videos from GrlFilesystem

 src/icon-helpers.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 23d788e5c5b46260dba58b91614cb76d734830eb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Sep 6 21:17:03 2014 +0200

    main: Split up check of whether to thumbnail

 src/icon-helpers.c | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit d7f8cb68e9930955a4171609c7046364ad510ad2
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Sep 6 13:53:06 2014 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 268 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 134 insertions(+), 134 deletions(-)

commit aa055c92f74400f58b15a7dd3b3f3468dc06453a
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Sep 6 07:40:22 2014 +0900

    Updated Korean translation

 po/ko.po | 755 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 363 insertions(+), 392 deletions(-)

commit 04135638d397fe35a1667c5174edd4bf51b65107
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Fri Sep 5 11:38:29 2014 +0530

    Updated gujarati translations

 po/gu.po | 2324 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1168 insertions(+), 1156 deletions(-)

commit 5f8773b5be20ff3016f08bced61ec8b0b6710878
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 3 17:53:34 2014 +0200

    3.13.92

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit f9301920876d3ae074935a5510063a1b2ad2b068
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 3 17:40:51 2014 +0200

    libgd: Update libgd to fix subtitle dimming
    
    The episode/season or duration label under a video thumbnail is
    supposed to be dimmed, but this broke because of theming changes.

 libgd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ec6478f10959992fa290388022019272d770a78
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 3 14:12:36 2014 +0200

    libgd: Update libgd to fix check boxes appearance
    
    Check boxes would appear as empty when toggled on in the main view.

 libgd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ed8485f70d79e78126816a69bdf1bc186098f609
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 3 00:16:31 2014 +0200

    main: Fix opening files
    
    Caused by the switch to D-Bus activation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735935

 src/totem-object.c | 20 ++++++++++++++++++++
 src/totem.c        |  2 +-
 2 files changed, 21 insertions(+), 1 deletion(-)

commit 87499d86c4f37790a27c83aa3b2b273d8b0e6b82
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Sep 3 08:34:33 2014 +0000

    Updated Indonesian translation

 po/id.po | 360 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 168 insertions(+), 192 deletions(-)

commit 9ac23e7ef3f0391be6a8a361f0f4437aadf8c03c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Sep 3 03:43:14 2014 +0200

    Updated Polish translation

 po/pl.po | 682 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 282 insertions(+), 400 deletions(-)

commit 5a7806184b99b6b647e28d67a658f0881359fa99
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 2 22:14:11 2014 +0200

    3.13.91

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit b82ccc86ce6690e59348b5cb685be5f4f90ad2f3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 2 22:17:17 2014 +0200

    data: Fix distcheck
    
    Following D-Bus service file addition

 data/Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 5be27ddba70adf8262b1d01dfd541be03d3f3b8d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 25 18:48:15 2014 +0200

    main: Fetch missing thumbnails
    
    When populating the icon view.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727748

 src/icon-helpers.c | 31 ++++++++++++++++++++++++++++---
 1 file changed, 28 insertions(+), 3 deletions(-)

commit 56e20afd04fa001c608504f4ee8f417998fa93df
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 25 18:08:20 2014 +0200

    main: Port thumbnail fetcher to GTask
    
    And make sure we don't simply return from a failed icon fetch!
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727748

 src/icon-helpers.c | 73 ++++++++++++++++++++++++------------------------------
 src/icon-helpers.h |  5 ++--
 src/totem-grilo.c  |  2 +-
 3 files changed, 37 insertions(+), 43 deletions(-)

commit 87afdef288e273214484528257e101c74ac2d226
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 25 18:03:03 2014 +0200

    main: Add async thumbnailing helper
    
    To thumbnail videos using totem-video-thumbnailer through gnome-desktop,
    using a GThreadPool to make sure we don't request more than 5 thumbnails
    at a time.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727748

 configure.ac       |  2 +-
 src/icon-helpers.c | 71 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+), 1 deletion(-)

commit 5657d6de7fd2ebb2e5149255b69b3a949f5baade
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Thu Aug 28 17:38:09 2014 +0300

    Updated Hebrew translation

 po/he.po | 376 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 185 insertions(+), 191 deletions(-)

commit 929aa8c60fd5fcc89226726e49185a04e04e8fbf
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Aug 26 10:09:19 2014 +0000

    Updated French translation

 po/fr.po | 773 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 371 insertions(+), 402 deletions(-)

commit 0d86e3169b7f76176d634d1aa05cff86b94016d4
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Aug 25 22:39:42 2014 +0200

    Updated Galician translations

 po/gl.po | 276 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 138 insertions(+), 138 deletions(-)

commit 655a9e6c04862e966fd40395339ad230591b2250
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Aug 23 17:52:35 2014 +0200

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 14 +++++++-------
 po/POTFILES.skip | 12 ++++++------
 2 files changed, 13 insertions(+), 13 deletions(-)

commit 44d89416c87bbdde54f740e5b916fbf030a54dd9
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Aug 23 12:04:34 2014 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 71 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 39 insertions(+), 32 deletions(-)

commit a50d09d937ef9702a78f826ff97dbf81da9e345b
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Fri Aug 22 15:47:48 2014 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 81 ++++++++++++++++++++++++++++---------------------------------
 1 file changed, 37 insertions(+), 44 deletions(-)

commit b29c3375e2db53dd0b97e0d9bc06ee2207948d86
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Aug 22 08:00:31 2014 +0200

    Updated Czech translation

 po/cs.po | 160 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 68 insertions(+), 92 deletions(-)

commit 267f43b4526463c252ec3d2c7cb7d59403993b6e
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Thu Aug 21 16:33:09 2014 +0200

    data: Rename the appdata file after the desktop file name change
    
    Our tooling expects that the names match.

 data/appdata/Makefile.am                    |  2 +-
 data/appdata/org.gnome.Totem.appdata.xml.in | 31 +++++++++++++++++++++++++++++
 data/appdata/totem.appdata.xml.in           | 31 -----------------------------
 po/POTFILES.in                              |  2 +-
 4 files changed, 33 insertions(+), 33 deletions(-)

commit d86decb94aa90e6ff7aa590a02ba4c7fb57f3862
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 18 18:03:11 2014 +0200

    data: Make Totem a D-Bus service
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734999

 data/Makefile.am                      | 10 +++++++++-
 data/org.gnome.Totem.desktop.in.in.in |  1 +
 data/org.gnome.Totem.service.in       |  3 +++
 3 files changed, 13 insertions(+), 1 deletion(-)

commit 84609acc53abb82a3b4afdc961b84758fe415d6b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 18 17:29:40 2014 +0200

    data: Rename totem's desktop file
    
    So that its name matches the application-id
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734999

 configure.ac                          |  4 ++--
 data/Makefile.am                      | 14 +++++++-------
 data/org.gnome.Totem.desktop.in.in.in | 17 +++++++++++++++++
 data/totem.desktop.in.in.in           | 17 -----------------
 po/POTFILES.in                        |  2 +-
 5 files changed, 27 insertions(+), 27 deletions(-)

commit 8445bb8b794df9e78a01a4f48f4a0648e8fcfee3
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Wed Aug 20 01:17:44 2014 +0900

    l10n: Update Japanese translation

 po/ja.po | 1322 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 678 insertions(+), 644 deletions(-)

commit f22db384faa24b675dd708a605289d4944e16c2f
Author: ngoswami <ngoswami@redhat.com>
Date:   Mon Aug 18 15:02:54 2014 +0000

    Updated Assamese translation

 po/as.po | 946 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 469 insertions(+), 477 deletions(-)

commit 520f9d0fcb9f9580050506ff6657e49bca165af9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 18 12:51:44 2014 +0200

    3.13.90

 NEWS         | 25 +++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 26 insertions(+), 1 deletion(-)

commit cc18e054313a19626a31fb5834c589542f7abd69
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Aug 17 21:13:53 2014 +0200

    main: Fix headerbar title when playing search results
    
    We would be trying to set the custom title when there wasn't one yet.

 src/totem-main-toolbar.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 11af15829345b6baea8db1af99aa0f4ac20e6ca4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Aug 17 19:45:36 2014 +0200

    main: Postpone loading library after playback
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728716

 src/totem-grilo.c  | 15 ++++++++++++++-
 src/totem-grilo.h  |  1 +
 src/totem-object.c |  6 +++++-
 src/totem.c        |  2 ++
 4 files changed, 22 insertions(+), 2 deletions(-)

commit 3a7b7db040045338c4881ab08eb9c18b8dca3aef
Author: Lasse Liehu <lasse.liehu@gmail.com>
Date:   Sun Aug 17 14:49:01 2014 +0300

    Finnish translation update

 help/fi/fi.po | 3002 ++++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 2309 insertions(+), 693 deletions(-)

commit 19fa60136a1901a2a51bcbe1714abb25233b34ea
Author: Lasse Liehu <lasse.liehu@gmail.com>
Date:   Sun Aug 17 14:37:38 2014 +0300

    Finnish translation update

 po/fi.po | 2150 +++++++-------------------------------------------------------
 1 file changed, 217 insertions(+), 1933 deletions(-)

commit 64b74887c80764fd1899376e0250fec64ec77270
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Thu Aug 7 15:46:06 2014 +0200

    Updated Basque language

 po/eu.po | 591 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 282 insertions(+), 309 deletions(-)

commit 4447b0ac62855b96f49fcdc58194d0a4891bcda5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jul 31 19:58:09 2014 +0200

    doap: add <programming-language>

 totem.doap | 1 +
 1 file changed, 1 insertion(+)

commit 0338dd2a6b9e0c72ce439c0ebc9857feaa17f362
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 20:43:12 2014 +0200

    doap category core

 totem.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2dbcbb911f5e5b0bbe4caba439def0c7a7228144
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Jul 25 23:51:34 2014 +0300

    Updated Lithuanian translation

 po/lt.po | 508 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 201 insertions(+), 307 deletions(-)

commit c6c34a60757128182ad5495b0450a5630f6c56a2
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Jul 23 11:51:47 2014 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 497 ++++++++++++++++++++++++---------------------------------------
 1 file changed, 189 insertions(+), 308 deletions(-)

commit 1f4f965ba2cbce049226076e8876fd00cf2f13e0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jul 18 13:02:02 2014 +0200

    save-file: Videos just under ~/Videos shouldn't be copied
    
    Not just grand-children of ~/Videos.

 src/plugins/save-file/totem-save-file.c | 3 +++
 1 file changed, 3 insertions(+)

commit ac2d51a862fc72be66c3c9295ff5486acab8e9b5
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Fri Jul 18 13:17:39 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 169 ++++++++++++++++++++++++++++--------------------------------
 1 file changed, 78 insertions(+), 91 deletions(-)

commit 2a3f7d3e534f9069daa7408e6f20747237d0b8c2
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Jul 17 21:22:12 2014 +0000

    Updated Swedish translation

 po/sv.po | 2149 +++++++++++++++++++++-----------------------------------------
 1 file changed, 707 insertions(+), 1442 deletions(-)

commit 90f6d2a4e6e1aeaf6aaf7c90f2c2faf8691e968b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jul 11 12:59:09 2014 +0200

    main: Use correct icon name for "gear" menu
    
    See https://wiki.gnome.org/Initiatives/GnomeGoals/GearIcons

 src/totem-object.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0e492b4192b655fca0230bf59528af5525757a30
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:   Fri Jul 11 10:33:49 2014 +0000

    Updated Scottish Gaelic translation

 po/gd.po | 616 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 301 insertions(+), 315 deletions(-)

commit 94c09bec84c78fc1766b5ae7d410cb088f772633
Author: MarMav <mavridou@gmail.com>
Date:   Wed Jul 9 23:13:38 2014 +0000

    Updated Greek translation

 po/el.po | 677 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 325 insertions(+), 352 deletions(-)

commit 93b5c6532f6b7fca4af0c814cb2ff719736812b5
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:   Tue Jul 8 12:37:11 2014 +0200

    Updated Spanish translation

 po/es.po | 163 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 79 insertions(+), 84 deletions(-)

commit d33685e232d24df20f583c7136c55d12841f1002
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Jun 15 00:35:29 2014 +0200

    data: Make all aspect ratios use the ratio sign
    
    A regression caused by commit
    8ff9c0d1dd058d60696eed6a778e2750ac02fac1
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731671

 data/totem.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e4357effeaa2b6b7c8d8507bff2ea75a7bd04754
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 6 18:29:43 2014 +0200

    main: Fix some icons not being symbolic anymore
    
    Hatchet job when we started using GTK+'s automatic RTL icon support.
    
    Spotted by jimmac and Lapo.

 src/totem-object.c   | 10 +++++-----
 src/totem-playlist.c |  2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 360419475d028068bbb68db7b8a0a887aee82cca
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Wed Jul 2 18:26:52 2014 +0400

    Updated Russian translation

 po/ru.po | 639 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 291 insertions(+), 348 deletions(-)

commit a6b97b5f5dc277f81abfd452abfe99b7f3d777ad
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Jul 1 18:03:49 2014 +0200

    Updated Galician translations

 po/gl.po | 262 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 127 insertions(+), 135 deletions(-)

commit 7adab7497f2b755272adf8d07f2adddd86341c5b
Author: Benjamin Steinwender <b@stbe.at>
Date:   Fri Jun 27 10:08:22 2014 +0000

    Updated German translation

 po/de.po | 578 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 276 insertions(+), 302 deletions(-)

commit 12a2b62097a946c03bc842137fcecb67dd20e489
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Sun Jun 22 08:19:28 2014 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 574 +++++++++++++++++++++++++++++-------------------------------
 1 file changed, 277 insertions(+), 297 deletions(-)

commit 9a676e48b89e732485ca3e624d8c737a7e722d57
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Fri Jun 20 15:53:16 2014 +0700

    Updated Thai translation

 po/th.po | 569 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 270 insertions(+), 299 deletions(-)

commit aa00571190e1d8d7d4d379835e44b6b55a4c1b31
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jun 4 18:33:36 2014 +0200

    main: Fix crash when browsing Euronews source
    
    In some locations, because the Euronews source would give out broken
    URIs such as:
    UNAVAILABLEUNAVAILABLE playpath=UNAVAILABLE swfVfy=1 swfUrl=http://euronews.com/media/player_live_1_14.swf live=1
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731224

 src/totem-grilo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c9e096a3f63e914bba20b1a845644534938610a3
Author: Wim Taymans <wtaymans@redhat.com>
Date:   Tue Nov 23 20:24:46 2010 +0000

    backend: Allow seeking past fill-level
    
    When download buffering. This also improves download
    buffering support by:
    - Always doing the buffering query on the pipeline so that all
      elements can participate.
    - Handling the GstCacheDownloadComplete message to know when
      download completed.
    - Improving where we set the fill position try to find the fill
      level past our current playback position.
    
    Based on patch by Bastien Nocera <hadess@hadess.net>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=635637

 data/controls.ui                 |  1 +
 src/backend/bacon-video-widget.c | 80 ++++++++++++++++++++--------------------
 2 files changed, 42 insertions(+), 39 deletions(-)

commit 00decb04f92aca6a00e6ae0694325adba7f00014
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jun 3 19:33:09 2014 +0200

    data: Fix man page compilation failure
    
    GEN      org.gnome.totem.gschema.valid
    totem-video-thumbnailer.pod around line 63: =over without closing =back
    POD document had syntax errors at /usr/bin/pod2man line 69.

 data/totem-video-thumbnailer.pod | 2 ++
 1 file changed, 2 insertions(+)

commit 050e84249b35afe4cb6d02cc05f90bc7f874f4c9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jun 3 13:05:04 2014 +0200

    main: Move the "un-fullscreen" button to the corner
    
    So that it's easier to reach when in fullscreen mode.
    
    Requires:
    https://git.gnome.org/browse/gnome-themes-standard/commit/themes/Adwaita/gtk-3.0?id=0f705f2097e44778eb665782f2cf23a889b2c73c
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727224

 src/totem-object.c | 46 ++++++++++++----------------------------------
 1 file changed, 12 insertions(+), 34 deletions(-)

commit 8ca1b77b286ee494b22b0403eca88bde49756ce6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jun 3 12:07:43 2014 +0200

    main: Use gtk_actionable_set_action_name()
    
    Rather than setting the property by hand.

 src/totem-object.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e724ebfde686987994110fe0fda53f551b71cdf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 2 17:46:32 2014 +0200

    backend: Fix hidden cursor with visible popup
    
    Avoid the cursor being hidden when a popover menu is shown by forcing
    the popup to be shown.
    
    Reproducer:
    1. Open Videos
    2. Play a video
    3. Move your cursor outside of the window
    4. Wait until the hovering menu disappears
    5. Open the gear popover without hovering the video
    6. Hover the video
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730387

 src/backend/bacon-video-widget.c | 2 ++
 1 file changed, 2 insertions(+)

commit c430fa6efd229ef61e41844f46b165a54647bc2c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 2 17:40:31 2014 +0200

    backend: Remove "show-cursor" property and API
    
    It's now all handled within the widget.

 src/backend/bacon-video-widget.c | 78 +++++++++++++---------------------------
 src/backend/bacon-video-widget.h |  3 --
 2 files changed, 24 insertions(+), 57 deletions(-)

commit 7212e3c691d6b0f652d422829583ab2ca80ff0fe
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 2 16:15:40 2014 +0200

    thumbnailer: Add support for rotated thumbnails
    
    Similar to what we did in the movie player itself, but for thumbnails.

 src/gst/totem-gst-pixbuf-helpers.c | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit 6b2fa346045a990f6dc2283e9fa755fbf66a7619
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Mon Jun 2 16:31:18 2014 +0300

    main: Fix the back icon in RTL

 src/totem-main-toolbar.c | 6 ------
 1 file changed, 6 deletions(-)

commit d0bf95742351ed8ee56eb4c037ffc2101636fc8c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 19:49:11 2014 +0200

    main: Remove RTL helpers
    
    The code now lives directly in GTK+'s GtkIconTheme handling.

 src/Makefile.am             |  3 +--
 src/gst/Makefile.am         | 19 +-------------
 src/gst/totem-rtl-helpers.c | 61 ---------------------------------------------
 src/gst/totem-rtl-helpers.h | 35 --------------------------
 src/totem-grilo.c           |  1 -
 src/totem-playlist.c        |  3 +--
 6 files changed, 3 insertions(+), 119 deletions(-)

commit 40d4b61b75f0ccd8f1e3577f43d6849a187e8f6c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 19:47:27 2014 +0200

    main: Remove GtkUIManager usage
    
    Plenty of deprecated code gone.

 data/totem.ui       | 33 -----------------------------
 src/totem-menu.c    | 61 +++++++++++++++++++++++++----------------------------
 src/totem-menu.h    |  2 --
 src/totem-object.c  | 61 ++++++++++++++++++++++++-----------------------------
 src/totem-private.h | 12 +----------
 src/totem.c         | 17 ---------------
 6 files changed, 57 insertions(+), 129 deletions(-)

commit c2af2e7bce749760bf7fe23a4690aa8b904562fc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 18:49:48 2014 +0200

    main: Remove dead GtkActionGroups
    
    Those were ported to GActions some time ago.

 src/totem-private.h | 6 ------
 1 file changed, 6 deletions(-)

commit 48e467c2c7b87ca837113a0866567de39cad15d1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 18:46:02 2014 +0200

    main: Remove unused clear_playlist_action_callback()

 src/totem-menu.c | 8 --------
 1 file changed, 8 deletions(-)

commit 4f4c9d9277cd3e412500f489e0c8870775e033f7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 18:37:35 2014 +0200

    main: Remove unused totem_object_get_ui_manager()

 docs/reference/totem-sections.txt |  1 -
 src/totem-object.c                | 16 ----------------
 src/totem.h                       |  1 -
 3 files changed, 18 deletions(-)

commit 8bc7d40d585102dc1de89bf9eb20c127e59a449f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 18:28:12 2014 +0200

    main: Remove GtkUIManager and related usage in playlist
    
    The playlist is an internal widget, so crudely replace the popup menu
    with buttons.

 data/playlist.ui     |  58 ++++++++++++++-------------
 src/totem-playlist.c | 108 ++++++---------------------------------------------
 2 files changed, 41 insertions(+), 125 deletions(-)

commit 0336a2580d479c279aee9b06b7410e02212c4c5f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 18:27:52 2014 +0200

    data: Remove dead web browser plugin data files

 data/Makefile.am        |   4 +-
 data/mozilla-viewer.css |  12 -----
 data/mozilla-viewer.ui  | 125 ------------------------------------------------
 3 files changed, 1 insertion(+), 140 deletions(-)

commit 16342bc3a845245a072d787bebdb4d5876972ce0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 18:11:46 2014 +0200

    main: Remove properties accel in main
    
    It's already setup in the properties plugin.

 src/totem-menu.c | 2 --
 1 file changed, 2 deletions(-)

commit 60cac8cc1362edd83fd51ee1eb28f7a1e5acf64d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 18:09:25 2014 +0200

    properties: Handle "View" remote key

 src/plugins/properties/totem-movie-properties.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit cfda97f47804451508533e91da05a863b8ef51c9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 18:09:07 2014 +0200

    save-file: Handle "Save" multimedia key

 src/plugins/save-file/totem-save-file.c | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 5f790114fb4e13a621840edbffd6759e655dfe3d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 18:06:05 2014 +0200

    main: Use set_accels_for_action()
    
    Instead of add_accelerator() and remove_accelerator().

 src/totem-grilo.c |  3 ++-
 src/totem-menu.c  | 14 +++++++++-----
 2 files changed, 11 insertions(+), 6 deletions(-)

commit f931132d9f58306339db15885b722e43055a2cbb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 18:05:49 2014 +0200

    screenshot: Use set_accels_for_action()
    
    Instead of add_accelerator() and remove_accelerator().

 src/plugins/screenshot/totem-screenshot-plugin.c | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 21e981fede4703af4fabb00b191e09703d3802c8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 18:05:31 2014 +0200

    save-file: Use set_accels_for_action()
    
    Instead of add_accelerator() and remove_accelerator().

 src/plugins/save-file/totem-save-file.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 010ebb24965134ca3f8c40fc173d0e6451f56f2e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 18:03:25 2014 +0200

    properties: Use set_accels_for_action()
    
    Instead of add_accelerator() and remove_accelerator().

 src/plugins/properties/totem-movie-properties.c | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 3964922b9b010800109d0ae6106dfd14298a754b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 17:49:50 2014 +0200

    rotation: Remove unneeded Clutter dependency
    
    There's no need for a direct clutter dependency, we use the video
    widget's helper functions now.

 src/plugins/rotation/Makefile.am                | 4 ++--
 src/plugins/rotation/totem-rotation-plugin.vala | 2 --
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 238a61bcf8dbf30d231b6daf445c05399944e472
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 16:23:44 2014 +0200

    backend: Automatically rotate mobile phone videos
    
    For certain types of videos, and given a new enough version of
    the "qtdemux" plugin, GStreamer will tell us which is the best
    rotation for a video. This will automatically show videos the
    right way around for videos captured upside-down or in portrait mode
    on smartphones.

 src/backend/bacon-video-widget.c | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit a55fedc84a255d742144dabec85e58147bab0edc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 16:22:26 2014 +0200

    backend: Add a way to rotate without animations

 src/backend/totem-aspect-frame.c | 12 ++++++++++++
 src/backend/totem-aspect-frame.h |  3 +++
 2 files changed, 15 insertions(+)

commit 68b174adbb10c302838ee99efe4b897b70a30066
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 28 18:13:04 2014 +0200

    backend: Reset loaded text subtitles when closing video
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728339

 src/backend/bacon-video-widget.c | 2 ++
 1 file changed, 2 insertions(+)

commit c0ceb794523f35bf057e2e4d759fbd2bcde1a296
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri May 23 03:53:38 2014 +0000

    Updated Indonesian translation

 po/id.po | 455 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 182 insertions(+), 273 deletions(-)

commit 6b76598a490504a4fedd5bcc8a03a1ba641aca60
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue May 20 20:11:02 2014 +0200

    Updated Spanish translation

 po/es.po | 214 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 103 insertions(+), 111 deletions(-)

commit 6818fcee6bd4a2279d6ce82eff89c5df12d43bc2
Author: Marek Černocký <marek@manet.cz>
Date:   Sun May 18 08:48:02 2014 +0200

    Updated Czech translation

 po/cs.po | 458 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 182 insertions(+), 276 deletions(-)

commit 616c64dc5e7172ba00c17013e0d98e64e0806d93
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Thu May 15 19:55:36 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 549 +++++++++++++++++++++++++++++-------------------------------
 1 file changed, 268 insertions(+), 281 deletions(-)

commit 6a200fc8fe5693e24220818c23700b94375a1437
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Thu May 15 20:56:50 2014 +0300

    Updated Hebrew translation

 po/he.po | 525 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 250 insertions(+), 275 deletions(-)

commit 1ce6ccfeef2c1b3b2713a1b33b975ac30b3e3a69
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 15 19:32:05 2014 +0200

    main: Small optimisation when removing loads of items
    
    Won't make that much of a difference (compared to say, tracking all the
    rows with GtkTreeRowReferences), but doesn't hurt.

 src/totem-grilo.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 524c9e39a0ca6f2d1699e6e6d9ba3db1ea80d9f9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 15 19:28:35 2014 +0200

    main: Fix potential data loss when removing multiple files
    
    We were using a list of GtkTreePaths and deleting the items one-by-one
    when the user clicked the "Delete" button. But after the first deletion,
    the tree model would have changed, and instead of pointing to the 2nd
    item we wanted to delete, the GtkTreePath would have pointed to another
    item, usually not one that we wanted to delete.
    
    We now use GtkTreeRowReferences, which will always point to the same
    row, as long as it exists.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729778

 src/totem-grilo.c | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

commit dbb06628849547b87123ed5882099b704afc32c2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 15 18:06:22 2014 +0200

    main: Remove "all files" filters from the file choosers
    
    So that images can't be added. Also remove audio files as a filter,
    as we're a movie player, not an audio one.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729785

 src/totem-uri.c | 32 ++------------------------------
 1 file changed, 2 insertions(+), 30 deletions(-)

commit c2efd1699288484d5d52c8254d1409e5da3a0b11
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 15 17:48:59 2014 +0200

    backend: Force reading from path for CDDA URIs
    
    Otherwise we'll try to use the GStreamer CDDA plugins, instead of
    reading from the GIO plugin.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720120

 src/backend/bacon-video-widget.c | 5 +++++
 1 file changed, 5 insertions(+)

commit d812d690a96805d24445e2a35a6a191dbaa6febd
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 15 17:08:40 2014 +0200

    all: Remove other users of video-utils.h
    
    As started in 5b8498d98e59d57de0c573231056bac8504277b1

 src/properties/bacon-video-widget-properties.c | 1 -
 src/totem-object.c                             | 1 -
 src/totem-playlist.c                           | 1 -
 src/totem-preferences.c                        | 1 -
 src/totem.c                                    | 1 -
 5 files changed, 5 deletions(-)

commit 7763f75e05901e739bfbce81b7b07182f88b560c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 09:40:16 2014 +0200

    backend: Use new "audio-filter" property
    
    So that the audio-filter can be bypassed if it's not going to
    make any changes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728020

 configure.ac                     |  2 +-
 src/backend/bacon-video-widget.c | 16 ++++------------
 2 files changed, 5 insertions(+), 13 deletions(-)

commit 22480af9819b207f03a0e405927024b4e6d16344
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 09:29:15 2014 +0200

    gst: Add new flags for playbin
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=679031
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728020

 src/gst/totem-gst-helpers.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 6da90b07e6e34ffd344373883b0c9f0fc6a645c1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 15 16:57:36 2014 +0200

    main: Rename "Text Subtitles" preferences section
    
    To "External Subtitles" to make it clear that the "Load subtitle files
    when movie is loaded" preference doesn't apply to built-in subtitles.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727340

 data/preferences.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 97e155bd1bb92ce303720c87ac9f7a667979e323
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun May 4 13:53:12 2014 +0100

    data: Update licencing information in AppData file
    
    See:
    http://blogs.gnome.org/hughsie/2014/05/02/appdata-meet-spdx-spdx-meet-appdata.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729501

 data/appdata/totem.appdata.xml.in | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 45ff2bb92aa1f188732e27ac490886c83064e726
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Apr 7 21:02:19 2014 +0200

    main: Preferences dialogue UI bug fixes
    
    Expand tabs and remove border around notebook
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727226

 data/preferences.ui | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 5b8498d98e59d57de0c573231056bac8504277b1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 14 14:22:29 2014 +0200

    backend: Remove helper code for one single function
    
    totem_gdk_window_set_invisible_cursor() is 3 lines of code that could
    live in one place in the video widget instead.

 src/backend/Makefile.am          |  1 -
 src/backend/bacon-video-widget.c |  7 ++++--
 src/backend/video-utils.c        | 46 ----------------------------------------
 src/backend/video-utils.h        | 31 ---------------------------
 4 files changed, 5 insertions(+), 80 deletions(-)

commit 229b4d066a3d762c1227a85c78824e48af8eec79
Author: YunQiang Su <yqsu@src.gnome.org>
Date:   Tue May 13 21:34:25 2014 +0800

    fix a mistake of zh_CN translation

 po/zh_CN.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7afcf1e8d876cb15f2ef87c786e47313a0c696f3
Author: Aitzol <aitzolkilla@gmail.com>
Date:   Mon May 12 14:42:18 2014 +0200

    opensubtitles: Add support for Basque
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729974

 src/plugins/opensubtitles/opensubtitles.py | 2 ++
 1 file changed, 2 insertions(+)

commit bbffc6f4679b1121240bead764d8a15bc3816140
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon May 12 14:39:50 2014 +0200

    opensubtitles: Don't error if the language is unknown
    
    If the current locale is not listed in our list of
    OpenSubtitles-supported languages, don't throw an error, but fallback to
    selecting English as the language.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729974

 src/plugins/opensubtitles/opensubtitles.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d0ce0c19ebd8a4921a8c46ba85ce44ed07607ce6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat May 10 19:58:39 2014 +0200

    Updated Spanish translation

 po/es.po | 448 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 218 insertions(+), 230 deletions(-)

commit ddccdc94f5a1c9ba5a0b973901d09d35c792aa81
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 9 11:40:57 2014 +0200

    main: Don't allow adding duplicate items to recent
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729775

 src/totem-grilo.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit cf98faa119edff1f5f4983b2dd128bfe0832968a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 9 11:30:45 2014 +0200

    main: Extend find_media_cb() to be more flexible
    
    Instead of always comparing IDs, allow the type to compare to be
    passed to the helper.

 src/totem-grilo.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit b619b12c8479944f1b7d8de5fc1a0a93cfcb6dab
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri May 9 00:37:15 2014 +0200

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 2951 ++++++++---------------------------------------------
 1 file changed, 400 insertions(+), 2551 deletions(-)

commit fcd79a7b667a634bd920cabffb547c4b62e6dfaf
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sat May 3 23:54:22 2014 +0300

    data: Use the correct name for parent widgets in templates
    
    Recent versions of GTK+ started complaining about this, for example:
    (totem:5745): Gtk-CRITICAL **: Error building template class 'TotemMainToolbar' for an instance of type 'TotemMainToolbar': Template parent type `GtkBox' does not match instance parent type `GtkHeaderBar'.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729479

 src/grilo.ui            | 2 +-
 src/totemmaintoolbar.ui | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e991ac4fc5b7886560b8a3a367d9b2e10d757301
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun May 4 22:43:16 2014 +0200

    Updated Belarusian translation.
    
    (cherry picked from commit 4879a9869321d9142e7443cbf5c9f8baf6daf58e)

 po/be.po | 1439 +++++++++++++++++++++-----------------------------------------
 1 file changed, 485 insertions(+), 954 deletions(-)

commit 9d5e2e92c108eb1e0bc50e5a3f1ef27785ee5b9e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 2 15:22:58 2014 +0200

    opensubtitles: Save subtitles with the correct suffix
    
    Instead of always saving files as "*.ass" (the last suffix listed
    in SUBTITLES_EXT), save with the extension for the file we're
    downloading.

 src/plugins/opensubtitles/opensubtitles.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b7c5bad15fb75a5447d13a27277cd9f19c947f07
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 30 14:22:50 2014 +0200

    backend: Remove support for embedding the video widget
    
    Was only used in the browser-plugin.

 src/backend/bacon-video-widget.c | 37 +++----------------------------------
 1 file changed, 3 insertions(+), 34 deletions(-)

commit cd9bde4007a0e5d028b19c1407b9072dca23518e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Apr 30 14:07:26 2014 +0200

    Updated Galician translations

 po/gl.po | 428 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 205 insertions(+), 223 deletions(-)

commit b52e2aa01e4dba843fc3c01f086a3ee4cc303e08
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 30 13:58:54 2014 +0200

    main: Remove XEmbed parenting hack
    
    It was only used in the browser plugin which is now gone.

 docs/reference/totem-sections.txt |  1 -
 src/totem-interface.c             | 65 ++-------------------------------------
 src/totem-interface.h             |  2 --
 3 files changed, 2 insertions(+), 66 deletions(-)

commit 22e4a36e7ab4d85fb3349cc31f4afeeb6ac72f33
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 30 13:58:30 2014 +0200

    data: Update appdata slightly
    
    The screenshots are still ancient.

 data/appdata/totem.appdata.xml.in | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit 9c5b020d890b9162193038510a2c1c0199fe3b6a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 30 13:57:13 2014 +0200

    build: Remove browser plugin status output from configure

 configure.ac | 30 ------------------------------
 1 file changed, 30 deletions(-)

commit 2f3512ca38fd47edbccb5b2b183a015d2f59042d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 24 11:48:53 2014 +0200

    backend: Better error message for RTSP blocked by firewall
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728789

 src/backend/bacon-video-widget.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 4ce3ce4fddda4c09f630ff1b5b4a7474890f63e4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 30 13:16:06 2014 +0200

    build: Bump version number for GNOME 3.14

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0bb0e018650560f346b1a2b8ec8a1c8b9a5a4cc7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 30 13:10:39 2014 +0200

    browser-plugin: Remove browser plugin
    
    http://www.hadess.net/2014/04/good-bye-totem-browser-plugin.html

 Makefile.am                                        |    9 +-
 browser-plugin/Makefile.am                         |  234 --
 browser-plugin/README.browser-plugin               |   49 -
 browser-plugin/TODO                                |   14 -
 browser-plugin/idl/totemICone.idl                  |   48 -
 browser-plugin/idl/totemIConeAudio.idl             |   34 -
 browser-plugin/idl/totemIConeInput.idl             |   37 -
 browser-plugin/idl/totemIConePlaylist.idl          |   50 -
 browser-plugin/idl/totemIConePlaylistItems.idl     |   32 -
 browser-plugin/idl/totemIConeVideo.idl             |   39 -
 browser-plugin/idl/totemIGMPCdromCollection.idl    |    9 -
 browser-plugin/idl/totemIGMPClosedCaption.idl      |    9 -
 browser-plugin/idl/totemIGMPControls.idl           |   53 -
 browser-plugin/idl/totemIGMPDVD.idl                |    9 -
 browser-plugin/idl/totemIGMPError.idl              |   34 -
 browser-plugin/idl/totemIGMPErrorItem.idl          |   33 -
 browser-plugin/idl/totemIGMPMedia.idl              |   49 -
 browser-plugin/idl/totemIGMPMediaCollection.idl    |    9 -
 browser-plugin/idl/totemIGMPNetwork.idl            |    8 -
 browser-plugin/idl/totemIGMPPlayer.idl             |  112 -
 browser-plugin/idl/totemIGMPPlayerApplication.idl  |   32 -
 browser-plugin/idl/totemIGMPPlaylist.idl           |   45 -
 browser-plugin/idl/totemIGMPPlaylistArray.idl      |   32 -
 browser-plugin/idl/totemIGMPPlaylistCollection.idl |   38 -
 browser-plugin/idl/totemIGMPSettings.idl           |   43 -
 browser-plugin/idl/totemIMullYPlayer.idl           |   89 -
 browser-plugin/idl/totemINarrowSpacePlayer.idl     |  165 --
 browser-plugin/npapi.h                             |  808 ------
 browser-plugin/npruntime.h                         |  393 ---
 browser-plugin/nptypes.h                           |  121 -
 browser-plugin/npupp.h                             |  719 ------
 browser-plugin/org_gnome_totem_PluginViewer.xml    |   82 -
 browser-plugin/plugin.symbols                      |    4 -
 browser-plugin/test-glow-button.c                  |   54 -
 browser-plugin/test.html                           |    0
 browser-plugin/tests/.gitignore                    |    1 -
 browser-plugin/tests/.htaccess                     |   13 -
 browser-plugin/tests/1.html                        |    6 -
 browser-plugin/tests/10-data/ac_quicktime.js       |    1 -
 browser-plugin/tests/10-data/cid_check.js          |    9 -
 browser-plugin/tests/10-data/global.css            |  100 -
 browser-plugin/tests/10-data/globalprint.css       |   78 -
 browser-plugin/tests/10-data/hd_btn2_1080i.mov     |  Bin 2588 -> 0 bytes
 browser-plugin/tests/10-data/hd_btn2_480p.mov      |  Bin 2580 -> 0 bytes
 browser-plugin/tests/10-data/hd_btn2_720p.mov      |  Bin 2560 -> 0 bytes
 browser-plugin/tests/10-data/nav.css               |  129 -
 browser-plugin/tests/10-data/qt7required.gif       |  Bin 2506 -> 0 bytes
 browser-plugin/tests/10-data/quicktime.css         |   99 -
 browser-plugin/tests/10-data/s55958967640717       |  Bin 43 -> 0 bytes
 browser-plugin/tests/10-data/s_code_h.js           |  727 ------
 browser-plugin/tests/10-data/shortcuts.js          |    1 -
 browser-plugin/tests/10-data/spinner.gif           |  Bin 4099 -> 0 bytes
 browser-plugin/tests/10-data/trailers.css          |   70 -
 .../tests/10-data/walle_200803111551.jpg           |  Bin 9921 -> 0 bytes
 browser-plugin/tests/10.html                       |  297 ---
 browser-plugin/tests/11.html                       |   47 -
 browser-plugin/tests/12.html                       |    7 -
 browser-plugin/tests/2.html                        |   93 -
 browser-plugin/tests/3.html                        |    5 -
 browser-plugin/tests/4.html                        |    7 -
 browser-plugin/tests/5.html                        |    7 -
 browser-plugin/tests/6.html                        |   10 -
 browser-plugin/tests/7.html                        |   10 -
 browser-plugin/tests/8.html                        |   10 -
 browser-plugin/tests/9.html                        |   20 -
 browser-plugin/tests/Sample.qtif                   |  Bin 18663 -> 0 bytes
 browser-plugin/tests/anim.png                      |  Bin 2083 -> 0 bytes
 browser-plugin/tests/frontrow-music.mov            |  Bin 473716 -> 0 bytes
 browser-plugin/tests/index.html                    |   41 -
 browser-plugin/tests/launch-web-server.sh          |  136 -
 browser-plugin/tests/leopard.mov                   |  Bin 348892 -> 0 bytes
 browser-plugin/tests/mjpeg-totem-logo.avi          |  Bin 188140 -> 0 bytes
 browser-plugin/tests/playlist-with-static-png.asx  |   38 -
 browser-plugin/tests/playlist-with-static.asx      |   38 -
 browser-plugin/tests/playlist.asx                  |   15 -
 browser-plugin/tests/test-local.asx                |    7 -
 browser-plugin/tests/test.srt                      | 2348 -----------------
 browser-plugin/tests/totem-href.jpg                |  Bin 17310 -> 0 bytes
 browser-plugin/tests/totem-href.mov                |  Bin 2460 -> 0 bytes
 browser-plugin/totem-glow-button.c                 |  156 --
 browser-plugin/totem-glow-button.h                 |   47 -
 browser-plugin/totem-plugin-viewer-constants.h     |   46 -
 browser-plugin/totem-plugin-viewer-options.h       |   40 -
 browser-plugin/totem-plugin-viewer.c               | 2394 -----------------
 browser-plugin/totem-plugin-viewer.gresource.xml   |    6 -
 browser-plugin/totemCone.cpp                       |  118 -
 browser-plugin/totemCone.h                         |   59 -
 browser-plugin/totemConeAudio.cpp                  |  139 -
 browser-plugin/totemConeAudio.h                    |   58 -
 browser-plugin/totemConeInput.cpp                  |  132 -
 browser-plugin/totemConeInput.h                    |   53 -
 browser-plugin/totemConePlaylist.cpp               |  166 --
 browser-plugin/totemConePlaylist.h                 |   60 -
 browser-plugin/totemConePlaylistItems.cpp          |   95 -
 browser-plugin/totemConePlaylistItems.h            |   52 -
 browser-plugin/totemConeVideo.cpp                  |  136 -
 browser-plugin/totemConeVideo.h                    |   61 -
 browser-plugin/totemGMPControls.cpp                |  209 --
 browser-plugin/totemGMPControls.h                  |   71 -
 browser-plugin/totemGMPError.cpp                   |  104 -
 browser-plugin/totemGMPError.h                     |   54 -
 browser-plugin/totemGMPErrorItem.cpp               |   89 -
 browser-plugin/totemGMPErrorItem.h                 |   51 -
 browser-plugin/totemGMPNetwork.cpp                 |  171 --
 browser-plugin/totemGMPNetwork.h                   |   81 -
 browser-plugin/totemGMPPlayer.cpp                  |  313 ---
 browser-plugin/totemGMPPlayer.h                    |   99 -
 browser-plugin/totemGMPPlaylist.cpp                |  158 --
 browser-plugin/totemGMPPlaylist.h                  |   65 -
 browser-plugin/totemGMPSettings.cpp                |  223 --
 browser-plugin/totemGMPSettings.h                  |   68 -
 browser-plugin/totemMullYPlugin.cpp                |  179 --
 browser-plugin/totemMullYPlugin.h                  |  104 -
 browser-plugin/totemNPClass.cpp                    |  207 --
 browser-plugin/totemNPClass.h                      |  154 --
 browser-plugin/totemNPNGlue.cpp                    |  322 ---
 browser-plugin/totemNPObject.cpp                   |  584 -----
 browser-plugin/totemNPObject.h                     |  184 --
 browser-plugin/totemNPObjectWrapper.h              |  122 -
 browser-plugin/totemNPVariantWrapper.h             |  111 -
 browser-plugin/totemNarrowSpacePlugin.cpp          |  554 ----
 browser-plugin/totemNarrowSpacePlugin.h            |  142 --
 browser-plugin/totemPlugin.cpp                     | 2678 --------------------
 browser-plugin/totemPlugin.h                       |  415 ---
 browser-plugin/totemPluginGlue.cpp                 |  466 ----
 browser-plugin/totemVegasPlugin.cpp                |   54 -
 browser-plugin/totemVegasPlugin.h                  |   48 -
 configure.ac                                       |  101 -
 po/POTFILES.in                                     |    1 -
 129 files changed, 1 insertion(+), 19865 deletions(-)

commit c0eb01697968c670cb8393c8a481219f01c18f9a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 7 17:20:31 2014 +0200

    backend: Remove visualisation support
    
    As it's not supported by the front-end.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727761

 docs/reference/totem-sections.txt |   7 -
 src/backend/bacon-video-widget.c  | 409 +-------------------------------------
 src/backend/bacon-video-widget.h  |  26 ---
 src/backend/bvw-test.c            |   1 -
 4 files changed, 4 insertions(+), 439 deletions(-)

commit 1fe91f3f4cb8d2a6d7b42975109f000b46d49257
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 7 17:03:05 2014 +0200

    main: Remove visual effects support
    
    Totem is now primarily a video player. Even if we can still play
    audio, it doesn't mean that it needs to be a first-class citizen
    in our UI. So remove the visual effects support in the main UI.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727761

 data/org.gnome.totem.gschema.xml.in.in |  14 --
 data/preferences.ui                    | 235 ---------------------------------
 data/totem.convert                     |   3 -
 src/totem-object.c                     |   2 -
 src/totem-preferences.c                | 152 +--------------------
 src/totem-preferences.h                |   1 -
 6 files changed, 2 insertions(+), 405 deletions(-)

commit be7617a2efc0762ab1b6fe99334f66f56b73a06e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 27 18:31:43 2014 +0100

    main: Rename "Recent" section to "Videos"
    
    The recent section shouldn't be called "Recent". We
    chose not to show recent videos and show the user's videos instead,
    along with the locally download ones, and optical media.
    
    "Videos" is simple, and already translated. It also matches what
    gnome-photos uses for its equivalent view.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725337

 src/totem-grilo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b255b72c3b65b9a759cf783869823a8ea6ba6b0b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 30 11:41:11 2014 +0200

    3.12.1

 NEWS         | 14 ++++++++++++++
 configure.ac |  2 +-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit 460ebbc32a4159b886ed416a5708537bfa0d307c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Apr 26 11:18:59 2014 -0400

    Drop gnome-icon-theme dependency
    
    gnome-icon-theme got renamed to adwaita-icon-theme. And the
    dependency is not really needed; depending on GTK+ should be
    enough to guarantee the presence of a spec-compliant icon
    theme.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729021

 configure.ac | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 0001090dc34e9623ae86f7629f0318c5a5017352
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 24 18:19:22 2014 +0200

    save-file: Fix creation of cache directory
    
    To hard-link a file to our cache directory, we'd better create it as
    well, otherwise it's just not going to work.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=727576

 src/plugins/save-file/totem-save-file.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 64c98089262f03c4e00a5d2d1b8d94904a2bcf51
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 24 00:53:24 2014 +0200

    build: Require clutter-gtk 1.5.2 or newer
    
    So that we get the hi-dpi scaling support.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=724055

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dbbc058515f4438a695af2411b36be53ce1c437d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Apr 22 21:19:47 2014 +0200

    autoload-subtitles: Remove linefeeds

 src/plugins/autoload-subtitles/totem-autoload-subtitles.c | 2 --
 1 file changed, 2 deletions(-)

commit af4c8527a74dc891a687eb9a946e31c2e61a172b
Author: Daniel Șerbănescu <cyber19rider@gmail.com>
Date:   Wed Apr 23 21:29:00 2014 +0200

    Updated Romanian Translation

 po/ro.po | 4864 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 2454 insertions(+), 2410 deletions(-)

commit 15c9ead2671173c37906b61910a5941ef65bdace
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Apr 22 17:07:28 2014 +0200

    backend: Avoid double-scroll events
    
    We were receiving both the smooth scroll and the non-smooth scrolling.
    As all the backends we support have support for smooth scrolling,
    only ever handle those.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728227

 src/backend/bacon-video-widget.c | 24 +++++++-----------------
 1 file changed, 7 insertions(+), 17 deletions(-)

commit 5c0e927d58c7ab3d7cb27a07175c46e39a2c19ad
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Apr 22 17:05:27 2014 +0200

    main: Remove unused code
    
    This code to capture events on the vbox that contains the video widget
    isn't needed anymore.

 src/totem-object.c | 4 ----
 1 file changed, 4 deletions(-)

commit e89540cb8b2a4566c2858be68be667ad55ff4dd3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Apr 22 15:20:44 2014 +0200

    build: Require GStreamer core 1.2.4
    
    To get this necessary bug fix, making "Make available for offline
    use" work as expected:
    https://bugzilla.gnome.org/show_bug.cgi?id=724373

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 534799c30cc0c8bd8df2f57aeabe71bdf6a83b1e
Author: Dirgita <dirgitadevina@gmail.com>
Date:   Tue Apr 22 14:19:37 2014 +0000

    Updated Indonesian translation

 po/id.po | 88 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 45 insertions(+), 43 deletions(-)

commit c681959a0ecf574ea8943cf412f40360a6a8d115
Author: marablack3 <marablack3@gmail.com>
Date:   Fri Apr 18 18:51:22 2014 +0000

    Updated Greek translation

 po/el.po | 539 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 276 insertions(+), 263 deletions(-)

commit 61feaa6969cb5aee4e7a332cad3fc178116873bb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 18 16:49:53 2014 +0200

    main: Make dropping videos on the player always replace the playlist

 src/totem-object.c | 25 ++++++++-----------------
 1 file changed, 8 insertions(+), 17 deletions(-)

commit 20eb6de7038ffacb632ce50e5e8f08def0ba3f81
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 18 16:42:15 2014 +0200

    Revert "main: Remove dnd support for the video widget"
    
    This reverts commit 73e372b17c9b863cc71c31a1c4286c77cf7d6e0e.

 src/totem-object.c | 143 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 143 insertions(+)

commit 0aa2455f39f835251b182e458474fdace6784746
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Apr 15 14:34:04 2014 +0200

    Updated Spanish translation

 help/es/es.po | 802 +++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 507 insertions(+), 295 deletions(-)

commit 4af332eb1ff6e06e6762aac1909b34fb1b945498
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Apr 13 15:05:30 2014 +0200

    main: Block popup hiding when "Volume" popover is shown
    
    Ditto but for the Volume popup.

 src/totem-object.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 891aec3e1b8672f71ea2fe28614feed6b03b1b02
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Apr 13 15:02:29 2014 +0200

    main: Block popup hiding when "Go" popover is shown
    
    When the "Go" button is toggled on and the menu is shown, block
    hiding the popup.

 src/totem-object.c | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit ffefe928c08a9b7d9bf96087a97d930b0e5cc4ce
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 18:31:49 2014 +0200

    main: Fix possible warnings on startup
    
    If a media isn't set in the store, skip the comparisons

 src/totem-grilo.c | 3 +++
 1 file changed, 3 insertions(+)

commit b78d307a6832d9198e8eecac1c24e13a85be7b16
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 18:06:48 2014 +0200

    opensubtitles: Save downloaded subtitles in the video directory
    
    Try to download the subtitle to the movie's directory, and to
    the cache directory if it fails (read-only locations)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721757

 src/plugins/opensubtitles/opensubtitles.py | 73 ++++++++++++++++++++----------
 1 file changed, 50 insertions(+), 23 deletions(-)

commit 5f32d6ec66e5070e83faa532d5940e9404075118
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 15:58:20 2014 +0200

    backend: Don't toggle popups with touchpad clicks
    
    Only toggle with touchscreens.

 src/backend/bacon-video-widget.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 4092370b0790069d75a1cead4d3b63f482f05bee
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 15:45:17 2014 +0200

    backend: Fix indentation

 src/backend/bacon-video-widget.c | 40 ++++++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

commit 47af343d92fbc0b93a061a366c863d5cb963723c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 12:00:46 2014 +0200

    backend: Hide popups when leaving the window
    
    Monitor leave events on the toplevel window, rather than just
    on the video widget itself, and only consider it left if it left
    to a window that's not in the same hierarchy. This means that
    we know that it's left the whole window (and not just the video widget)
    and we don't hide the popup when you try to go to the revealed toolbar
    in fullscreen.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727220

 src/backend/bacon-video-widget.c | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit adcb775d24edb0aba662c1ba4811a11542c0ff66
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 12:08:27 2014 +0200

    Revert "backend: Hide popups when leaving the window"
    
    This reverts commit 4207cb0c14008bce0044e25f82f9e2a5829c4512.

 src/backend/bacon-video-widget.c | 19 -------------------
 1 file changed, 19 deletions(-)

commit 4207cb0c14008bce0044e25f82f9e2a5829c4512
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 12:00:46 2014 +0200

    backend: Hide popups when leaving the window
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727220

 src/backend/bacon-video-widget.c | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 4c38b1a3d3ca5549265859d6f1d24bb698b93fea
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 11:50:35 2014 +0200

    backend: Update copyright

 src/backend/bacon-video-widget.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2cb45dcc295b892be7b9424d61d004ed0645746a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 10:42:02 2014 +0200

    browser-plugin: Fix warning inhibiting idle for hidden plugin
    
    When the plugin is hidden, we shouldn't be inhibiting idle to
    prevent the screensaver coming on. It also fixes warnings
    at run-time as gtk_application_inhibit() expects a real window,
    not NULL.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693092

 browser-plugin/totem-plugin-viewer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 23ff9ed641915e1dfe55ca4e51c1136df005cf73
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 10:40:47 2014 +0200

    browser-plugin: Fix warning for hidden plugin
    
    Fix warning on startup when we're not being embedded, we
    can't realise an unanchored window.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693092

 browser-plugin/totem-plugin-viewer.c | 2 --
 1 file changed, 2 deletions(-)

commit 61e5a5510cd29b0de64124cbe1591d14a81ded90
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 10:24:18 2014 +0200

    browser-plugin: Fix running gdb when it is a script
    
    Pass a full path to launch gdb to avoid running a helper script.

 browser-plugin/totem-plugin-viewer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 01d2389325484744a7c14d8dfe3f03b5454644ef
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 10:22:58 2014 +0200

    browser-plugin: Fix running under recent gnome-terminal
    
    --disable-factory isn't supported any more.

 browser-plugin/totem-plugin-viewer.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d04d4804d31a59b4c13571871714f61c689f16c7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 11 10:22:06 2014 +0200

    browser-plugin: Fix warning when running in Chromium
    
    Work around Chromium setting GDK_NATIVE_WINDOWS. It's not used
    for GTK+ 3.x, so unset it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693092

 browser-plugin/totem-plugin-viewer.c | 3 +++
 1 file changed, 3 insertions(+)

commit 10b9bb414e8cc560d56e1d3db5dfd85cfb896d0e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 10 13:50:00 2014 +0200

    main: Fix shuffled items started to play in random order
    
    We need to add all the shuffled items at once, otherwise they'll
    be added out of order to the playlist, and the item to be played
    might be in the middle of the playlist, instead of being the
    first one.

 src/totem-grilo.c   |  9 +++++----
 src/totem-object.c  | 40 ++++++++++++++++++++++++++++++++++++++++
 src/totem-private.h |  2 ++
 3 files changed, 47 insertions(+), 4 deletions(-)

commit 5f3bd04fac9809a82858ea35bf01b6af15e4ed96
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Apr 6 20:38:37 2014 +0200

    doap: update URLs

 README     | 2 +-
 totem.doap | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 595dac6cc23a5fb32881c1e329791dbb8559d84c
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Mar 31 14:49:49 2014 +0200

    totem-glow-button: Do not add the custom CSS provider for every instance
    
    Since we are adding a global CSS for the default screen, we don't need
    to load and add the CSS for every instance we create.

 browser-plugin/totem-glow-button.c | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit f5900f9da50858c7fe226ca7d95baefc9bf90743
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Mar 31 14:45:23 2014 +0200

    totem-glow-button: Fix memory leak
    
    GtkStyleContext takes a reference of the GtkCssProvider, so release
    ours when no longer needed.

 browser-plugin/totem-glow-button.c | 1 +
 1 file changed, 1 insertion(+)

commit 5b3460bb1f1afe0ca383d7540bf7749682fd354f
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Mar 31 17:31:46 2014 +0000

    Updated French translation

 help/fr/fr.po | 1299 +++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 791 insertions(+), 508 deletions(-)

commit eaa0d6b696da199985a126f9d60d2ec764dc4138
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Mon Mar 31 14:04:24 2014 +0000

    Updated German translation

 po/de.po | 1121 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 609 insertions(+), 512 deletions(-)

commit 4900ab15d5c23bb6339f412104521b49795cee07
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 28 01:39:52 2014 +0100

    main: Escape selection mode when pressing Esc
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723809

 src/totem-grilo.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit c743033cf21ff8f9b94ee02bcac8b3c16b76f9d8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 28 01:37:06 2014 +0100

    main: Don't handle additional modifiers on top of Ctrl+F
    
    Alt+Ctrl+F shouldn't pop out the search bar.

 src/totem-grilo.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit f22f8ddad76ff78908a4183ade78c1f8fa8798e3
Author: Cosimo Cecchi <cosimo@endlessm.com>
Date:   Mon Sep 16 11:49:42 2013 -0700

    main: Add support for starting a playlist paused
    
    Currently, when --pause is specified in the first command line
    invocation of Totem, the passed-in media will still start.
    This patch saves the initial state of the pause option to a separate
    variable, so that when we receive the first playlist changed event, we
    can avoid starting up the stream if the option was specified.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708184

 src/totem-object.c  | 12 ++++++++++--
 src/totem-private.h |  1 +
 src/totem.c         |  1 +
 3 files changed, 12 insertions(+), 2 deletions(-)

commit 20dac03535bc9751199674ef9b949d557b0e2de0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 28 01:13:34 2014 +0100

    main: Switch to the "player" view when opening a file
    
    Instead of only when we start playing.

 src/totem-object.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e565062ca075f22762a4d7e83c7d1e3c0161c9ab
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Thu Mar 27 21:43:42 2014 +0700

    Updated Thai translation

 po/th.po | 2073 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1052 insertions(+), 1021 deletions(-)

commit 3bbd6a746ccbd4a6a3053b79ea3f37dad306dc8f
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Thu Mar 27 12:37:36 2014 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 57 ++++++++++++++++++++++++++++-----------------------------
 1 file changed, 28 insertions(+), 29 deletions(-)

commit c86ca4cf00bab576aac31c78aa2af25ed5125cfa
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Mar 27 03:39:48 2014 +0100

    main: Fix initial delete button's state
    
    If nothing is selected, the default class of the delete button
    will contain "destructive-action" and paint that button red.
    
    Remove the class from the GtkBuilder file to fix the initial state.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726916

 src/totemselectiontoolbar.ui | 1 -
 1 file changed, 1 deletion(-)

commit c185bf19504775234e083eee41319435117b9e9c
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Wed Mar 26 04:00:55 2014 +0200

    Mark more some strings to be translatable

 src/totemselectiontoolbar.ui | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 195873fe8a6adda5b2b0d78266559e69f1f513a1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 25 14:11:36 2014 +0100

    build: Require grilo 0.2.10
    
    For grl_source_get_tags()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726702

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7c339e387cf92f9625a4385da5cc615b832c750
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 24 14:16:25 2014 +0100

    3.12.0

 NEWS         | 6 ++++++
 configure.ac | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit d732c0bc1128577154d4e8285ac967e78214e4f6
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Mar 24 11:13:51 2014 +0100

    all: Revert all totem_set_popover_no_shadow() bits
    
    Since GTK+ commit eb0f86d48, this hack is no longer necessary as
    GtkPopover sets invariably a more fitting shape.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726927

 src/Makefile.am                          |  4 +--
 src/backend/Makefile.am                  |  3 +-
 src/backend/bacon-video-controls-actor.c |  3 --
 src/gst/Makefile.am                      | 19 +----------
 src/gst/totem-style-helpers.c            | 58 --------------------------------
 src/gst/totem-style-helpers.h            | 35 -------------------
 src/totem-object.c                       |  4 ---
 7 files changed, 4 insertions(+), 122 deletions(-)

commit a05e420f4b43db80e4a96793211a9eca4cf3e130
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Mar 23 14:05:11 2014 +0100

    opensubtitles: Fix error with newer version of PyGObject
    
    We cannot pass an object as user_data, as pygobject stopped handling
    non-integers, non-capsules or not None as possible arguments.
    
    As we do not use Totem.plugin_load_interface()'s signal connection
    feature, pass None instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724093

 src/plugins/opensubtitles/opensubtitles.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 410e8650f3154fc7a1d37b34f413bd6e93925413
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Mar 23 13:54:45 2014 +0100

    opensubtitles: Fix leading underscore in close button

 src/plugins/opensubtitles/opensubtitles.ui | 1 +
 1 file changed, 1 insertion(+)

commit 5b57ee44f2d389ac54a8c9b547318413a25d0de6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Mar 23 13:54:10 2014 +0100

    opensubtitles: Work-around Find button not having a label
    
    Re-using stock items, which we'll remove after string freeze.

 src/plugins/opensubtitles/opensubtitles.ui | 2 ++
 1 file changed, 2 insertions(+)

commit af5a2c0b4b6aead90cd3e41c56c4a8c548974d77
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Mar 22 13:29:15 2014 +0100

    main: Don't add containers in the Recent view
    
    Try harder not to add containers to the recent view, we don't
    want to see them, and they break navigation (for the bookmarks
    source for example).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726874

 src/totem-grilo.c | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 16bc32011ad33a1bf624b8cf777885d68caf7d21
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Mar 22 21:27:53 2014 +0100

    Updated Basque language

 po/eu.po | 1063 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 565 insertions(+), 498 deletions(-)

commit 9d3f9cddbe55735a51c63649b7a8fe1d794e060b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Mar 21 22:40:53 2014 +0100

    Updated Slovenian translation

 po/sl.po | 958 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 496 insertions(+), 462 deletions(-)

commit 3b1ca2ef20b8de21ddfa5e28da60651361628e89
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:   Thu Mar 20 08:20:18 2014 +0000

    Updated Scottish Gaelic translation

 po/gd.po | 113 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 53 insertions(+), 60 deletions(-)

commit 51388da8d819db71ead30698bf433162534602ee
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Wed Mar 19 21:38:12 2014 +0100

    Updated Danish translation

 po/da.po | 1305 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 687 insertions(+), 618 deletions(-)

commit 18835b5fe4ecba13b4cb18c23838fe819d067549
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Wed Mar 19 10:35:52 2014 -0300

    Updated Brazilian Portuguese Translation for help files

 help/pt_BR/pt_BR.po | 2678 +++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 2045 insertions(+), 633 deletions(-)

commit 9081e481700afcb8974fd587013d28b2ce51e95b
Author: Gábor Kelemen <kelemeng@gnome.hu>
Date:   Wed Mar 19 09:39:42 2014 +0000

    Updated Hungarian translation

 po/hu.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7d74b82cde3549a6e74947d2e92ee820bfa2223c
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Wed Mar 19 07:38:03 2014 +0000

    Updated Italian translation

 po/it.po | 1525 ++++++++++++++++++++++----------------------------------------
 1 file changed, 537 insertions(+), 988 deletions(-)

commit 818ae743bc3e2a0a2ce423a6a463204d5927f20c
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Mar 19 05:54:32 2014 +0100

    Updated Serbian translation

 po/sr.po       | 1625 ++++++++++++++++++++++----------------------------------
 po/sr@latin.po | 1625 ++++++++++++++++++++++----------------------------------
 2 files changed, 1272 insertions(+), 1978 deletions(-)

commit 902b68c182524f943fd0bbd4da505b28bf267d0a
Author: Gábor Kelemen <kelemeng@gnome.hu>
Date:   Tue Mar 18 14:35:59 2014 +0000

    Updated Hungarian translation

 po/hu.po | 1067 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 567 insertions(+), 500 deletions(-)

commit dd64a7407930421d7cb912aca5270921df779173
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 18 12:04:19 2014 +0100

    3.11.91

 NEWS         | 16 ++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 17 insertions(+), 1 deletion(-)

commit 8c7ab49ce55d9e4664baa0e1267a5648272e78ab
Author: Tiagosdot <almosthumane@portugalmail.pt>
Date:   Mon Mar 17 23:54:40 2014 +0000

    Updated Portuguese translation

 po/pt.po | 1822 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 946 insertions(+), 876 deletions(-)

commit 90e37c595e3ad472de4f4b3d88aeb75a2cde43cc
Author: A S Alam <apreet.alam@gmail.com>
Date:   Mon Mar 17 18:43:13 2014 -0500

    update Punjabi Translation 17March2014: Alam

 po/pa.po | 2073 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1067 insertions(+), 1006 deletions(-)

commit f281257b011a47402b4b6a1352159fc54430c498
Author: Pau Iranzo <paugnu@gmail.com>
Date:   Tue Mar 18 00:27:11 2014 +0100

    [l10n] Add Catalan translation

 po/ca.po | 3136 +++++++++++---------------------------------------------------
 1 file changed, 517 insertions(+), 2619 deletions(-)

commit ce56019b2545b416be5c297fc90f84b7443663c9
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Mar 17 05:39:57 2014 +0000

    Updated Indonesian translation

 po/id.po | 382 +++++++++++++++++++++++----------------------------------------
 1 file changed, 141 insertions(+), 241 deletions(-)

commit 5a815d061c03031b80577d648612606b852d1f0a
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   Sun Mar 16 20:40:01 2014 +0200

    Finnish translation update by Jiri Grönroos

 po/fi.po | 1027 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 533 insertions(+), 494 deletions(-)

commit 1706a5c48f9c78faad14c385db7a414e4a418dcb
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sun Mar 16 00:34:18 2014 +0200

    Updated Ukrainian translation

 po/uk.po | 416 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 202 insertions(+), 214 deletions(-)

commit 68cf72d24572553ad59a0173fdb9729ac0cb62f9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 20:54:01 2014 +0100

    main: Fix fullscreen header bar's subtitle
    
    It's not currently used, but could be in the future.

 src/totem-object.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a965f0aabd236fb7f3fac2f2abbbc7349b895f3d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 20:52:21 2014 +0100

    main: Fix empty window title in some cases
    
    Store the TotemMainToolbar title and subtitle in the GtkHeaderBar
    instead of our own structure. This means that GtkWindow's call
    to gtk_header_bar_get_title() would get the correct value, and not
    an empty string when coming back from playing a film.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726324

 src/totem-main-toolbar.c | 30 ++++++------------------------
 1 file changed, 6 insertions(+), 24 deletions(-)

commit be14cb661555d99dde05ec193fdeeec6fee43ab2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 20:51:44 2014 +0100

    main: Use the header bar to set the window title
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726324

 data/totem.ui      | 1 -
 src/totem-object.c | 1 +
 2 files changed, 1 insertion(+), 1 deletion(-)

commit 208db5c3315a13ae4f085470c112231cd9c60b2c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 17:27:39 2014 +0100

    save-file: Don't offer to save file in ~/Videos subdirs
    
    We were only checking whether the file was a direct descendant of
    ~/Videos, instead of checking that ~/Videos was somewhere in its
    ancestors. This stops videos in ~/Videos subdirectories being made
    available for offline downloading.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725027

 src/plugins/save-file/totem-save-file.c | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)

commit c6763ae83cace2849918ffa8302174c0442b7cb8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 17:10:57 2014 +0100

    opensubtitles: Remove stock icons usage

 src/plugins/opensubtitles/opensubtitles.ui | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

commit e953eda50e05959fbe165f5cb3146e9b78311b7b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 17:10:29 2014 +0100

    main: Remove stock icons usage
    
    The widget isn't actually visible, but this is useful nonetheless.

 data/playlist.ui | 2 --
 1 file changed, 2 deletions(-)

commit 6304c7bcbe7ce24b2122df8470a69aeeab78ab98
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 17:10:06 2014 +0100

    browser-plugin: Remove stock icons usage

 data/mozilla-viewer.ui | 3 ---
 1 file changed, 3 deletions(-)

commit e1bf4ed339fbfb18f784fdd4524f18b8faa6d562
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 17:05:06 2014 +0100

    main: Add missing introspection annotation
    
    For totem_interface_create_header_button().

 src/totem-interface.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 5ec7662f9fa4e68d7ed61d7600a430aed09b9425
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 15:46:32 2014 +0100

    main: Don't remove items by hand if source supports removal
    
    There should be no need for us to remove the item by hand from the
    tree store if the source supports removals, as we should be notified
    of the item disappearing.

 src/totem-grilo.c | 37 +++++++++++++++++++++----------------
 1 file changed, 21 insertions(+), 16 deletions(-)

commit 6afa220f999e59cb86bc01bbb920da0b6a27d1c3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 15:45:44 2014 +0100

    main: Get out of delete_foreach() if the path isn't valid
    
    Just being safe.

 src/totem-grilo.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 49ff12474f5593538da8fcfa3c9662dcfea3f8ed
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 15:44:54 2014 +0100

    main: Better debug when removing items

 src/totem-grilo.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 2d601a0039151d9ce08891c9da7f794975bbd2e7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 15:44:13 2014 +0100

    main: Don't use a stack-allocated GtkTreeIter
    
    This usually won't work as expected.

 src/totem-grilo.c | 28 +++++++++++++++++-----------
 1 file changed, 17 insertions(+), 11 deletions(-)

commit bdf201ea6c596ef80c54465c744b64b3092d8d8f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 15:42:33 2014 +0100

    main: Block selection changes during deletion
    
    Don't act upon selection changes when we're removing the selection.
    We'll get out of the selection mode straight after the deletion
    finishes.

 src/totem-grilo.c | 4 ++++
 1 file changed, 4 insertions(+)

commit aeafb7619e62214ba51ab7548cec145d871d0804
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 14 14:13:16 2014 +0100

    main: Fix error handling when deleting items
    
    First, the check for success when removing using grilo was reversed,
    then the success variable could be used unassigned when no URI
    was set for a particular GrlMedia.

 src/totem-grilo.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e17070ed32bb7be9bec42d0c5a9dfcc0b470ff56
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Tue Mar 11 12:12:34 2014 +0400

    Updated Russian translation

 po/ru.po | 2284 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1200 insertions(+), 1084 deletions(-)

commit 2d651501aca5f08841f1a0305307db02149660ce
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 10 15:29:00 2014 +0100

    Fix a tag in Indonesian help translation

 help/id/id.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5fa75f638e76695b62844241b755f90268b89d00
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Mar 9 08:32:31 2014 +0100

    Updated Czech translation

 po/cs.po | 462 ++++++++++++++++++++++++---------------------------------------
 1 file changed, 175 insertions(+), 287 deletions(-)

commit fd591b6f79ebec20f773477937e69f84ac7c7aea
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Mar 9 13:13:09 2014 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 100 +++++++++++++++++++++++++++---------------------------------
 po/zh_TW.po | 100 +++++++++++++++++++++++++++---------------------------------
 2 files changed, 90 insertions(+), 110 deletions(-)

commit 055e8808b8a7c1657e2ff490facf078e92b82283
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Sat Mar 8 13:42:29 2014 +0000

    Updated Chinese (China) translation

 po/zh_CN.po | 86 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 44 insertions(+), 42 deletions(-)

commit a6268df997cb994e5220a384dc6bc54ad84da905
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Mar 8 05:09:28 2014 +0000

    Updated Indonesian translation

 help/id/id.po | 793 +++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 510 insertions(+), 283 deletions(-)

commit e789a680d3cc425140139ab80202328179f0769a
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Fri Mar 7 23:22:27 2014 +0200

    Updated Latvian translation

 po/lv.po | 2074 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1069 insertions(+), 1005 deletions(-)

commit d03ecdb76418ea9b225db53b4fb7ffb16fb6da71
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Fri Mar 7 00:54:28 2014 +0900

    Updated Korean translation

 po/ko.po | 1453 +++++++++++++++++++++-----------------------------------------
 1 file changed, 491 insertions(+), 962 deletions(-)

commit 36152bd2864eee2eec86075e4511d0807ae2922e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Mar 5 16:40:50 2014 +0100

    Updated Spanish translation

 po/es.po | 101 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 46 insertions(+), 55 deletions(-)

commit eea7dadbd9ca994adf3896fdb57c5ae438150e55
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Mar 5 07:30:30 2014 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 88 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 45 insertions(+), 43 deletions(-)

commit 10176a8b76a551494c5af7b165a21b7ee48374fa
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Mar 4 20:21:04 2014 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 463 +++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po | 470 +++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 488 insertions(+), 445 deletions(-)

commit 31f0db87c9d01000fc976f0c37865459e7e17617
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Mar 3 17:12:51 2014 +0100

    Updated Galician translations

 po/gl.po | 408 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 210 insertions(+), 198 deletions(-)

commit 98f7a6375a763742aebe4c88dc1862dbac55d8fa
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 3 01:48:16 2014 +0100

    Updated Polish translation

 po/pl.po | 1506 ++++++++++++++++++++++----------------------------------------
 1 file changed, 519 insertions(+), 987 deletions(-)

commit 23a409654118aef3cabf9d6f11fe63ee8ecbd3fc
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Mar 2 20:01:14 2014 +0200

    Updated Lithuanian translation

 po/lt.po | 104 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 47 insertions(+), 57 deletions(-)

commit 9e590443490d22dd2a6412f863cd4fb73fe35432
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sun Mar 2 01:01:28 2014 +0200

    Updated Hebrew translation

 po/he.po | 110 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 55 insertions(+), 55 deletions(-)

commit a6d55429096908cf42a9f5a31a4e0c7f29524fc3
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Fri Feb 28 22:27:53 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 113 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 57 insertions(+), 56 deletions(-)

commit f33d5882b1996a10bd6f70f0d1565a6aa6dca9a1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 28 21:17:18 2014 +0100

    all: Add names to timeouts and idles
    
    For easier debugging.

 src/backend/bacon-video-widget.c            | 16 +++++++++++++---
 src/plugins/gromit/totem-gromit.c           |  1 +
 src/plugins/screensaver/totem-screensaver.c |  1 +
 src/plugins/totem-plugins-engine.c          |  1 +
 src/totem-grilo.c                           |  1 +
 src/totem-object.c                          |  1 +
 6 files changed, 18 insertions(+), 3 deletions(-)

commit 8ab811bda90f19fbb157a82e3276e709db288534
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Fri Feb 28 20:08:57 2014 +0100

    Update French translation

 po/fr.po | 1136 ++++++++++++++++++--------------------------------------------
 1 file changed, 320 insertions(+), 816 deletions(-)

commit 2150365a7f12646910bea3b6533d1ac7eac29b34
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 28 18:20:41 2014 +0100

    main: Fix thumbnail updates only getting triggered once

 src/totem-grilo.c | 2 ++
 1 file changed, 2 insertions(+)

commit 2f714e1289e0afe136abc6247e8813c501e3ebf1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 28 18:09:30 2014 +0100

    main: Avoid queueing multiple thumbnail updates
    
    When one is queued up, we don't need to reschedule another one.

 src/totem-grilo.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 7350fc9ff39d3f2e5f7ed90fcd0d20fa86829faa
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 28 16:54:09 2014 +0100

    main: Fix crasher on startup
    
    Not all sources have tags

 src/totem-grilo.c | 2 ++
 1 file changed, 2 insertions(+)

commit d085278275a6da5eac5244b8fc24d9204d0f587e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 28 16:28:00 2014 +0100

    Revert "main: Rename "Recent" section to "Videos""
    
    This reverts commit 66f4f1b5c60bcf694a377082b42e7e0c83ec7fdc.

 src/totem-grilo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f9731335152a3b8aa51b04b026e7ee965901b174
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 28 16:25:59 2014 +0100

    main: Fix ngettext usage
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725401

 src/totem-main-toolbar.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 570fb32e831b96eb84dc56dc1c48249f91907da4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 28 16:25:51 2014 +0100

    main: Remove unused RESOLVE_FLAGS

 src/totem-grilo.c | 1 -
 1 file changed, 1 deletion(-)

commit b5fa00fab03c3e27dbc8db54597e5e593f2f3220
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 28 16:19:18 2014 +0100

    main: Blacklist adult sources for now
    
    Until we have a toggle for it in the Privacy settings.

 src/totem-grilo.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 66f85481b5771041e6f5a4e8c72d9f45fad1b20c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 28 10:10:42 2014 +0100

    main: Fix handling of kbd shortcuts with multiple modifiers

 src/totem-object.c | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

commit 807f85d692aed743b87abf61194382e170b2c76e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 28 10:09:08 2014 +0100

    main: Only resolve using the passed source
    
    As originally intended, rather than going through every online
    sources that might be available.

 src/totem-grilo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 66f4f1b5c60bcf694a377082b42e7e0c83ec7fdc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 27 18:31:43 2014 +0100

    main: Rename "Recent" section to "Videos"
    
    The recent section shouldn't be called "Recent". We
    chose not to show recent videos and show the user's videos instead,
    along with the locally download ones, and optical media.
    
    "Videos" is simple, and already translated. It also matches what
    gnome-photos uses for its equivalent view.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725337

 src/totem-grilo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e84af2955ff1144ab1419cc7a71a51278778b33f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 26 16:55:28 2014 +0100

    backend: Hide popups after 2 seconds not 5
    
    As gnome-documents and gnome-photos do.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725160

 src/backend/bacon-video-widget.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f73ec46d5b3afcb318302c586f089c970ee6b5ec
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:   Sun Feb 23 13:47:01 2014 +0000

    Updated Scottish Gaelic translation

 po/gd.po | 424 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 222 insertions(+), 202 deletions(-)

commit a3a8145bbb75616f2be8652ae0a31a9359581962
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Sun Feb 23 02:19:14 2014 +0000

    Updated Chinese (China) translation

 po/zh_CN.po | 901 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 449 insertions(+), 452 deletions(-)

commit 4e66b3d7c3ab5151ff4f69a732851d617e730724
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Feb 20 22:53:09 2014 +0200

    Updated Lithuanian translation

 po/lt.po | 398 +++++++++++++++++++++++----------------------------------------
 1 file changed, 147 insertions(+), 251 deletions(-)

commit 272d29cb40074733072e5546e61ce5fe3cacabe7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 20 16:54:35 2014 +0100

    backend: Don't link to totem-style-helpers.la
    
    Otherwise it will be duplicated in the linked shared libraries.

 src/backend/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 1f7282414a6b00d62b9659df5a6e82307986cfbd
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 20 16:00:23 2014 +0100

    main: Use helper to remove shadow from the popups

 src/Makefile.am    | 3 ++-
 src/totem-object.c | 4 ++++
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 605d32be0a3fcd36c03dbd6532c1ffe4c00dcf27
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 20 15:58:17 2014 +0100

    backend: Use helper to remove shadow from the volume popup

 src/backend/Makefile.am                  | 10 ++++++----
 src/backend/bacon-video-controls-actor.c | 25 ++-----------------------
 2 files changed, 8 insertions(+), 27 deletions(-)

commit d727a816b9e8b159817b3fc775fcf8fde020a3ac
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 20 15:56:34 2014 +0100

    gst: Add helper to remove shadows from popovers
    
    As they don't behave well with clutter-gtk, and we get huge
    gray masses around the popup.

 src/gst/Makefile.am           | 19 +++++++++++++-
 src/gst/totem-style-helpers.c | 58 +++++++++++++++++++++++++++++++++++++++++++
 src/gst/totem-style-helpers.h | 35 ++++++++++++++++++++++++++
 3 files changed, 111 insertions(+), 1 deletion(-)

commit dd92f10c0151b7354ca56508b5ad74cb935fdbed
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 20 15:55:21 2014 +0100

    main: Use popovers for menus

 data/controls.ui        | 1 +
 src/totem-object.c      | 3 +++
 src/totemmaintoolbar.ui | 1 +
 3 files changed, 5 insertions(+)

commit d174ab3a847ff1aadb5ef6c588f9887e9b9f8247
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 19 11:14:49 2014 +0100

    main: Populate the ID and URI debug columns

 src/totem-grilo.c | 37 +++++++++++++++++++++++++++++++++----
 1 file changed, 33 insertions(+), 4 deletions(-)

commit ae585ed06a19c48604e6b6ac8b8fb89147b1286b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 19 10:18:18 2014 +0100

    main: Don't monitor the filesystem plugin

 src/totem-grilo.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c94301d815489f3796f962dbc76a9b2f1e2b24ab
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Feb 20 14:25:40 2014 +0100

    Updated Spanish translation

 po/es.po | 411 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 216 insertions(+), 195 deletions(-)

commit 4e710c1ee722c2845c037c6261ffcdfae767a971
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Feb 19 23:25:07 2014 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 551 ++++++++++++++++++++++++---------------------------------------
 1 file changed, 209 insertions(+), 342 deletions(-)

commit 4582820bef06765c87d4557e76d920a7d8772781
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   Wed Feb 19 14:19:52 2014 +0000

    Updated Oriya translation

 po/or.po | 2024 +++++++++++++++++++++++---------------------------------------
 1 file changed, 747 insertions(+), 1277 deletions(-)

commit bd62f08da477461a41deb094e1ba341d2c78fc27
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 18 17:16:40 2014 +0100

    3.11.90

 NEWS         | 17 +++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 18 insertions(+), 1 deletion(-)

commit e1d4e99a3a1601ee772cb392cdb5229bdb181496
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 18 17:09:48 2014 +0100

    build: Bump required versions
    
    For grilo and totem-pl-parser.

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit dcd1b671b4f5fd2baa3bfa01af8a93819caf4b7f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 17 17:15:54 2014 +0100

    backend: Hide the buffering spinner on close()

 src/backend/bacon-video-widget.c | 2 ++
 1 file changed, 2 insertions(+)

commit 891aa95c7bb31f03ce8d05c26b859337020f992a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 17 17:04:26 2014 +0100

    backend: Avoid the spinner staying on the video
    
    When doing normal buffering, it was possible to start playback
    without the buffer being full, so the spinner never went away.

 src/backend/bacon-video-widget.c | 1 +
 1 file changed, 1 insertion(+)

commit e17e79f4e35efcc321b1eb8363ab3b6b17ae65dc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 17 13:56:54 2014 +0100

    main: Only allow adding videos to the recent view
    
    Not directories at all. This also makes sure that the type
    of media added is video, and not a generic type.

 src/totem-grilo.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit ed29bc696359c64143a599bd747857fd289bf69d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 17 13:56:37 2014 +0100

    main: Better error messages for failed removals

 src/totem-grilo.c | 21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

commit 4e825fea3003d6c40db1bace0a808f4cba2d9360
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 17 13:45:25 2014 +0100

    main: Don't allow adding directories to the recent view

 src/totem-grilo.c | 5 +++++
 1 file changed, 5 insertions(+)

commit b37119bc813495f19289538c8ddf0b621a5b9552
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 17 13:45:14 2014 +0100

    main: Add dnd support to the "Recent" button
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703549

 src/totem-grilo.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 19d4beedd2ba0e7e1fd52ca64622733767cca118
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 17 13:44:51 2014 +0100

    main: Add drag'n'drop support to the browser
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703549

 src/totem-grilo.c | 77 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

commit 73e372b17c9b863cc71c31a1c4286c77cf7d6e0e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 17 13:44:20 2014 +0100

    main: Remove dnd support for the video widget
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703549

 src/totem-object.c | 143 -----------------------------------------------------
 1 file changed, 143 deletions(-)

commit 14bdaada345106ef008ce674200b30ece8d64bf6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 17 11:52:41 2014 +0100

    main: Remove unused "Ask" dnd menu

 po/POTFILES.in       |   1 -
 src/Makefile.am      |   2 -
 src/totem-dnd-menu.c | 113 ---------------------------------------------------
 src/totem-dnd-menu.h |  29 -------------
 src/totem-object.c   |  12 ------
 5 files changed, 157 deletions(-)

commit 30d0f12cfa4f30952c5626ccec2617c45108294c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 17 11:31:48 2014 +0100

    main: Style fixes

 src/totem-object.c | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit 7ee4e5a548cd13717c9bbcede316cbc06f830a30
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Feb 16 22:27:27 2014 +0100

    main: Remove "drag motion" handling

 src/totem-object.c | 28 ++--------------------------
 1 file changed, 2 insertions(+), 26 deletions(-)

commit f11ff9395166612e72a0d55176b219c067b31268
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Sun Feb 16 06:24:23 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 392 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 201 insertions(+), 191 deletions(-)

commit 12322599d32653869b5a12e6bb289b95a4939f10
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sat Feb 15 20:45:10 2014 +0200

    Updated Hebrew translation

 po/he.po | 391 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 201 insertions(+), 190 deletions(-)

commit b61b0fd171ff3a97ff9223d1d8eda37b462a7b87
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 15 15:57:16 2014 +0100

    main: Make view switcher remain visible when search is on
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723823

 src/totem-grilo.c | 37 ++++++++++++++++++++++++++++++-------
 1 file changed, 30 insertions(+), 7 deletions(-)

commit 2e1cdd62ec097e6a52591f3a7c41843300a0c8d7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 15 15:56:09 2014 +0100

    main: Don't hide the custom-title in search mode
    
    If we don't have a search title to set just yet. We'll use that
    to show the depressed source buttons instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723823

 src/totem-main-toolbar.c | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

commit 8a6d38ccf645a1d5b890a75483b51d1cfe4e7998
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 15 15:28:50 2014 +0100

    main: Fix grammar mistake in comment

 src/totem-grilo.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ad72a952e8385c0e3c6ff32516db39f165a60815
Author: William Jon McCann <william.jon.mccann@gmail.com>
Date:   Fri Feb 14 16:02:39 2014 -0500

    main: Don't set a margin on the actionbar
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723677

 src/totemselectiontoolbar.ui | 1 -
 1 file changed, 1 deletion(-)

commit c72359eb3655ff923ec1937bb686dc39db0a570d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 20:14:31 2014 +0100

    backend: Update clutter dependency

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 71d9c3733ef2c0f722d68bc756f5aca8e2173184
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 19:24:09 2014 +0100

    main: Fix weird string in old "Open" dialogue
    
    The title says "Add Videos" instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723824

 src/totem-uri.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 06362267de1d9779ab719891c8fbd360ee07b739
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 19:05:39 2014 +0100

    save-file: Implement "Make Available Offline"
    
    Currently broken for buffered files
    (GStreamer truncates the buffer before exiting).
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=724373

 src/plugins/save-file/totem-save-file.c | 126 +++++++++++++++++++++-----------
 1 file changed, 82 insertions(+), 44 deletions(-)

commit 5b31835c129f02f115d965398813dc9e81f0b6a5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 19:05:04 2014 +0100

    main: Make local files removable even if the source has no support

 src/totem-grilo.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 080991e6f5e8f4ae586c3681188c85ca12a0f718
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 18:48:51 2014 +0100

    main: Add totem_object_add_to_view() for plugins

 src/totem-object.c | 24 ++++++++++++++++++++++++
 src/totem.h        |  5 +++++
 2 files changed, 29 insertions(+)

commit d9953fdfe2f691d4470559bc345284477369f8e9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 18:45:05 2014 +0100

    main: Add title parameter to totem_grilo_add_item_to_recent()

 src/totem-grilo.c  | 8 ++++++++
 src/totem-grilo.h  | 1 +
 src/totem-object.c | 4 ++--
 3 files changed, 11 insertions(+), 2 deletions(-)

commit 440e948d6c0942148a2689f2a48c1f07b9de1d5c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 17:42:20 2014 +0100

    rotation: Don't print errors when unsupported
    
    When we can't save the rotation status because the location is
    unsupported (unsupported scheme, or http locations).

 src/plugins/rotation/totem-rotation-plugin.vala | 2 ++
 1 file changed, 2 insertions(+)

commit 54dd49b9ec2daa5d6b38001aac9a519fe3fadfde
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 17:32:27 2014 +0100

    main: Fix typo in grl-pls version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit abbc2caa45ff1331fc847f2e116962a9e1c65e8d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 17:31:14 2014 +0100

    rotation: Update labels to match mockups

 src/plugins/rotation/totem-rotation-plugin.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2edeee9517006c0eede8e7dbb653a42912b39b27
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 17:30:09 2014 +0100

    main: Require grl-pls 0.2.0 for now
    
    It's the first version, and it's versioned at 0.2.0 (unlike grilo
    itself versioned at 0.2.8).

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8f3658ec19c2bdf27c2a069a05ffa56e2009a925
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 17:17:33 2014 +0100

    main: Fix missing icons for bookmarked media

 src/icon-helpers.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 36ff58e9d9e55e7f9a853943f40acc41d1b5b585
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 17:16:55 2014 +0100

    main: We can always remove bookmarks

 src/totem-grilo.c | 2 ++
 1 file changed, 2 insertions(+)

commit f3c2ec323db381448887c3adad868ffe9d02bf42
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 16:38:40 2014 +0100

    main: Remove trailing linefeed

 src/totem-object.c | 1 -
 1 file changed, 1 deletion(-)

commit 3bf5b74d240415023dc5e3f9b9ae870ecc067ab3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 16:37:06 2014 +0100

    main: Add to the view instead of playing directly
    
    The 'Add' button will now add new items to the Recent view
    instead of simply playing the files.

 src/totem-object.c | 45 ++++++++++-----------------------------------
 1 file changed, 10 insertions(+), 35 deletions(-)

commit f226aac616d22da1d30945c38ba82377e4c734c6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 16:36:02 2014 +0100

    main: Add a way to insert new items in the recent view
    
    By adding them to the bookmarks source.

 configure.ac      |  2 +-
 src/totem-grilo.c | 62 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/totem-grilo.h |  3 +++
 3 files changed, 66 insertions(+), 1 deletion(-)

commit d5931ac363379f12beb860e740d91ebe6b5ce721
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 16:31:54 2014 +0100

    main: Remove "Add directory" option

 src/totem-uri.c | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 4cca0dda29a502827c9dae88957912c7a83754d1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 16:13:17 2014 +0100

    main: Request source to start monitoring
    
    Some of them didn't send us notifications if we didn't request them
    explicitely.

 src/totem-grilo.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 16a7bd2579105f06ffdcc6dfa57e4870e9a9ee82
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 16:02:39 2014 +0100

    all: Ellipsis changes
    
    Changes "..." to "…"

 data/totem.ui                                           | 6 +++---
 src/plugins/brasero-disc-recorder/totem-disc-recorder.c | 6 +++---
 src/plugins/chapters/chapters-list.ui                   | 4 ++--
 src/plugins/save-file/totem-save-file.c                 | 2 +-
 src/plugins/screenshot/totem-gallery-progress.c         | 2 +-
 src/plugins/screenshot/totem-screenshot-plugin.c        | 2 +-
 src/plugins/skipto/totem-skipto-plugin.c                | 2 +-
 7 files changed, 12 insertions(+), 12 deletions(-)

commit d99ade4e7c3fca4fb434a6383e94afc7f926821d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 15:59:53 2014 +0100

    main: Unmark strings as translatable
    
    As those aren't user-visible anymore.

 data/playlist.ui     | 12 ++++++------
 src/totem-playlist.c |  2 +-
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 6554d2333ed597546cce167b0117ac9128cd505e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 15:53:45 2014 +0100

    main: Move Open/Add menu items to Add button

 data/totem.ui       | 27 +++++++++++++++------------
 src/totem-object.c  | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/totem-private.h |  1 +
 3 files changed, 65 insertions(+), 12 deletions(-)

commit 0e46cfac0e78f4e0da5adfb6b2325b7e79ca02f5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 15:52:15 2014 +0100

    main: Add "current-page" property

 src/totem-grilo.c | 37 ++++++++++++++++++++++++++++++++++++-
 src/totem-grilo.h |  1 +
 2 files changed, 37 insertions(+), 1 deletion(-)

commit eae11c9a784bc402b625da51c24ed069d4103fe2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 15:10:18 2014 +0100

    main: Remove unused "new-clicked" signal

 src/totem-main-toolbar.c | 8 --------
 1 file changed, 8 deletions(-)

commit a9ee7de178895eb99392dd3c10e8766ee7750f4a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 14:44:58 2014 +0100

    main: Move header button creation helper to -interface.[ch]

 src/totem-interface.c | 23 +++++++++++++++++++++++
 src/totem-interface.h |  4 ++++
 src/totem-object.c    | 38 ++++++++++++++++----------------------
 3 files changed, 43 insertions(+), 22 deletions(-)

commit 8bdfe74224e679dae32e07377cc444586794ee69
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 13:16:57 2014 +0100

    main: Remove unused totem_interface_get_license()

 src/totem-interface.c | 27 ---------------------------
 src/totem-interface.h |  1 -
 2 files changed, 28 deletions(-)

commit 64c2da8f132d1b89fa4c99dd5ca062e4eb4f9ea5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 12:06:33 2014 +0100

    main: Add local bookmarks to the recent view

 src/totem-grilo.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit fc38dd3204a2b166fa8a2790d6b84119a1b24244
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 12:05:03 2014 +0100

    main: Coding style fixes

 src/totem-grilo.c | 135 ++++++++++++++++++++++++++++--------------------------
 1 file changed, 69 insertions(+), 66 deletions(-)

commit f50692de22f48f2f311810275172e7ae96382e81
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 11:58:52 2014 +0100

    main: Simplify checking for "recent" sources

 src/totem-grilo.c | 169 ++++++++++++++++++++++++++++--------------------------
 1 file changed, 89 insertions(+), 80 deletions(-)

commit e369bf7276d16bbf40fe20f1610a5041fbd05750
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 11:56:20 2014 +0100

    backend: Fix direction of swipe with RTL languages

 src/backend/bacon-video-widget.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 0559af00a6838b84eb443c12d7a4f5bde09e554f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 14 04:20:36 2014 +0100

    main: Fix default swipe seek length
    
    It's supposed to be the same as the keyboard arrows.

 src/totem-object.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7231c29d2ce562b4eeed7259ca14ba43c27bd0fa
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Fri Feb 14 12:00:05 2014 +0500

    Tajik translation updated

 po/tg.po | 338 ++++++++++++++++++++++-----------------------------------------
 1 file changed, 118 insertions(+), 220 deletions(-)

commit ec8db6122739358412ed91bbc63b514abfc8007c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 11 13:34:21 2014 +0100

    backend: Use swipe gestures to seek
    
    1-finger Swipe right/left -> skip (same as right/left arrows)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697896

 src/backend/bacon-video-widget.c | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit cf3068930039da8a8174c6625257e1aa5f71b6e1
Author: ngoswami <ngoswami@redhat.com>
Date:   Wed Feb 12 13:22:37 2014 +0000

    Updated Assamese translation

 po/as.po | 761 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 391 insertions(+), 370 deletions(-)

commit ccba3364f8531863b56c369ca52d2fa8bad5055d
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Wed Feb 12 01:18:07 2014 +0500

    Tajik translation updated

 po/tg.po | 70 ++++++++++++++++++++++++----------------------------------------
 1 file changed, 26 insertions(+), 44 deletions(-)

commit c851bdbdb0801bab49213e963ea4faaf5a1075c7
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Tue Feb 11 23:41:29 2014 +0500

    Tajik translation updated

 po/tg.po | 142 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 68 insertions(+), 74 deletions(-)

commit 5a38399e6124e82c8972806ad7e01289b9fc66ae
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 11 13:51:43 2014 +0100

    backend: Fix build
    
    Simple typo in a function call.

 src/backend/bacon-video-widget.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5f84555ea8eedf2356eb76c740c3aebecfd881bf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 11 13:49:03 2014 +0100

    build: Require the latest grilo
    
    As we use some newly added APIs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723731

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c61a4a096f75b6f69e2f7c34361a12edc59a9994
Author: Ting-Wei Lan <lantw44@gmail.com>
Date:   Tue Feb 11 04:36:00 2014 +0000

    browser-plugin: Fix build when using C++11 mode
    
    totemPlugin.cpp:169:15: error: invalid suffix on literal; C++11 requires
    a space between literal and identifier [-Wreserved-user-defined-literal]
      "Quicktime/"TOTEM_NARROWSPACE_VERSION;
                 ^
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724095

 browser-plugin/totemPlugin.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit af87f39d303fe57318023c964597e1e7ea971cfc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 11 13:43:51 2014 +0100

    main: Don't allow seeking with keys if not seekable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723981

 src/totem-object.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 799938c81f33b8a5cc81d3874719030b52813ad7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 11 13:40:05 2014 +0100

    backend: Don't allow seeking if not seekable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723981

 src/backend/bacon-video-widget.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit b0762f5f159936f6274f4dc1ebe81b5d6beed693
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 11 13:33:15 2014 +0100

    main: Handle scroll events inside the video widget
    
    And pass the "requests" to the player itself. That will allow
    us to use gestures to control those in the future.

 data/totem.ui                    |  1 -
 src/backend/bacon-video-widget.c | 88 ++++++++++++++++++++++++++++++++++++----
 src/totem-object.c               | 59 ++++++++++-----------------
 3 files changed, 102 insertions(+), 46 deletions(-)

commit 8ffdc0840d31fa24d607e43bc4307c654744a722
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 10 19:57:42 2014 +0100

    backend: Use ClutterTapAction to show/hide the controls
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697896

 src/backend/bacon-video-widget.c | 32 ++++++++++++++++++++++++++------
 1 file changed, 26 insertions(+), 6 deletions(-)

commit 66caf5f4acbbe475c69fb1f8c832afc27a4ccc85
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 10 19:56:45 2014 +0100

    main: Remove drag support from the video widget
    
    I doubt anybody ever used that, and it conflicts with gestures,
    so dump it.

 src/totem-object.c | 50 --------------------------------------------------
 1 file changed, 50 deletions(-)

commit f7421a0244b59726a74d7d997e57116bfcb457f7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 10 19:52:56 2014 +0100

    backend: style fix

 src/backend/bacon-video-widget.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 8b27c039d5fb5d900cafa0527a24fd7271527ef1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 10 19:45:36 2014 +0100

    backend: Use GDK_EVENT_PROPAGATE/_STOP constants
    
    instead of TRUE/FALSE.

 src/backend/bacon-video-widget.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 44ddb6dc45606c4b870dbea25f5fa4a3cf1fa16c
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Mon Feb 10 23:20:51 2014 +0200

    Updated Ukrainian translation

 po/uk.po | 1582 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 837 insertions(+), 745 deletions(-)

commit be09ba3ebdb9ec1a2347f6c86badf5152bc87ecd
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 10 14:32:12 2014 +0100

    main: Track the maximised state
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703655

 src/totem-object.c | 2 ++
 1 file changed, 2 insertions(+)

commit 76466f8388822d63632df8efd3a15654da2ff3ad
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 10 16:21:46 2014 +0100

    main: Make plugins window clickable again
    
    Modal change for Preferences broke that.

 src/totem-preferences.c | 1 +
 1 file changed, 1 insertion(+)

commit 87ea7277847f26c984db9696d4def3161310263f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 10 12:14:32 2014 +0100

    main: Use recently added grl_deinit()
    
    Instead of unloading the plugins and sources ourselves.

 src/totem-grilo.c | 20 +-------------------
 1 file changed, 1 insertion(+), 19 deletions(-)

commit cd4b275598d18869fabf8637e10d01a08fcf5dc6
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Mon Feb 10 21:16:43 2014 +0500

    Tajik translation added

 po/tg.po | 2199 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 1029 insertions(+), 1170 deletions(-)

commit f2ca4bbb541ff9d9130bdf315dfc84ab4593649e
Author: Jani Välimaa <wally@mageia.org>
Date:   Sat Feb 8 23:04:13 2014 +0200

    main: Fix linking with --as-needed
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723919

 src/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dae3a26951b9efe68ea0ab9d2da6c40742dc6010
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 8 16:28:45 2014 +0100

    thumbnailer: Remove film strip from generated thumbnails
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723832

 data/Makefile.am              |   3 -
 data/filmholes-big-left.png   | Bin 719 -> 0 bytes
 data/filmholes-big-right.png  | Bin 453 -> 0 bytes
 data/filmholes.png            | Bin 173 -> 0 bytes
 src/totem-video-thumbnailer.c | 157 ++----------------------------------------
 5 files changed, 5 insertions(+), 155 deletions(-)

commit dea38226c0f26afd2001d0d281e06f59b593c80b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 8 15:37:00 2014 +0100

    data: Create a video mime-type list for nautilus
    
    Instead of an audio one. The audio preview was removed from
    nautilus, but we need a video mime-types list to apply the film strip.

 data/Makefile.am          | 6 +++---
 data/mime-type-include.sh | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit da98b80e34341ea131cddd8ea597235c76cbfe72
Author: Baptiste Mille-Mathias <baptiste.millemathias@gmail.com>
Date:   Sat Feb 8 18:11:42 2014 +0100

    [properties] Remove the button "Close" from GtkHeaderBar
    
    The better behavior is to have a [X] button.
    https://bugzilla.gnome.org/show_bug.cgi?id=723826

 src/plugins/properties/totem-movie-properties.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 61884985537d43d1aec2a70cf7c957653fdcdde1
Author: Baptiste Mille-Mathias <baptiste.millemathias@gmail.com>
Date:   Sat Feb 8 17:29:15 2014 +0100

    Set preferences window modal and transient to main window.
    
    Changed also the hint of the preference window to dialog else modal/transient
    properties don't work.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723828

 data/preferences.ui | 2 +-
 src/totem.c         | 4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 90f9def0b1848772766ca63cfab1ce562c4023e3
Author: Baptiste Mille-Mathias <baptiste.millemathias@gmail.com>
Date:   Sat Feb 8 16:26:15 2014 +0100

    Correct spacing and title of preference window
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723828

 data/preferences.ui | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a1bc961cbfd941c17558d7f8d4182607ad245ca1
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Feb 7 01:10:09 2014 +0100

    Updated Galician translations

 po/gl.po | 680 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 336 insertions(+), 344 deletions(-)

commit e2a18a87047464729eb4bbdc5b4ab7a30f75de47
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Thu Feb 6 20:18:08 2014 +0200

    Updated Hebrew translation

 po/he.po | 429 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 225 insertions(+), 204 deletions(-)

commit c73bfd51b826ae32fbefefbceafc1d2535189e2a
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Thu Feb 6 17:46:59 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 130 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 68 insertions(+), 62 deletions(-)

commit c854704d5b7951f0ebd59b1dfc69ae9144392d71
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 6 16:15:02 2014 +0100

    main: Focus the search entry when the popover disappears

 src/totem-search-entry.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 336154c47dc415299e54b260c5438def6afd6f8b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 6 15:48:49 2014 +0100

    screensaver: Pause playback when screensaver comes on
    
    If the screensaver comes on, that means that the user locked the
    screen on purpose, so stop playback, they can't see anything anymore.

 src/plugins/screensaver/totem-screensaver.c | 61 +++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)

commit c52fb2a21cbea92ce57ac410e331f422bc575d9b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 6 15:29:23 2014 +0100

    main: Handle current browse source disappearing

 src/totem-grilo.c | 24 ++++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

commit b4d9cedc151ee74b7c02e76a202d401d920495a6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 6 15:29:12 2014 +0100

    main: Fix small memory leak

 src/totem-grilo.c | 1 +
 1 file changed, 1 insertion(+)

commit 7daecfc8179dc6587be6bcb25c551a6dc0549fc1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 6 15:28:53 2014 +0100

    main: Fix compile time warning

 src/totem-grilo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4745b1738276a7888f89255a40ddc9b0157e2fb3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 6 15:28:23 2014 +0100

    main: Don't build libgd's header-bar widget
    
    We don't use it.

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit e4f142f9d29a145e21dc6340f07b9b41c0fd02a2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 6 15:00:59 2014 +0100

    main: Handle "Play DVD" key

 src/totem-grilo.c  | 18 ++++++++++++++++++
 src/totem-grilo.h  |  7 +++++++
 src/totem-object.c |  4 +++-
 3 files changed, 28 insertions(+), 1 deletion(-)

commit ad8c97260bd28838668a17111ca24287d9849b36
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 6 14:18:03 2014 +0100

    main: Handle Ctrl+F toggling the search mode

 src/totem-grilo.c | 19 +++++++++++++++----
 1 file changed, 15 insertions(+), 4 deletions(-)

commit dedebc23c9b876352c30573a12f92384b5782e23
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 6 14:11:35 2014 +0100

    main: Make F10 show the cogwheel menu
    
    With the caveat that the menu isn't correctly positioned when the
    popups are hidden in fullscreen mode.

 src/totem-object.c  | 23 ++++++++++++++---------
 src/totem-private.h |  1 +
 2 files changed, 15 insertions(+), 9 deletions(-)

commit 91ac548d10ce7408ceca1e62ba5bcf7a0b06f55d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 5 19:29:39 2014 +0100

    main: Maximise window by default

 src/totem-object.c | 1 +
 1 file changed, 1 insertion(+)

commit d3aa43b7ed5db2d742a56fbe0bb6a8848405048e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 5 14:59:19 2014 +0100

    build: Bump required GTK+ version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f6ac45bdd8d95d52d7fc096fa87110eb4f1f51a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Feb 5 13:50:06 2014 +0100

    Updated Spanish translation

 po/es.po | 287 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 145 insertions(+), 142 deletions(-)

commit 6acb7f53fd7f18de8c29f3f66b28d1031db477a4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 5 10:59:19 2014 +0100

    3.11.5

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit ea42e159871aec988c9c4eaf015eb95050b1501f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 5 12:24:13 2014 +0100

    build: Enable vala in distcheck

 Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 8a660f3f4206c738543fe05198554cc4640ed421
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 5 12:22:55 2014 +0100

    main: Fix distcheck

 src/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 86ae454a7f5c8f875c90924124d93e20e4d3fefe
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:   Wed Feb 5 10:38:43 2014 +0000

    Updated Scottish Gaelic translation

 po/gd.po | 138 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 67 insertions(+), 71 deletions(-)

commit 870ebaa562934ae3ccdfed9beb581f61bcb587ab
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:   Wed Feb 5 10:36:58 2014 +0000

    Updated Scottish Gaelic translation

 po/gd.po | 1138 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 640 insertions(+), 498 deletions(-)

commit 466ffba7de29febf10f1c5c9b79d14a81810cad0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 5 10:52:52 2014 +0100

    main: Add (disabled) debug for scrolling

 src/totem-grilo.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 2c2fec4ccd10e8c0be9c355b6ccd3ef95e4d819d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 5 10:47:03 2014 +0100

    backend: Remove warning when popups aren't shown

 src/backend/bacon-video-widget.c | 1 -
 1 file changed, 1 deletion(-)

commit af3225fddb38c257e88eace176c660197ee85d08
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 5 10:32:59 2014 +0100

    main: Use smaller icons for items without thumbnails

 src/icon-helpers.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3c0d4a59f99443f9e16a1779d839ea570ab45984
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 5 10:26:18 2014 +0100

    main: Use "margin-start" and "margin-end"
    
    Rather than margin-left and margin-right.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723627

 data/controls.ui   | 4 ++--
 src/totem-object.c | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 9f979eb9365898d0df7ed52d5815bc45c4a6ff26
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 5 09:32:30 2014 +0100

    main: Remove close button in fullscreen popup

 src/totem-object.c | 1 -
 1 file changed, 1 deletion(-)

commit 4490d87f7b10c22ce76a97b2a4039e5b0068a344
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 5 09:19:10 2014 +0100

    main: "Add Web Video" UI fixes
    
    Rename main action button to "Add", and remove "..." from
    the title.

 src/totem-open-location.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 24e22aba10ee3fb678a86ee454423fed00fcde76
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 4 18:56:15 2014 +0100

    main: Remove dead code for "Exit fullscreen" button

 src/totem-object.c | 10 ----------
 1 file changed, 10 deletions(-)

commit af9160098630174c5896ef4c16ff31366138a776
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 4 18:55:56 2014 +0100

    main: Fix hooking up volume button

 src/totem-object.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 66a87f0ebbc75e9e16997560422f3e9f09324d78
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 4 18:45:23 2014 +0100

    main: Move "Repeat" menu item to "Go" menu
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723321

 data/totem.ui | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit c31e7592e3257426fcb9389f21f71b035d22f227
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 4 18:03:46 2014 +0100

    main: Hide close button when in selection mode

 src/totem-grilo.c | 3 +++
 1 file changed, 3 insertions(+)

commit 21f382b871aab8e44cb8f90cb66c8ddffa66ac52
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 4 17:54:09 2014 +0100

    backend: Fix incorrect time label when starting playback
    
    We weren't changing the label when the length of the film was known,
    so we had the hour field missing on one side, and 1:23:00 changing on
    the other, until we reached the first second of playback.

 src/backend/bacon-time-label.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 044655d5081b248578a035981047939a8e1ae886
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 4 17:35:24 2014 +0100

    backend: Hide popup only once playback has started

 src/backend/bacon-video-widget.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 904517902389e75845a0205695e579d3816618a9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 4 15:42:25 2014 +0100

    main: Don't hide popups when menu is popped out

 src/totem-object.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 9fdad927060b12b3c5b03068d06d2bb3959eca95
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 4 15:41:43 2014 +0100

    backend: Allow forcing the popup to stay on

 src/backend/bacon-video-widget.c | 43 ++++++++++++++++++++++++++++++++++++++++
 src/backend/bacon-video-widget.h |  4 ++++
 2 files changed, 47 insertions(+)

commit 2c0d5198bccda8b665e0275f321e432f17c990b2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 4 15:00:01 2014 +0100

    backend: Remove unused function from header

 src/backend/bacon-video-widget.h | 1 -
 1 file changed, 1 deletion(-)

commit b5ef912a823f7e9ed890a6bc2d02065028c3ecbc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 4 14:58:48 2014 +0100

    backend: Remove unused OSD popup

 docs/reference/Makefile.am           |   3 -
 docs/reference/totem-sections.txt    |   1 -
 src/backend/Makefile.am              |   5 -
 src/backend/bacon-video-osd-actor.c  | 243 ----------
 src/backend/bacon-video-osd-actor.h  |  68 ---
 src/backend/bacon-video-widget.c     |  26 --
 src/backend/bacon-video-widget.h     |   2 -
 src/backend/gsd-osd-window-private.h |  68 ---
 src/backend/gsd-osd-window.c         | 838 -----------------------------------
 src/backend/gsd-osd-window.h         |  84 ----
 10 files changed, 1338 deletions(-)

commit bf6cf80a53f1d4a5f11e2651e32df3bc8f1ac7fd
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 4 12:46:25 2014 +0100

    main: Show fullscreen toolbar
    
    When the video widget tells us to show the controls, pop out the
    fullscreen toolbar.
    
    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=697897

 data/totem.ui       |   2 +-
 src/totem-object.c  | 101 +++++++++++++++++++++++++++++++++++++++++++++++-----
 src/totem-private.h |   3 ++
 3 files changed, 96 insertions(+), 10 deletions(-)

commit cc880bfbccfc7edfe0ed4aa8235ee29035733a71
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 4 09:56:55 2014 +0100

    backend: Rework popup visibility
    
    When using the mouse, show the popup on motion, and hide it
    after 3 seconds (unless it's on our popup).
    When using a touchscreen, show/hide the popup on tap.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697897

 src/backend/bacon-video-widget.c | 134 ++++++++++++++++++++++++++++++---------
 src/backend/bacon-video-widget.h |   1 +
 2 files changed, 106 insertions(+), 29 deletions(-)

commit e9f4203adaf7ee96372604c1736d5ab60e0a5e9f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 4 08:55:57 2014 +0100

    main: Don't show buttons on show-all

 src/totem-main-toolbar.c | 3 +++
 1 file changed, 3 insertions(+)

commit 4c2242f2dbad9f0a2bdea49baceb7fae07b1c588
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 3 15:53:08 2014 -0500

    backend: Work around popover-over-clutter issues
    
    Until GTK+ learns how to render popovers with transparency
    on top of native subwindows, we can make the GtkVolumeButton
    appear less broken by making it non-transparent.
    
    This still looks buggy with the popover arrow.
    
    Helps https://bugzilla.gnome.org/show_bug.cgi?id=723556

 src/backend/bacon-video-controls-actor.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit f1e2cd35b58c161ee698894a606ade97032606f7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 3 17:33:39 2014 +0100

    data: Require GTK+ 3.11 in glade

 data/controls.ui                           | 2 +-
 data/preferences.ui                        | 2 +-
 data/properties.ui                         | 2 +-
 data/totem.ui                              | 2 +-
 src/grilo.ui                               | 2 +-
 src/plugins/chapters/chapters-edit.ui      | 2 +-
 src/plugins/chapters/chapters-list.ui      | 2 +-
 src/plugins/opensubtitles/opensubtitles.ui | 2 +-
 src/totemmaintoolbar.ui                    | 2 +-
 src/totemselectiontoolbar.ui               | 2 +-
 10 files changed, 10 insertions(+), 10 deletions(-)

commit f0afe3aeb0b2245c6b923e495b1344e9e279ff45
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 3 16:23:39 2014 +0100

    backend: Fix mouse wheel on volume seeking
    
    The scroll event should have been captured by the volume widget
    instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723323

 src/backend/bacon-video-widget.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 4fb45069e40a087f94a7a80aa341925eda201f76
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 3 16:22:57 2014 +0100

    backend: Don't pass an event to translate_coords()
    
    As we might want it to handle different types of events.

 src/backend/bacon-video-widget.c | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit f3a2bb6767604553a78b87da7c38f963767f2077
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Mon Feb 3 16:03:25 2014 +0200

    Updated Hebrew translation.

 po/he.po | 652 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 314 insertions(+), 338 deletions(-)

commit 34744230391ba438559dcc45720645b30fae44aa
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Feb 2 19:11:50 2014 +0100

    main: Fix empty title when coming back from player
    
    We were setting the title correctly, but then overwriting
    the title label with the subtitle value.

 src/totem-main-toolbar.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a20bcfbf17e2b8deadd0344dbd37ae30838e3243
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Feb 2 20:49:29 2014 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 201 ++++++++++++++++++++++++++++++------------------------------
 po/zh_TW.po | 201 ++++++++++++++++++++++++++++++------------------------------
 2 files changed, 204 insertions(+), 198 deletions(-)

commit 30095db121fdb3aaaab8d73eb8e6fe53cbb5a544
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Sun Feb 2 02:02:54 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 663 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 327 insertions(+), 336 deletions(-)

commit dcaf0bb599f9f8008100ac1d44d0aa1e83daff59
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 1 14:44:57 2014 +0100

    main: Remove drag'n'drop code from the playlist
    
    As it not used anymore.

 src/totem-playlist.c | 174 +--------------------------------------------------
 1 file changed, 1 insertion(+), 173 deletions(-)

commit 07781252b26d1ac3eeccbada8cae508502a85f23
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 1 14:43:59 2014 +0100

    main: Remove unused totem_playlist_save_current_playlist_ext()

 src/totem-playlist.c | 29 -----------------------------
 src/totem-playlist.h |  2 --
 2 files changed, 31 deletions(-)

commit cdf0736a671ccf3307fcc5974be445bac6240545
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 1 13:26:15 2014 +0100

    main: Fix lost switcher widget
    
    Prevent totem_object_set_main_page() from being called
    multiple times with the same value. This avoids us losing the
    switcher widget. Oopsie.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723383

 src/totem-object.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 25d49018978a2f509f5e6b2e2be5646955c393c6
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Feb 1 11:28:39 2014 +0000

    Updated Indonesian translation

 po/id.po | 595 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 262 insertions(+), 333 deletions(-)

commit 87c05b327ac61786a9c55829909562f67919afe5
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Sat Feb 1 08:36:45 2014 +0200

    Updated Greek translation

 po/el.po | 699 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 361 insertions(+), 338 deletions(-)

commit 928eacaddf19cf74cdfd208003239f1513056853
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 1 00:38:18 2014 +0100

    main: Fix warnings with broken grl-filesystem paths
    
    Report errors from the playlist through TotemObject, not through
    TotemPlaylist. It doesn't have a toplevel anymore, so can't parent
    dialogues properly.

 src/totem-object.c   |  9 ++++++-
 src/totem-playlist.c | 67 ++++++++++++++++------------------------------------
 src/totem-playlist.h |  3 ++-
 3 files changed, 31 insertions(+), 48 deletions(-)

commit 906a22b113b1a9e1bf37711af0a2d8f1a4cfae06
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 31 21:59:07 2014 +0100

    main: Remove totem_playlist_get_toplevel() function

 src/totem-playlist.c | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit aa401f6d9da84f6b5e481206e4684ff36dfd4f83
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Jan 31 23:00:31 2014 +0200

    Updated Lithuanian translation

 po/lt.po | 593 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 267 insertions(+), 326 deletions(-)

commit fa7a97be946f792266784323591ac11a97fc4b5f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 31 17:12:27 2014 +0100

    main: We use the mtime so request it from sources

 src/totem-grilo.c | 1 +
 1 file changed, 1 insertion(+)

commit 111a86e0f14583b4386831208f71e5d9a078d2c3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 31 17:10:59 2014 +0100

    main: Fix warnings about GDateTime refcounts
    
    grl_media_get_modification_date() doesn't return a reference to
    the GDateTime, so we shouldn't unref it.

 src/totem-grilo.c | 2 --
 1 file changed, 2 deletions(-)

commit 053b121302b72bd0c510919d2805775b3f083994
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 31 17:09:13 2014 +0100

    main: Hidden config to add filesystem paths to channels
    
    This will allow people that don't want to use Tracker, to still
    have some videos to use totem with.

 data/org.gnome.totem.gschema.xml.in.in |  5 +++++
 src/totem-grilo.c                      | 32 ++++++++++++++++++++++++++++++--
 2 files changed, 35 insertions(+), 2 deletions(-)

commit 9d3df484d7212e3b2b303d1d98fd8c44a59dedd5
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Fri Jan 31 15:26:37 2014 +0200

    Fix build the po files
    
    Regression from d6b9de0a775f0adcd05a7ca37df7d88d4bf08a93.

 po/ast.po | 5 +++--
 po/bg.po  | 5 +++--
 po/ga.po  | 5 +++--
 po/hu.po  | 5 +++--
 po/ml.po  | 5 +++--
 po/nn.po  | 5 +++--
 po/pl.po  | 5 +++--
 po/ro.po  | 5 +++--
 po/sk.po  | 5 +++--
 po/vi.po  | 5 +++--
 10 files changed, 30 insertions(+), 20 deletions(-)

commit 52ff23f16151552d466a038638e2252c284b69bf
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Fri Jan 31 15:16:58 2014 +0200

    Fix crh translation

 po/crh.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 549157c9df9efda0d4bb3519e7aa50a6d4c85511
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 31 14:14:10 2014 +0100

    main: Fix back button not working after click
    
    We were hiding then showing again the back button when
    clicking on "back" button, making it unclickable until we
    left and re-entered the button.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722454

 src/totem-grilo.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit a7b92ac4b617d08e58e86e9f516e089b1fcd230f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Jan 29 10:21:08 2014 +0100

    Updated Spanish translation

 po/es.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit bc7acd15a832bbdbd83430d49c03c2b84cac314d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jan 27 13:57:02 2014 +0100

    Updated Spanish translation

 po/es.po | 529 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 256 insertions(+), 273 deletions(-)

commit d6b9de0a775f0adcd05a7ca37df7d88d4bf08a93
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jan 23 12:49:08 2014 +0100

    Updated FSF's address

 po/ast.po | 7 +------
 po/bg.po  | 7 +------
 po/ga.po  | 7 +------
 po/hu.po  | 7 +------
 po/ml.po  | 7 +------
 po/nn.po  | 7 +------
 po/pl.po  | 8 +-------
 po/ro.po  | 8 +-------
 po/sk.po  | 7 +------
 po/vi.po  | 9 +--------
 10 files changed, 10 insertions(+), 64 deletions(-)

commit cdaf00afd613449e1d0137e82989c44236c3378d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 31 13:37:05 2014 +0100

    main: Swap fullscreen/cog wheel buttons
    
    In the player mode.

 src/totem-object.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 025d7030b803af5fe7c6cc98277135769dde2d4d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 31 13:34:35 2014 +0100

    main: Disable modes when pressing back button
    
    We don't want the selection or search modes to continue when
    the back button is pressed.

 src/totem-grilo.c | 2 ++
 1 file changed, 2 insertions(+)

commit 33ad1248b986030be9e9c0d81861eb7fb5ce1d0b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 31 13:31:55 2014 +0100

    main: Hide delete button for some sources
    
    When the source doesn't support removing items, never show
    the delete button.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723319

 src/grilo.ui      |  6 ++---
 src/totem-grilo.c | 78 ++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 49 insertions(+), 35 deletions(-)

commit 1a94c8bd0164639d08a69766535d1e3b61e8481c
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:   Fri Jan 31 17:37:40 2014 +0530

    updated kn.po

 po/kn.po | 1029 +++++++++++---------------------------------------------------
 1 file changed, 171 insertions(+), 858 deletions(-)

commit 734420027a1e9a88f98cee0596bbe4cb71c51381
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 31 12:47:31 2014 +0100

    main: Don't reset search-mode when going to player
    
    Otherwise we lose all the state of the current search
    (entry content, title, and most importantly, results)

 src/totem-object.c  | 3 ---
 src/totem-private.h | 1 -
 2 files changed, 4 deletions(-)

commit d14d7772d56ed8117e1d069847b644bf30d905b9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 31 12:44:32 2014 +0100

    browser-plugin: Make it compile

 browser-plugin/totem-plugin-viewer.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 6001cfd976ac5ee09626eca63ac964187b76f851
Author: Ting-Wei Lan <lantw44@gmail.com>
Date:   Fri Jan 31 10:06:00 2014 +0000

    main: Fix "Non-void function should return a value"
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723351

 src/totem-search-entry.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 644e5e82b01565aa873df77a89e360ddadb2b169
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 31 11:52:08 2014 +0100

    main: Use a client-side titlebar
    
    Remove the headerbar from the video widget. Note that the fullscreen
    headerbar isn't handled yet.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722420

 src/backend/Makefile.am                |   2 -
 src/backend/bacon-video-header-actor.c | 109 ---------------------------
 src/backend/bacon-video-header-actor.h |  60 ---------------
 src/backend/bacon-video-widget.c       |  28 +------
 src/totem-grilo.c                      |  96 ++++++++++++++++++------
 src/totem-grilo.h                      |   5 +-
 src/totem-object.c                     | 131 +++++++++++++++++++++++++++------
 src/totem-private.h                    |  12 +++
 8 files changed, 199 insertions(+), 244 deletions(-)

commit 81d0fcb13d3161f248d5105ed7323a081b9a6825
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 31 09:31:37 2014 +0100

    main: Set CSD titlebar with Grilo

 src/grilo.ui      | 14 --------------
 src/totem-grilo.c | 12 +++++++++++-
 src/totem.c       |  1 -
 3 files changed, 11 insertions(+), 16 deletions(-)

commit a45ed9b5e878eee06c61cc59029da07b6c7864ce
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 22:27:54 2014 +0100

    main: Deal with disappearing search sources

 src/totem-search-entry.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 0ff51dfac2ccb766aca6ec45ac5697aa45b723e9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 19:56:37 2014 +0100

    main: Pop down the source selection popover
    
    When clicking a new source in the popover.

 src/totem-search-entry.c | 2 ++
 1 file changed, 2 insertions(+)

commit 41077fd6d1ef40aa979e700e79083ba5c1052fd4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 19:44:10 2014 +0100

    main: Remove FIXME
    
    We don't need to unref() the popover as it gets attached to its
    "pointing-to" widget a-la gtk_container_add, so gtk_widget_destroy()
    on the parent will take care of destroying it.
    
    Above explanation paraphrased from Carlos Garnacho.

 src/totem-search-entry.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit e095ecd77fbb24fccb7d6b65218cf2ad32ab6405
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 19:40:17 2014 +0100

    main: Debug for search results

 src/totem-grilo.c | 1 +
 1 file changed, 1 insertion(+)

commit 798f16747be24c952999cc2cc0ec76ee32a63395
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 19:39:02 2014 +0100

    main: Fix playback from some sources
    
    Sources that require resolve() to be called to get the actual
    playback URL didn't work correctly, as we didn't request the
    external URL.

 src/totem-grilo.c | 1 +
 1 file changed, 1 insertion(+)

commit d0a4c166ae8ceb2ee3459626088ce49483597b61
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 19:29:32 2014 +0100

    main: Make TotemGrilo a proper widget
    
    And using templates.

 src/grilo.ui      |  22 +++++----
 src/totem-grilo.c | 142 ++++++++++++++++++++++++++++++++++--------------------
 src/totem-grilo.h |   4 +-
 3 files changed, 104 insertions(+), 64 deletions(-)

commit 82e0b35bece8ad4d538b8d3e5e9f8fbb43c7338e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 19:29:09 2014 +0100

    main: Work-around a crasher in TotemSearchEntry

 src/totem-search-entry.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f3103d6c4e2232c403d216eb055fc9bd89950e95
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 19:28:16 2014 +0100

    main: Work-around video widget warnings on first show

 src/totem-object.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 4f3ea12e92b1af849a9313fcfc11417074b47f41
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 17:43:49 2014 +0100

    main: Don't use TotemObject in icon helpers

 src/icon-helpers.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e2dead0d0c2140c5d87db737c8644a38816ad66c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 17:11:58 2014 +0100

    main: Add missing totem-grilo.h

 src/totem-grilo.h | 65 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

commit c63936c17c08e7c8a61f046cd5b6247925fb4cfa
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 16:47:36 2014 +0100

    main: Remove unused variable

 src/totem-main-toolbar.c | 1 -
 1 file changed, 1 deletion(-)

commit d9e3daf9f1a7c25498e5dd57900e1f80fe3cdab5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 16:47:29 2014 +0100

    main: Remove totem_object_add_main_page()

 src/totem-object.c  | 22 ----------------------
 src/totem-private.h |  3 ---
 2 files changed, 25 deletions(-)

commit 172eda6fc83820d02fc12ef62672f4da77ebd7cd
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 13:02:45 2014 +0100

    grilo: Move grilo plugin to the core

 configure.ac                                |   13 +-
 po/POTFILES.in                              |   11 +-
 src/Makefile.am                             |   23 +-
 src/grilo.gresource.xml                     |    9 +
 src/grilo.ui                                |  216 +++
 src/icon-helpers.c                          |  293 ++++
 src/icon-helpers.h                          |   44 +
 src/plugins/grilo/Makefile.am               |   46 -
 src/plugins/grilo/grilo.gresource.xml       |    9 -
 src/plugins/grilo/grilo.plugin.in           |    9 -
 src/plugins/grilo/grilo.ui                  |  216 ---
 src/plugins/grilo/icon-helpers.c            |  293 ----
 src/plugins/grilo/icon-helpers.h            |   44 -
 src/plugins/grilo/totem-grilo.c             | 2172 ---------------------------
 src/plugins/grilo/totem-grilo.conf          |   10 -
 src/plugins/grilo/totem-main-toolbar.c      |  794 ----------
 src/plugins/grilo/totem-main-toolbar.h      |   92 --
 src/plugins/grilo/totem-search-entry.c      |  404 -----
 src/plugins/grilo/totem-search-entry.h      |   74 -
 src/plugins/grilo/totem-selection-toolbar.c |  369 -----
 src/plugins/grilo/totem-selection-toolbar.h |   76 -
 src/plugins/grilo/totemmaintoolbar.ui       |  134 --
 src/plugins/grilo/totemselectiontoolbar.ui  |   97 --
 src/totem-grilo.c                           | 2172 +++++++++++++++++++++++++++
 src/totem-grilo.conf                        |   10 +
 src/totem-main-toolbar.c                    |  794 ++++++++++
 src/totem-main-toolbar.h                    |   92 ++
 src/totem-object.c                          |   11 +
 src/totem-private.h                         |    3 +
 src/totem-search-entry.c                    |  404 +++++
 src/totem-search-entry.h                    |   74 +
 src/totem-selection-toolbar.c               |  369 +++++
 src/totem-selection-toolbar.h               |   76 +
 src/totem.c                                 |    1 +
 src/totemmaintoolbar.ui                     |  134 ++
 src/totemselectiontoolbar.ui                |   97 ++
 36 files changed, 4828 insertions(+), 4857 deletions(-)

commit 17299064ea6fca785909e9fd2be64b019dbeb12c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 16:23:12 2014 +0100

    main: Remove unused variable

 src/totem-preferences.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 275715a10cb837fb48442155898657d7da8923b2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 12:46:43 2014 +0100

    backend: Make controls bar thinner
    
    To match the height used by gnome-documents.

 data/controls.ui | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9d6a14fc25515772048ef07a2dc7343241277a43
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 30 11:48:56 2014 +0100

    opensubtitles: Make decoding download items work
    
    Stop using StringIO, gzip and base64 modules, and use GLib for
    the base64 decoding, and zlib for the decompression.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723074

 src/plugins/opensubtitles/opensubtitles.py | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 3de2f5f23f29f144468e9b61ffc732497d36e5c3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 29 19:19:39 2014 +0100

    main: Fix OSD toolbar button not being square

 data/controls.ui   | 2 ++
 src/totem-object.c | 1 +
 2 files changed, 3 insertions(+)

commit fd6873de492568c052e86316e859a684df465868
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 29 17:14:44 2014 +0100

    main: Remove transitions between player/browser

 src/totem-object.c  | 20 ++++----------------
 src/totem-private.h |  3 +--
 src/totem-session.c |  2 +-
 3 files changed, 6 insertions(+), 19 deletions(-)

commit abb28da96abace9ed3525d19338cec8b15adc61f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 29 14:49:37 2014 +0100

    grilo: Automatically set the source when starting a search
    
    When browsing within a source, starting a search should search
    in that source by default.

 src/plugins/grilo/totem-grilo.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 71208d76aea9a49ab78bce2e6fe5005f1050e306
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 29 14:48:18 2014 +0100

    grilo: Don't warn if the media is gone for a thumbnail
    
    When retrieving thumbnails, it's possible that the item
    is already out of view. So don't throw errors in that case.

 src/plugins/grilo/totem-grilo.c | 2 ++
 1 file changed, 2 insertions(+)

commit 87c7ab48e5bb63e1a9173ccc27f63a0159ff38ee
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 29 14:47:12 2014 +0100

    grilo: Don't warn when setting invalid search source
    
    Instead, return a boolean to show failure. This allows us
    to try to set the search easily without having to find
    whether it supports search.

 src/plugins/grilo/totem-search-entry.c | 8 +++++---
 src/plugins/grilo/totem-search-entry.h | 2 +-
 2 files changed, 6 insertions(+), 4 deletions(-)

commit c2ececf6bbb6d98ab52793d52b3165a9183f774e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 29 14:25:44 2014 +0100

    grilo: Fix warnings when clicking on an item
    
    When the search is on. The search results might not be the ones
    displayed. So make sure that we dismiss the search bar, and
    activate the clicked item.

 src/plugins/grilo/totem-grilo.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit b0260853a8c008dae843a7c09170f34536172e3c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 28 23:06:00 2014 +0100

    grilo: Fix compile-time warnings

 src/plugins/grilo/totem-search-entry.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 867ed68274515fa4b528ab6085f2b51101613449
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 28 23:05:37 2014 +0100

    grilo: Blacklist dmap, the Grilo DAAP source

 src/plugins/grilo/totem-grilo.c | 1 +
 1 file changed, 1 insertion(+)

commit d26ffffc60f6929dc8949a242b6147bfbe61f919
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 28 18:03:37 2014 +0100

    grilo: Start implementing search source removal

 src/plugins/grilo/totem-search-entry.c | 34 ++++++++++++++++++++++++++++------
 1 file changed, 28 insertions(+), 6 deletions(-)

commit c9e3cb749ab92daacf511a7624e2838b5a86af94
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 28 18:00:43 2014 +0100

    opensubtitles: Fix indentation
    
    Spotted by Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>

 src/plugins/opensubtitles/opensubtitles.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bcbfe39a89899581a6c61317bad76c3405dd3f48
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 28 17:01:08 2014 +0100

    libgd: Update from master
    
    To get the gd_tagged_entry_tag_get_area() function.

 libgd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a8601eed030d8a8d2e4bed32b47736b22c56cab2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jan 26 17:40:45 2014 +0100

    grilo: Use popover for the source selection
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723031

 src/plugins/grilo/totem-search-entry.c | 235 +++++++++++++++++++--------------
 1 file changed, 135 insertions(+), 100 deletions(-)

commit 94a44c81d23a2da39a0804a90f662129a268a848
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Tue Jan 28 20:30:38 2014 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 717 ++++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po | 721 +++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 748 insertions(+), 690 deletions(-)

commit 07fdaa70f2780b85814567335df5100a4bad4fc2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Nov 14 16:53:03 2013 +0100

    update sublangs menus when meta data are updated
    
    The meta data can contains the language of the audio streams
    (GST_TAG_LANGUAGE_CODE) so we may have to update the menu to reflect the
    change.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712310

 src/totem-object.c | 1 +
 1 file changed, 1 insertion(+)

commit 62b08a58faca3028c8a6f29eb08de8a72ff3a923
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 16 19:27:22 2014 +0100

    grilo: Move grilo config to be builtin
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722826

 src/plugins/grilo/Makefile.am         |  8 ++------
 src/plugins/grilo/grilo.gresource.xml |  1 +
 src/plugins/grilo/totem-grilo.c       | 22 +---------------------
 3 files changed, 4 insertions(+), 27 deletions(-)

commit d4618b5027495ff383aa457bba964c6e72f5cfd7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jan 27 09:35:48 2014 +0100

    opensubtitles: Fix dialog not showing up
    
    A regression from commit 81b42bea7bab8543aab51a0b4033985ecfea26da
    which didn't add the necessary argument to _show_dialog()

 src/plugins/opensubtitles/opensubtitles.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d8535bf3544ae0b7dd483bafe190f51eb62a55ab
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jan 27 09:35:01 2014 +0100

    opensubtitles: Stop using PyXDG
    
    We can achieve the same thing through GLib and Gio.

 src/plugins/opensubtitles/opensubtitles.py | 12 ++----------
 1 file changed, 2 insertions(+), 10 deletions(-)

commit 37b5cc9905e4d298034b8fb636c6a2548fb7a4d0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jan 26 21:08:30 2014 +0100

    grilo: Mark application as busy when browsing/searching
    
    Gives some feedback on online operations.

 src/plugins/grilo/totem-grilo.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 0608ad4a6150ac8cddca58addcfab62fcf88260f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jan 26 21:01:22 2014 +0100

    main: Use app level spinner instead of waiting cursor
    
    Instead of using a waiting cursor when long operations are on-going,
    use g_application_mark_busy(), which translates to a spinner in the
    top bar in gnome-shell.

 src/backend/video-utils.c | 12 ------------
 src/backend/video-utils.h |  1 -
 src/totem-object.c        | 12 ++++++------
 src/totem-playlist.c      | 27 ++++-----------------------
 src/totem.c               |  4 ++--
 5 files changed, 12 insertions(+), 44 deletions(-)

commit eb7e2f4a39d636460d69c65b7b9d343cb0976317
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jan 26 16:11:42 2014 +0100

    grilo: Don't show "metadata-store" in Search items

 src/plugins/grilo/totem-grilo.c | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

commit bec139ce137351c57dda70c29bae61c41c650258
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Jan 26 15:39:42 2014 +0100

    Updated Czech translation

 po/cs.po | 482 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 190 insertions(+), 292 deletions(-)

commit 6accfa4fd0167f946faa7e9565f2401c4616b507
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jan 26 14:46:08 2014 +0100

    screensaver: Wait 5 seconds before uninhibiting screensaver
    
    Otherwise the screensaver might come on in between 2 movies.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=705942#c7

 src/plugins/screensaver/totem-screensaver.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit c80eeab99bf2b8ac75e909f6eb0b9fb768eb2ab8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jan 26 14:17:35 2014 +0100

    screensaver: Remove lock-screensaver-on-audio preference
    
    Totem isn't built to play audio files, so we'll always inhibit
    the screensaver when playing anything. If you're playing audio
    files, at least you know what you're in for.

 data/org.gnome.totem.gschema.xml.in.in      |  5 ---
 data/preferences.ui                         | 56 -----------------------------
 data/totem.convert                          |  1 -
 src/plugins/screensaver/totem-screensaver.c | 51 +-------------------------
 src/totem-preferences.c                     | 41 ---------------------
 5 files changed, 1 insertion(+), 153 deletions(-)

commit 0c520361b93ecdb7f43517fe553be76d0358d15b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jan 26 14:05:49 2014 +0100

    grilo: Also look up saved metadata
    
    Using the metadata store. This would allow us to cache locally
    metadata from online sources such as tmdb.

 src/plugins/grilo/totem-grilo.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 7512ca418e9375274513ffede6b2f7669d025117
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jan 26 00:51:26 2014 +0100

    main: Clear the playlist when going back from player
    
    So has to avoid network transfers in an unreachable portion
    of the UI.

 src/totem-object.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4eefb7ec5dadb8386238a3594473790857f424fd
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jan 26 14:45:23 2014 +0100

    playlist: Send "current-removed" when clearing playlist
    
    Otherwise the video widget isn't cleared, the playing property
    notify signal isn't sent, etc.

 src/totem-playlist.c | 4 ++++
 1 file changed, 4 insertions(+)

commit ad5fe3518c47af9367ee76a2b4b129ef8ab7505d
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sun Jan 26 01:43:09 2014 +0200

    Updated Hebrew translation

 po/he.po | 474 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 234 insertions(+), 240 deletions(-)

commit 27cc923b100da5f65f4a1a8fca7e4967dd27e002
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Jan 25 18:00:33 2014 +0100

    libgd: Update to fix subtitles not being centered

 libgd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 34f507c03ae06920100e0a8d99b04fb6f321ad29
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Jan 25 16:44:11 2014 +0100

    main: Rename "Open Location" dialogue to "Add Web Video..."
    
    To match the menu item

 src/totem-open-location.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ce5315a1eabb81ed4ffbae5a57a0f6452463cfff
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Jan 25 16:43:34 2014 +0100

    main: Use header bar for the "Open Location" dialogue

 src/totem-open-location.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2798026d4f6afae9694a931d00b1a6d3b1aa830b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Jan 25 12:12:39 2014 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 584 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 306 insertions(+), 278 deletions(-)

commit 38a5ae6a4cf076c8694a11dcc4fdcd5788f9988e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 24 20:37:53 2014 +0100

    grilo: Populate the search sources sorted

 src/plugins/grilo/totem-grilo.c        |  5 +++-
 src/plugins/grilo/totem-search-entry.c | 50 ++++++++++++++++++++++++++++++++--
 2 files changed, 52 insertions(+), 3 deletions(-)

commit 5e49ff24c4c16f1512390b5cf75d101ef8c9b343
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 24 20:37:32 2014 +0100

    grilo: Remove unused enum

 src/plugins/grilo/totem-grilo.c | 5 -----
 1 file changed, 5 deletions(-)

commit f5389653d9f3843bcb86f5fb70b9153a3853f3e2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 24 20:37:11 2014 +0100

    grilo: Fix warnings when populating search results

 src/plugins/grilo/grilo.ui | 4 ++++
 1 file changed, 4 insertions(+)

commit a41a3a6fa49a2255bb8eaae50d0ee8569bdfa1ac
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 24 17:33:47 2014 +0100

    main: Fix incorrect compile-time warning

 src/totem-object.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9bbdbbaf4a32e707cbb38bfdb43bbdde388a3047
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 24 17:33:34 2014 +0100

    main: Re-enable state saving

 src/totem-object.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 67b5c49204c9c7b8684904dd54cce5c0469e4b3d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 24 17:29:46 2014 +0100

    chapters: Disable installing the chapters plugin for now

 src/plugins/chapters/Makefile.am | 6 ++++++
 1 file changed, 6 insertions(+)

commit 814855958ae09634a6164e3727063fa3f9224b57
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 24 17:01:47 2014 +0100

    properties: Remove mention of sidebar in description

 src/plugins/properties/movie-properties.plugin.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 125dfb175bf496ad223700bfbb8b107fed9690c6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 24 16:59:26 2014 +0100

    main: Remove all the sidebar handling code

 data/icons/scalable/Makefile.am               |   5 +-
 data/icons/scalable/view-sidebar-symbolic.svg |  88 ----------
 data/totem.ui                                 |  18 +-
 po/POTFILES.in                                |   1 -
 src/Makefile.am                               |   2 -
 src/totem-menu.c                              |  11 --
 src/totem-object.c                            |  83 +--------
 src/totem-private.h                           |   7 +-
 src/totem-sidebar.c                           | 233 --------------------------
 src/totem-sidebar.h                           |  52 ------
 src/totem.c                                   |   6 +-
 11 files changed, 10 insertions(+), 496 deletions(-)

commit 2f57b558b1103a6825130c1d3c18bb4239626eec
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 24 16:58:15 2014 +0100

    main: Remove last bits of Properties in main

 src/plugins/properties/totem-movie-properties.c |  1 +
 src/totem-menu.c                                |  9 ---------
 src/totem-object.c                              | 19 +------------------
 3 files changed, 2 insertions(+), 27 deletions(-)

commit 00e3a13b70addd6c190ad7193b1adcb159f9ef88
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 24 16:39:38 2014 +0100

    main: Remove "show-menubar" hook
    
    We don't have a menubar anymore.

 src/totem.c | 3 ---
 1 file changed, 3 deletions(-)

commit 67c9c397903c277b6850d83f5c5dc2bf3d93a8f3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 24 16:30:05 2014 +0100

    sidebar-test: Remove test plugin
    
    The sidebar is gone from the UI...

 configure.ac                                    |  3 +-
 src/plugins/sidebar-test/Makefile.am            | 19 -------
 src/plugins/sidebar-test/sidebar-test.plugin.in |  9 ---
 src/plugins/sidebar-test/totem-sidebar-test.c   | 75 -------------------------
 4 files changed, 1 insertion(+), 105 deletions(-)

commit 540764363581c5b4126e4f7e4b7257260c145dfa
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 24 16:25:43 2014 +0100

    grilo: Make TotemMainToolbar a GtkHeaderBar
    
    So that we can get the right styling when using it as a
    headerbar.

 src/plugins/grilo/totem-main-toolbar.c | 58 ++++------------------------------
 src/plugins/grilo/totem-main-toolbar.h |  4 +--
 src/plugins/grilo/totemmaintoolbar.ui  | 12 -------
 3 files changed, 9 insertions(+), 65 deletions(-)

commit f7db2697f029a1920a1350afa6354f1129bb8aab
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 24 11:03:40 2014 +0100

    main: More dead code removal
    
    The View and Sound menus are now empty. The Remove right-click
    menu for the playlist can also be removed (we can do the same
    with the toolbar button in that widget).

 data/playlist.ui     |  9 ---------
 data/totem.ui        | 12 ------------
 src/totem-playlist.c |  9 ---------
 3 files changed, 30 deletions(-)

commit 6f9542bf60f480ffd08ef7895dcb5ba3763a76d9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 21:04:32 2014 +0100

    libgd: Update to get the small subtitle support in view

 libgd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c201cf31536336af85509113df2e83f570bcaac2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 21:02:41 2014 +0100

    grilo: Get out of selection mode when playing starts

 src/plugins/grilo/totem-grilo.c | 1 +
 1 file changed, 1 insertion(+)

commit 7f205187f8c546e55d92bc73a2216152002ac808
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 19:03:04 2014 +0100

    grilo: Add Delete support

 src/plugins/grilo/grilo.ui      |   6 ++
 src/plugins/grilo/totem-grilo.c | 135 +++++++++++++++++++++++++++++++++++++++-
 2 files changed, 138 insertions(+), 3 deletions(-)

commit bb57ba0a2f93f77362d06d9fef9b83cfcae92f5b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 20:30:16 2014 +0100

    grilo: Add "delete-button-sensitive" prop to selection toolbar

 src/plugins/grilo/totem-selection-toolbar.c | 49 +++++++++++++++++++++++++++--
 src/plugins/grilo/totem-selection-toolbar.h |  6 ++++
 2 files changed, 52 insertions(+), 3 deletions(-)

commit 30edc54a43f460b3d3393a55e073cf6a1cfff112
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 18:51:45 2014 +0100

    grilo: Handle series episodes better
    
    Use show name, season and episode numbers when available.

 src/plugins/grilo/totem-grilo.c | 59 +++++++++++++++++++++++++++++++++++++----
 1 file changed, 54 insertions(+), 5 deletions(-)

commit b9748174ef200c17dbe07c46328de73a8a17342e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 17:47:11 2014 +0100

    grilo: use a 16x16 icon for the thumbnailing icon
    
    As that's the "native" size of the icon, and it prevents fuzziness.

 src/plugins/grilo/icon-helpers.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ee78ca1967945b3d436dd1315709180176889fb6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 17:46:10 2014 +0100

    grilo: Use content-loading icon for thumbnailing icon

 src/plugins/grilo/icon-helpers.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0400a5162494e847c58b07011d64e454ae419be9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 17:45:31 2014 +0100

    grilo: Make default items 256 pixels in height

 src/plugins/grilo/icon-helpers.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 68698e517e97ea0b98c7a11cb6462d4a77db8677
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 16:06:10 2014 +0100

    grilo: Remove duplicate metadata keys
    
    Use the same keys for search and browse.

 src/plugins/grilo/totem-grilo.c | 35 +++++++++++++----------------------
 1 file changed, 13 insertions(+), 22 deletions(-)

commit cad52bc8b2da27d586e409184b74fec8550d99bb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 16:00:42 2014 +0100

    grilo: Add and use new strv_has_prefix() helper

 src/plugins/grilo/totem-grilo.c | 33 +++++++++++++++++----------------
 1 file changed, 17 insertions(+), 16 deletions(-)

commit 944f6221c86913a5ed52e01a82952cd249c12fc9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jan 23 18:21:24 2014 +0100

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 4eb49cb883cf8f894623b21b98b57651bacc79d7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 13:38:57 2014 +0100

    grilo: Remove unused variables

 src/plugins/grilo/totem-grilo.c | 4 ----
 1 file changed, 4 deletions(-)

commit 4160e3c2ba9775fdab5659c69837d57640b37457
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 13:36:40 2014 +0100

    grilo: Remove right-click menu
    
    Which didn't work anyway.

 src/plugins/grilo/grilo.ui      |  10 ---
 src/plugins/grilo/totem-grilo.c | 157 ----------------------------------------
 2 files changed, 167 deletions(-)

commit d2c777bb994490f0829d9ff7b4ed804cc75eeca1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 13:32:05 2014 +0100

    grilo: Use playlist to resolve URLs
    
    Instead of letting Grilo handle resolving URLs, do it ourselves
    in the playlist, Grilo in all cases uses totem-pl-parser.
    
    This will break the day a Grilo plugin doesn't use totem-pl-parser
    (and by extension quvi) to parse a URL.

 src/plugins/grilo/totem-grilo.c | 70 +++++++++--------------------------------
 1 file changed, 15 insertions(+), 55 deletions(-)

commit e3e870ddbce803d20fcfbf671470b128b724ee1c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 13:16:02 2014 +0100

    media-player-keys: Update for shuffle setting API removal

 src/plugins/media-player-keys/totem-media-player-keys.c | 5 -----
 1 file changed, 5 deletions(-)

commit fd40312677a399140e598e945618c6c17c9ee5a4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 13:15:51 2014 +0100

    lirc: Update for shuffle setting API removal

 src/plugins/lirc/totem-lirc.c       | 3 ---
 src/plugins/lirc/totem_lirc_default | 8 --------
 2 files changed, 11 deletions(-)

commit c6455321f092f74571f7fb4444b2d40dbb42af72
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 13:14:58 2014 +0100

    dbusservice: Update for shuffle setting API removal

 src/plugins/dbusservice/dbusservice.py | 8 --------
 1 file changed, 8 deletions(-)

commit bf4f3a1eabdf7005f00e081dc416db6a1b3d20ce
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 13:13:52 2014 +0100

    main: Remove shuffle setting
    
    We now have a shuffle button in the grilo plugin, to allow
    shuffling the selection.

 data/org.gnome.totem.gschema.xml.in.in |   4 -
 data/totem.convert                     |   1 -
 data/totem.ui                          |   4 -
 src/totem-menu.c                       |  14 --
 src/totem-object.c                     |  26 ---
 src/totem-playlist.c                   | 278 +++++----------------------------
 src/totem-playlist.h                   |   4 -
 src/totem.h                            |   2 -
 8 files changed, 35 insertions(+), 298 deletions(-)

commit c323d382b3cb10bab4da22834b3a905f0a21eb0b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 13:12:27 2014 +0100

    main: Don't set the waiting cursor on the playlist

 src/totem-playlist.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit c43d2e3b79c63471c0c4ec73542f2b690d3df150
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 11:39:29 2014 +0100

    grilo: Add selection toolbar
    
    And hook up Play and Shuffle.

 src/plugins/grilo/grilo.ui      |  14 ++++
 src/plugins/grilo/totem-grilo.c | 151 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 165 insertions(+)

commit 7f375f32a04ca850626e6ec05797b29fc79630d7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 11:39:00 2014 +0100

    grilo: Add missing chain up in TotemMainToolbar

 src/plugins/grilo/totem-main-toolbar.c | 2 ++
 1 file changed, 2 insertions(+)

commit e867d7924180f4d43ab2264e6cbc986e443dc370
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 11:37:18 2014 +0100

    grilo: Add Selection toolbar

 src/plugins/grilo/Makefile.am               |   6 +-
 src/plugins/grilo/grilo.gresource.xml       |   1 +
 src/plugins/grilo/totem-selection-toolbar.c | 326 ++++++++++++++++++++++++++++
 src/plugins/grilo/totem-selection-toolbar.h |  70 ++++++
 src/plugins/grilo/totemselectiontoolbar.ui  |  97 +++++++++
 5 files changed, 498 insertions(+), 2 deletions(-)

commit 0c3bcc22fdbaf31c5c4c048cad6761dfa2ef5fc9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 12:27:49 2014 +0100

    grilo: Update for add_to_playlist() API change

 src/plugins/grilo/totem-grilo.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 67021249bb5311da03b2426e73df648e21a5dc59
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 12:24:20 2014 +0100

    main: Modify totem_object_add_to_playlist_and_play()
    
    Rename totem_object_add_to_playlist_and_play() to
    totem_object_add_to_playlist(), and pass whether to play
    the added media as an additional parameter.

 src/totem-object.c | 17 +++++++++++------
 src/totem.h        |  7 ++++---
 2 files changed, 15 insertions(+), 9 deletions(-)

commit 3dc8d1d3cf01cb3358b13c5a5ecd1c3bd11af3e4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 23 07:54:20 2014 +0100

    main: Remove drop support from playlist

 src/totem-playlist.c | 115 ---------------------------------------------------
 1 file changed, 115 deletions(-)

commit 5eba1988697d6c1b5834bfd582eae82902a1ce6f
Author: Alban Browaeys <prahal@yahoo.com>
Date:   Tue Jan 21 19:22:03 2014 +0100

    grilo: Fix griloresources.h/.c generation
    
    By adding them to BUILT_SOURCES.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722719

 src/plugins/grilo/Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit 97eabfb3ee16e686fe8b79ddf744e9984b935875
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 22 20:13:19 2014 +0100

    main: Make debug playlist widget bigger

 src/totem-object.c | 1 +
 1 file changed, 1 insertion(+)

commit f75b1a2a2adca352a1536343c5608e9efa3ac6ea
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 22 20:08:17 2014 +0100

    main: Remove save property from playlist
    
    Left-over bits from ec64084c71290557819ee007b969f080747e36e5

 src/totem-playlist.c | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit d55ffe3aa076477952eeed2611280f7305e6d836
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 22 20:05:06 2014 +0100

    main: Remove up/down buttons in playlist widget

 data/playlist.ui     |  30 ------------
 src/totem-playlist.c | 127 ---------------------------------------------------
 2 files changed, 157 deletions(-)

commit cdf9fc429f991ab9d5a6ec8b888bb59e755e84a5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 22 19:57:08 2014 +0100

    main: Remove "Save playlist" from playlist widget
    
    It's completely unused now.

 data/playlist.ui           |   15 -
 po/POTFILES.in             |    1 -
 src/Makefile.am            |    3 -
 src/egg-macros.h           |  154 ------
 src/eggfileformatchooser.c | 1200 --------------------------------------------
 src/eggfileformatchooser.h |   82 ---
 src/totem-playlist.c       |  174 -------
 7 files changed, 1629 deletions(-)

commit 0e810460361242b15f955dc37dc6ce2a1f6262a5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 22 19:44:43 2014 +0100

    main: Don't add the playlist to the sidebar

 src/totem-sidebar.c | 1 -
 1 file changed, 1 deletion(-)

commit dc3d6f98c07c4615df0f87ce60691c73598430f1
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:   Wed Jan 22 21:25:42 2014 +0100

    Added Scottish Gaelic translation

 po/LINGUAS |    1 +
 po/gd.po   | 2446 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2447 insertions(+)

commit 4a76d29bfc839abe491b699e0844004f6c134a2a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Jan 22 21:24:21 2014 +0100

    Revert "Added Scottish Gaelic translation"
    
    This reverts commit 46e54e338bc42b5ccfed7fb3ed22cabff259883a.
    
    Wrong attribution.

 po/LINGUAS |    1 -
 po/gd.po   | 2446 ------------------------------------------------------------
 2 files changed, 2447 deletions(-)

commit 46e54e338bc42b5ccfed7fb3ed22cabff259883a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Jan 22 21:21:47 2014 +0100

    Added Scottish Gaelic translation

 po/LINGUAS |    1 +
 po/gd.po   | 2446 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2447 insertions(+)

commit b561f4b597d498f61d45c3ddee892dc44cc9c8e9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 22 19:13:17 2014 +0100

